<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Client_model extends CI_Model {

	private $_client;
    private $_user_id;

    public function __construct()
    {
        parent::__construct();
        $this->load->database();
		$this->load->add_package_path(APPPATH.'third_party/ion_auth/');
		$this->load->library(array('ion_auth'));        
    }

    public function get_client($client_id = NULL)
    {

        if($client_id === NULL):
            return false;
        endif;

        // Get client from db
        $this->_client = $this->db
            ->where('client_id',$client_id)
            ->limit(1)
            ->get('clients')
            ->row();

        return $this->_client;

    }

    public function get_notification($client_id = NULL,$where_clause=null,$per_page=null,$offset=null)
    {

        if($client_id === NULL):
            return false;
        endif;

        // Get messages from db
        if(!empty($client_id)){
            
            if(!empty($where_clause)){
                $this->db->where($where_clause);
            }        
            $this->db->where('receiver_id=',$client_id); 
            $this->db->order_by('id','DESC');
            if(!empty($per_page)){
                $this->db->limit($per_page,$offset);
            } 
            $messages=$this->db->get('messages');
            return $messages->result();
        }else{
            if(!empty($where_clause)){
                $this->db->where($where_clause);
            }         
            $this->db->order_by('id','DESC');
            if(!empty($per_page)){
                $this->db->limit($per_page,$offset);
            } 
            $messages=$this->db->get('messages');
            return $messages->result();
        }

    }
    public function count_notification($client_id = NULL,$where_clause=null)
    {
        // Get messages from db
            if(!empty($where_clause)){
                $this->db->where($where_clause);
            }         
            $this->db->where('receiver_id',$client_id);     
            $messages=$this->db->get('messages');
            return $messages->num_rows();

    }
    public function get_contracts($where_clause=null,$per_page=null,$offset=null)
    {
        // Get contracts
            if(!empty($where_clause)){
                $this->db->where($where_clause);
            } 
            $this->db->where('active = 1 And is_deleted = 0');        
            $this->db->order_by('id','DESC');
            if(!empty($per_page)){
                $this->db->limit($per_page,$offset);
            }            
            $contracts=$this->db->get('admin_contract_file');
            return $contracts->result();
        
    }
    public function count_contracts($where_clause=null)
    {
        // Get contracts
            if(!empty($where_clause)){
                $this->db->where($where_clause);
            } 
            $this->db->where('active = 1 And is_deleted = 0');        
            $this->db->order_by('id','DESC');           
            $contracts=$this->db->get('admin_contract_file');
            return $contracts->num_rows();
        
    }
    public function get_agreement($contractid)
    {
        // Get contracts
        $agreement = $this->db
                ->where('active = 1 And is_deleted = 0')
                ->where('contract_id',$contractid)
                ->get('admin_contract_file');
        return $agreement->row();        
    }

    public function get_client_byemail($email = NULL)
    {
        // Get client from db
        $this->_client = $this->db
            ->where('email',$email)
            ->limit(1)
            ->get('clients');

        return $this->_client;

    }
    
    public function get_agent_client($agent)
    {
        $user = $this->db
                ->where('id', $agent )
                ->get('users');
        return $user->row();
    }

    public function existing_client($email = NULL)
    {
    	if($email === NULL):
    		return false;
    	endif;

		// Get client from db
		$this->_client = $this->db
			->where('email',$this->input->post('email'))
			->limit(1)
			->get('clients')
			->row();

		return $this->_client;

    }

    public function get_clients_list($ordertype = "",$where_clause=null,$per_page=null,$offset=null)
    {
        $this->_user_id = $this->ion_auth->user()->row()->id;
        // Get clients
                     $this->db->join('client_rel', 'client_rel.client_id = clients.client_id');            
            $this->db->where('client_rel.user_id',$this->_user_id);
            $this->db->where('clients.is_deleted = 0');
        if(!empty($where_clause)){
            $this->db->where($where_clause);
        } 
        if(!empty($per_page)){
            $this->db->limit($per_page,$offset);
        }  
        if($ordertype == "" || $ordertype == "DESC"):         
            $this->db->order_by("clients.client_id", "DESC");
            $clients = $this->db->get('clients');
        else:
             $this->db->order_by("clients.client_id", "ASC");
            $clients = $this->db->get('clients'); 
        endif;
        return $clients->result();

    }

    public function count_clients_list( $where_clause=null)
    {
        $this->_user_id = $this->ion_auth->user()->row()->id;
        // Get clients
        $this->db->join('client_rel', 'client_rel.client_id = clients.client_id');            
        $this->db->where('client_rel.user_id',$this->_user_id);
        $this->db->where('clients.is_deleted = 0');
        if(!empty($where_clause)){
            $this->db->where($where_clause);
        } 
            $clients = $this->db->get('clients');
        return $clients->num_rows();
    
    }
 
    public function get_clients_term($term = "")
    {
        $this->_user_id = $this->ion_auth->user()->row()->id;
        // Get clients
            $clients = $this->db
            ->join('client_rel', 'client_rel.client_id = clients.client_id')            
            ->like('clients.email',$term)
            ->where('clients.is_deleted = 0')
            ->where('client_rel.user_id',$this->_user_id)
            ->or_like('clients.first_name',$term)
            ->where('clients.is_deleted = 0')
            ->where('client_rel.user_id',$this->_user_id)
            ->or_like('clients.middle_name',$term)
            ->where('clients.is_deleted = 0')
            ->where('client_rel.user_id',$this->_user_id)
            ->or_like('clients.last_name',$term)
            ->where('clients.is_deleted = 0')
            ->where('client_rel.user_id',$this->_user_id)
            ->order_by("clients.last_name", "ASC")
            ->get('clients');
        
        return $clients->result();
    }
public function check_agreement_info($contract_pid){
    $check_info =FALSE;
    $contract_d=$this->db->where(array("contract_pid"=>$contract_pid));
    $deadline_rows= $contract_d->get('contract_date_deadline')->num_rows();
    if(!empty($deadline_rows)){
        $check_info =TRUE;
    }
    $deadline_rows= $contract_d->get('contract_parties')->num_rows();
    if(!empty($deadline_rows)){
        $check_info =TRUE;
    }                
    $deadline_rows= $contract_d->get('contract_list')->num_rows();
    if(!empty($deadline_rows)){
        $check_info =TRUE;
    } 
    $deadline_rows= $contract_d->get('contract_seller')->num_rows();
    if(!empty($deadline_rows)){
        $check_info =TRUE;
    } 
    $deadline_rows= $contract_d->get('contract_companies')->num_rows();
    if(!empty($deadline_rows)){
        $check_info =TRUE;
    }
    $deadline_rows= $contract_d->get('contract_property')->num_rows();
    if(!empty($deadline_rows)){
        $check_info =TRUE;
    }                     
     return $check_info;
        
}
/**
 * Get the agent object with id 
 */
    public function get_agent($agent)
    {
        $user = $this->db
                ->where('id', $agent )
                ->get('users');
        return $user->result();
    }
    public function get_property($client_id,$where_clause,$per_page, $offset)
    {
        $this->db->select("contract_property.id as property_id,contract_rel.*,contract_property.* ");
        if(!empty($client_id)){
            $this->db->where('contract_rel.client_id', $client_id );
         }
         $this->db->where('contract_rel.user_id', $this->session->userdata('user_id'));
         $this->db->join('contract_rel', 'on contract_rel.id=contract_property.contract_pid');
         $this->db->limit($per_page,$offset);
         $this->db->order_by('contract_property.id','DESC');
         $user =  $this->db->get('contract_property');
        return $user->result();
    }
    public function count_property($client_id=null,$where_clause)
    {
        if(!empty($client_id)){
           $this->db->where('contract_property.client_id', $client_id );
        }
        $this->db->where('contract_rel.user_id', $this->session->userdata('user_id'));
        $this->db->join('contract_rel', 'on contract_rel.id=contract_property.contract_pid');
       //echo $this->db->get_compiled_select('contract_property');
        $user =  $this->db->get('contract_property');
        return $user->num_rows();
    }
    public function get_country()
    {        
        $country = $this->db->get('country');
        return $country->result();
    }

    public function check_client($client_id)
    {
        $this->_user_id = $this->ion_auth->user()->row()->id;
        $result = $this->db
            ->where('user_id',$this->_user_id)
            ->where('client_id',$client_id)
            ->limit(1)
            ->get('client_rel')
            ->num_rows();

        if($result === 1):
            return true;
        endif;

        return false;
    }

    public function create_client()
    {

    	$insert = array(
            "email" => $this->input->post('email'),
    		"first_name" => $this->input->post('first_name'),
    		"middle_name" => $this->input->post('middle_name'),
    		"last_name" => $this->input->post('last_name'),
            "phone" => $this->input->post('phone'),
            "type" => $this->input->post('type'),
            "address1" => $this->input->post('address1'),
            "address2" => $this->input->post('address2'),
            "city" => $this->input->post('city'),
            "pincode" => $this->input->post('pincode'),
            "country" => $this->input->post('country')
    	);
if($this->input->post('is_company')){
    $insert["company"] = $this->input->post('company');
}else{
    $insert["company"] =  '';
}
    	$this->db->insert('clients', $insert);

    	$_client_id = $this->db->insert_id();

    	$this->associate_client($_client_id);

    	return true;

    }

    public function update_agent($agentid)
    {
    	$update = array(
            "company" => $this->input->post('company'),
    		"first_name" => $this->input->post('first_name'),
    		"middle_name" => $this->input->post('middle_name'),
    		"last_name" => $this->input->post('last_name'),
            "phone" => $this->input->post('phone'),
            "address1" => $this->input->post('address1'),
            "address2" => $this->input->post('address2'),
            "pincode" => $this->input->post('pincode'),
            "country" => $this->input->post('country')
    	);

        $this->db->where('id',$agentid);
    	$this->db->update('users', $update);
    	return true;
    }

    public function update_client($clientid)
    {
    	$update = array(
            "email" => $this->input->post('email'),
    		"first_name" => $this->input->post('firstname'),
    		"middle_name" => $this->input->post('middlename'),
    		"last_name" => $this->input->post('lastname'),
            "phone" => $this->input->post('phone'),
            "address1" => $this->input->post('address1'),
            "address2" => $this->input->post('address2'),
            "city" => $this->input->post('city'),
            "pincode" => $this->input->post('pincode'),
            "country" => $this->input->post('country')
    	);
        if($this->input->post('is_company')){
            $update["company"] = $this->input->post('company');
        }else{
            $update["company"] =  '';
        }
        $this->db->where('client_id',$clientid);
    	$this->db->update('clients', $update);
    	return true;
    }

    public function associate_client($client_id = NULL)
    {

    	if($client_id === NULL):
    		return false;
    	endif;

    	$insert = array(
    		"user_id" => $this->ion_auth->user()->row()->id,
    		"client_id" => $client_id
    	);

    	$this->db->insert('client_rel', $insert);

    	return $this->db->insert_id();

    }

    
    function client_active($client_id = NULL,$data)
    {
        if($client_id === NULL):
            return false;
        endif;

        $this->db->where('client_id',$client_id);	   
        $this->db->update('clients',$data);

         if ($this->db->affected_rows() > 0) 
         {
            return true;
         }
         else 
         {
            return false;
         }
    }
    function client_remove($client_id = NULL)
    {
        if($client_id === NULL):
            return false;
        endif;
        $this->db->where('user_id',$this->session->userdata('user_id'));	
        $this->db->where('client_id',$client_id);	   
        $this->db->delete('client_rel');

         if ($this->db->affected_rows() > 0) 
         {
            return true;
         }
         else 
         {
            return false;
         }
    }
    public function saveagreement_rel($data){
        if(!empty($data['contract_rel'])){
            //                print_r($data['contract_companies']);
                            $this->db->insert('contract_rel',$data['contract_rel']);
                         return   $insert_id = $this->db->insert_id();
                    }
                    if(isset($data['pdf_name'])){
                        //                print_r($data['contract_companies']);
                        
                        $this->db->where('id =',$data['id']);
                                        $this->db->update('contract_rel',array('pdf_name'=>$data['pdf_name']));
                                     return   TRUE;
                                }      
                                if(!empty($data['version'])){
                                    //                print_r($data['contract_companies']);
                                    $up_data = array('version'=>$data['version']);
                                    $this->db->where('id =',$data['id']);
                                                    $this->db->update('contract_rel',$data);
                                                 return   TRUE;
                                            }                     

    }

    public function saveagreement($data){
//        print_r($data);
        if(!empty($data['contract_date_deadline'])){
//                print_r($data['contract_date_deadline']);
                $this->db->insert_batch('contract_date_deadline',$data['contract_date_deadline']);
        }
        if(!empty($data['contract_inclusion'])){
//                print_r($data['contract_inclusion']);
                $this->db->insert('contract_inclusion',$data['contract_inclusion']);
        }
        if(!empty($data['contract_parties'])){
//                print_r($data['contract_parties']);
                $this->db->insert_batch('contract_parties',$data['contract_parties']);
        }
        if(!empty($data['contract_list'])){
//                print_r($data['contract_list']);
                $this->db->insert('contract_list',$data['contract_list']);
        }
        if(!empty($data['contract_seller'])){
//                print_r($data['contract_seller']);
                $this->db->insert_batch('contract_seller',$data['contract_seller']);
        }
        if(!empty($data['contract_companies'])){
//                print_r($data['contract_companies']);
                $this->db->insert('contract_companies',$data['contract_companies']);
        }
        if(!empty($data['contract_property'])){
            //                print_r($data['contract_companies']);
                            $this->db->insert_batch('contract_property',$data['contract_property']);
                    }    
        if(!empty($data['buyer_compensation'])){   
                    
            $this->db->insert('buyer_compensation',$data['buyer_compensation']);    
            }    
            if(!empty($data['sell_compensation'])){                                             
                    $this->db->insert('sell_compensation',$data['sell_compensation']);
                        } 
        if(!empty($data['tenant_compensation'])){                                             
            $this->db->insert('tenant_compensation',$data['tenant_compensation']);
                }      
                if(!empty($data['lease_compensation'])){                                             
                    $this->db->insert('lease_compensation',$data['lease_compensation']);
                        }                    
        if(!empty($data['buyer_broker_services'])){ 
           
           // print_r($data['buyer_broker_services']);exit;           
        $this->db->insert('buyer_broker_services',$data['buyer_broker_services']);    
        }      
        if(!empty($data['lease_rental_rate'])){            
            $this->db->insert('lease_rental_rate',$data['lease_rental_rate']);    
            }    
    if(!empty($data['mls_information'])){            
        $this->db->insert('mls_information',$data['mls_information']);    
        }
        if(!empty($data['sell_encumbrances'])){    
            $this->db->insert('sell_encumbrances',$data['sell_encumbrances']);    
            }
            if(!empty($data['sell_price_term'])){            
                $this->db->insert('sell_price_term',$data['sell_price_term']);    
                }    
        return true;
    }
    public function updateagreement($data){
        //        print_r($data);
                if(!empty($data['contract_date_deadline'])){
        //                print_r($data['contract_date_deadline']);
        $del_pid= array();
        foreach($data['contract_date_deadline'] as $key=>$val){
            
            $del_pid[]= $val['contract_pid'];
        }
                        $this->db->where_in("contract_pid",$del_pid);
                        $this->db->delete('contract_date_deadline');
                        $this->db->insert_batch('contract_date_deadline', $data['contract_date_deadline']);
                }
                if(!empty($data['contract_inclusion'])){
        //                print_r($data['contract_inclusion']);
        if($this->check_existed('contract_inclusion' ,array("contract_pid"=>$data['contract_inclusion']['contract_pid']))){
            $this->db->where(array("contract_pid"=>$data['contract_inclusion']['contract_pid']));
                        $this->db->update('contract_inclusion',$data['contract_inclusion']);
        }else{
            $this->db->insert('contract_inclusion',$data['contract_inclusion']);
        }
        
                }
                if(!empty($data['contract_parties'])){
        //                print_r($data['contract_parties']);
        $del_pid= array();
        foreach($data['contract_parties'] as $val){
            $del_pid[]= $val['contract_pid'];
        }
                        $this->db->where_in("contract_pid",$del_pid);
                        $this->db->delete('contract_parties');
                        $this->db->insert_batch('contract_parties',$data['contract_parties']);
                }
                if(!empty($data['contract_list'])){
        //                print_r($data['contract_list']);
        if($this->check_existed('contract_list' ,array("contract_pid"=>$data['contract_list']['contract_pid']))){
            $this->db->where(array("contract_pid"=>$data['contract_list']['contract_pid']));
                        $this->db->update('contract_list',$data['contract_list']);
        }else{
            $this->db->insert('contract_list',$data['contract_list']);
        }
        
                }
                if(!empty($data['contract_seller'])){
        //                print_r($data['contract_seller']);
        $del_pid= array();
        foreach($data['contract_seller'] as $val){
            $del_pid[]= $val['contract_pid'];
        }
                        $this->db->where_in("contract_pid",$del_pid);
        $this->db->delete('contract_seller');
                        $this->db->insert_batch('contract_seller',$data['contract_seller']);
                }
                if(!empty($data['contract_companies'])){
        //                print_r($data['contract_companies']);
       
        if($this->check_existed('contract_companies' ,array("contract_pid"=>$data['contract_companies']['contract_pid']))){
            $this->db->where(array("contract_pid"=>$data['contract_companies']['contract_pid']));
            $this->db->update('contract_companies',$data['contract_companies']);
        }else{
            $this->db->insert('contract_companies',$data['contract_companies']);
        }
                        
                }
                if(!empty($data['contract_property'])){
                    //                print_r($data['contract_companies']);
                    $del_pid= array();
        foreach($data['contract_property'] as $val){
            $del_pid[]= $val['contract_pid'];
        }
                        $this->db->where_in("contract_pid",$del_pid);
                    $this->db->delete('contract_property');
                                    $this->db->insert_batch('contract_property',$data['contract_property']);
                            }
                            if(!empty($data['tenant_compensation'])){                               
                                if($this->check_existed('tenant_compensation' ,array("contract_pid"=>$data['tenant_compensation']['contract_pid']))){
                                    $this->db->where(array("contract_pid"=>$data['tenant_compensation']['contract_pid']));
                                    $this->db->update('tenant_compensation',$data['tenant_compensation']);
                                }else{
                                    $this->db->insert('tenant_compensation',$data['tenant_compensation']);
                                }
                                                
                                        }
                if(!empty($data['lease_compensation'])){                               
                    if($this->check_existed('lease_compensation' ,array("contract_pid"=>$data['lease_compensation']['contract_pid']))){
                        $this->db->where(array("contract_pid"=>$data['lease_compensation']['contract_pid']));
                        $this->db->update('lease_compensation',$data['lease_compensation']);
                    }else{
                        $this->db->insert('lease_compensation',$data['lease_compensation']);
                    }                                    
                            }
            if(!empty($data['sell_compensation'])){                               
                if($this->check_existed('sell_compensation' ,array("contract_pid"=>$data['sell_compensation']['contract_pid']))){
                    $this->db->where(array("contract_pid"=>$data['sell_compensation']['contract_pid']));
                    $this->db->update('sell_compensation',$data['sell_compensation']);
                }else{
                    $this->db->insert('sell_compensation',$data['sell_compensation']);
                }                                    
                        }    
        if(!empty($data['buyer_compensation'])){                               
            if($this->check_existed('buyer_compensation' ,array("contract_pid"=>$data['buyer_compensation']['contract_pid']))){
                $this->db->where(array("contract_pid"=>$data['buyer_compensation']['contract_pid']));
                $this->db->update('buyer_compensation',$data['buyer_compensation']);
            }else{
                $this->db->insert('buyer_compensation',$data['buyer_compensation']);
            }                                    
                    }    
        if(!empty($data['buyer_broker_services'])){                               
            if($this->check_existed('buyer_broker_services' ,array("contract_pid"=>$data['buyer_broker_services']['contract_pid']))){
                $this->db->where(array("contract_pid"=>$data['buyer_broker_services']['contract_pid']));
                $this->db->update('buyer_broker_services',$data['buyer_broker_services']);
            }else{
                $this->db->insert('buyer_broker_services',$data['buyer_broker_services']);
            }                                    
                    }    
if(!empty($data['lease_rental_rate'])){                               
    if($this->check_existed('lease_rental_rate' ,array("contract_pid"=>$data['lease_rental_rate']['contract_pid']))){
        $this->db->where(array("contract_pid"=>$data['lease_rental_rate']['contract_pid']));
        $this->db->update('lease_rental_rate',$data['lease_rental_rate']);
    }else{
        $this->db->insert('lease_rental_rate',$data['lease_rental_rate']);
    }                                    
            }                                      
    if(!empty($data['mls_information'])){                               
        if($this->check_existed('mls_information' ,array("contract_pid"=>$data['mls_information']['contract_pid']))){
            $this->db->where(array("contract_pid"=>$data['mls_information']['contract_pid']));
            $this->db->update('mls_information',$data['mls_information']);
        }else{
            $this->db->insert('mls_information',$data['mls_information']);
        }                                    
                }   
    if(!empty($data['sell_price_term'])){                               
        if($this->check_existed('sell_price_term' ,array("contract_pid"=>$data['sell_price_term']['contract_pid']))){
            $this->db->where(array("contract_pid"=>$data['sell_price_term']['contract_pid']));
            $this->db->update('sell_price_term',$data['sell_price_term']);
        }else{
            $this->db->insert('sell_price_term',$data['sell_price_term']);
        }                                    
                }      
    if(!empty($data['sell_encumbrances'])){                               
        if($this->check_existed('sell_encumbrances' ,array("contract_pid"=>$data['sell_encumbrances']['contract_pid']))){
            $this->db->where(array("contract_pid"=>$data['sell_encumbrances']['contract_pid']));
            $this->db->update('sell_encumbrances',$data['sell_encumbrances']);
        }else{
            $this->db->insert('sell_encumbrances',$data['sell_encumbrances']);
        }                                    
                }                                                                                       
                return true;
            }
            public function check_existed($table=null,$clause=array()){
$this->db->where($clause);
return $this->db->get($table)->num_rows();

            }
    public function get_client_agreement($id=null){
        if(empty($id)){
            $agreement=$this->db->get('contract_rel');
            return $agreement->result();
        }else{
            $agreement=$this->db->where('contract_rel.id =',$id)
            ->get('contract_rel');
            return $agreement->result();
        }
    }
    public function get_client_agreements($user_id=null,$where_clause=null,$per_page=null,$offset=null){
        
        if(!empty($user_id)){
            $this->db->where('user_id=',$user_id);
            if(!empty($where_clause)){
                $this->db->where($where_clause);
            }            
            $this->db->order_by('id','DESC');
            $this->db->limit($per_page,$offset);
            $agreement=$this->db->get('contract_rel');
            return $agreement->result();
        }else{
            if(!empty($where_clause)){
                $this->db->where($where_clause);
            } 
            $this->db->order_by('id','DESC');
            $this->db->limit($per_page,$offset);
            $agreement=$this->db->get('contract_rel');
            return $agreement->result();
        }
    }
    public function count_client_agreement($user_id=null,$where_clause=null){
        if(empty($where_clause)){
            $this->db->where('user_id',$user_id);
            $agreement=$this->db->get('contract_rel');
            return $agreement->num_rows();
        }else{
            $this->db->where('user_id',$user_id);
            $agreement=$this->db->where($where_clause)
            ->get('contract_rel');
            return $agreement->num_rows();
        }
    }
    public function get_agreement_parties($id){
        $agreement=$this->db->where('contract_pid =',$id)
       ->get('contract_parties');
       return $agreement->result();        
    }
    public function get_agreement_inclusion($id){
        $agreement=$this->db->where('contract_pid =',$id)
       ->get('contract_inclusion');
       return $agreement->result();
        
    }
    public function get_agreement_seller($id){
        $agreement=$this->db->where('contract_pid =',$id)
       ->get('contract_seller');
       return $agreement->result();        
    }
    public function get_agreement_list($id){
        $agreement=$this->db->where('contract_pid =',$id)
       ->get('contract_list');
       return $agreement->result();        
    }
    public function get_agreement_deadline($id){
        $agreement=$this->db->where('contract_pid =',$id)
       ->get('contract_date_deadline');
       return $agreement->result();        
    }
    public function get_agreement_companies($id){
        $agreement=$this->db->where('contract_pid =',$id)
       ->get('contract_companies');
       return $agreement->result();        
    }
    public function get_agreement_property($id){
        $agreement=$this->db->where('contract_pid =',$id)
       ->get('contract_property');
       return $agreement->result();        
    }
    /************get property by id***********/
    public function get_property_by_id($property_id)
    {    
   // echo $property_id;

         $this->db->where('contract_property.id', $property_id);         
         $property =  $this->db->get('contract_property');
        // print_r($property);
        // die();  
        return $property->result();
    }
    public function update_property($data){
        $this->db->where('id =',$data['contract_property']['id']);
       $this->db->update('contract_property',$data['contract_property']);
       return true;        
    }
    public function get_clientmail_detail($data){
       $this->db->where('title =',$data['subject']);
       $this->db->where('sender_id =',$data['sender_id']);
       $clientmail_detail=$this->db->get('messages')->result();
       return $clientmail_detail;        
    }
    public function get_contract_attach_detail($table=null,$clause=array()){
        $this->db->where($clause);
        return $this->db->get($table)->result();
        
                    }
}