<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Message_model extends CI_Model {

	private $_client;
    private $_user_id;

    public function __construct()
    {
        parent::__construct();
        $this->load->database();
		$this->load->add_package_path(APPPATH.'third_party/ion_auth/');
		$this->load->library(array('ion_auth'));        
    }

    function getMessageById($id)
    {
        $this->db->select();
        $this->db->from('messages');
          $this->db->where('id=',$id);
        $query = $this->db->get();
        return $query->result_array();
    }

    function getSendMessages($limit,$id,$sender_id=null,$property_whr_clause=null)
    {
        $this->db->select('messages.*');
        $this->db->from('messages');
        $this->db->where('sender_id',$sender_id);
        $this->db->where('messages.sender_delete=',null);
        if(!empty($property_whr_clause)){
    //         $this->db->like("clients.username",$property_whr_clause);
    //         $this->db->or_where('messages.sender_id=',$sender_id);
    //     $this->db->where('messages.sender_delete=',null);
    //      $this->db->like("clients.email",$property_whr_clause);
    //     $this->db->or_where('messages.sender_id=',$sender_id);
    //     $this->db->where('messages.sender_delete=',null);
    //      $this->db->like("clients.first_name",$property_whr_clause);
    //    $this->db->or_where('messages.sender_id=',$sender_id);
    //     $this->db->where('messages.sender_delete=',null);
    //      $this->db->like("clients.last_name",$property_whr_clause);
         $this->db->or_where('messages.sender_id=',$sender_id);
        $this->db->where('messages.sender_delete=',null);
         $this->db->like("messages.title",$property_whr_clause);
        $this->db->or_where('messages.sender_id=',$sender_id);
        $this->db->where('messages.sender_delete=',null);
         $this->db->like("messages.message",$property_whr_clause);            
        }
        // $this->db->join('users','messages.receiver_id=users.id');
        // $this->db->join('clients','messages.receiver_id=clients.client_id');
        $this->db->order_by('messages.created_date','desc');
        $this->db->limit($limit,$id);
        $type_query = $this->db->get();
        $messages=array();
        foreach($type_query->result() as $key){
if($key->receiver_type =='user'){

    $this->db->select('*,messages.id as id');
        $this->db->from('messages');
        $this->db->where('messages.id',$key->id);
$this->db->join('clients','messages.receiver_id=clients.client_id');
$messages[]= $this->db->get()->row();
}else{
    $this->db->select('*,messages.id as id');
    $this->db->from('messages');
    $this->db->where('messages.id',$key->id);
$this->db->join('users','messages.receiver_id=users.id');
$messages[]= $this->db->get()->row();
}
        }              
        return $messages;
    }
     function getReceiveMessages($limit,$id,$receiver_id=null,$property_whr_clause=null)
    {
        $this->db->select('messages.*');
        $this->db->from('messages');
         $this->db->where('messages.receiver_id=',$receiver_id);
         $this->db->where('messages.receiver_delete=',null);
         
        if(!empty($property_whr_clause)){
        //     $this->db->like("clients.username",$property_whr_clause);
        //     $this->db->or_where('messages.receiver_id=',$receiver_id);
        //  $this->db->where('messages.receiver_delete=',null);
        //  $this->db->like("clients.email",$property_whr_clause);
        //   $this->db->or_where('messages.receiver_id=',$receiver_id);
        //  $this->db->where('messages.receiver_delete=',null);
        //  $this->db->like("clients.first_name",$property_whr_clause);
        //   $this->db->or_where('messages.receiver_id=',$receiver_id);
        //  $this->db->where('messages.receiver_delete=',null);
        //  $this->db->like("clients.last_name",$property_whr_clause);
          $this->db->or_where('messages.receiver_id=',$receiver_id);
         $this->db->where('messages.receiver_delete=',null);
         $this->db->like("messages.title",$property_whr_clause);
          $this->db->or_where('messages.receiver_id=',$receiver_id);
         $this->db->where('messages.receiver_delete=',null);
         $this->db->like("messages.message",$property_whr_clause);           
        }
        // $this->db->join('users','messages.sender_id=users.id');
        // $this->db->join('clients','messages.sender_id=clients.client_id');
                 $this->db->order_by('messages.created_date','desc');
         $this->db->limit($limit,$id);
        $type_query = $this->db->get();
        $messages=[];
        
        foreach($type_query->result() as $key){
if($key->receiver_type =='user'){

    $this->db->select('*,messages.id as id');
        $this->db->from('messages');
        $this->db->where('messages.id',$key->id);
$this->db->join('clients','messages.sender_id=clients.client_id');
$messages[]= $this->db->get()->row();
}else{
    $this->db->select('*,messages.id as id');
    $this->db->from('messages');
    $this->db->where('messages.id',$key->id);
$this->db->join('users','messages.sender_id=users.id');
$messages[]= $this->db->get()->row();
}
        }              
        return $messages;   
     }
    function countSendMessages($sender_id=null,$property_whr_clause=null)
    {
         $this->db->select();
        $this->db->from('messages');
        
         $this->db->where('messages.sender_id=',$sender_id);
         $this->db->where('messages.sender_delete=',null);
         if(!empty($property_whr_clause)){
        //     $this->db->like("clients.username",$property_whr_clause);
        //    $this->db->or_where('messages.sender_id=',$sender_id);
        //  $this->db->where('messages.sender_delete=',null);
        //  $this->db->like("clients.email",$property_whr_clause);
        //   $this->db->or_where('messages.sender_id=',$sender_id);
        //  $this->db->where('messages.sender_delete=',null);
        //  $this->db->like("clients.first_name",$property_whr_clause);
        //  $this->db->or_where('messages.sender_id=',$sender_id);
        //  $this->db->where('messages.sender_delete=',null);
        //  $this->db->like("clients.last_name",$property_whr_clause);
         $this->db->or_where('messages.sender_id=',$sender_id);
         $this->db->where('messages.sender_delete=',null);
         $this->db->like("messages.title",$property_whr_clause);
         $this->db->or_where('messages.sender_id=',$sender_id);
         $this->db->where('messages.sender_delete=',null);
         $this->db->like("messages.message",$property_whr_clause);            
        }
        // $this->db->join('users','messages.receiver_id=users.id');
        //  $this->db->join('clients','messages.receiver_id=clients.client_id');
        $this->db->order_by('messages.created_date','desc');
        $query = $this->db->get();
        return $query->num_rows();
    }
    function countReceiveMessages($receiver_id=null,$property_whr_clause=null)
    {
          $this->db->select();
        $this->db->from('messages');
         $this->db->where('messages.receiver_id=',$receiver_id);
         $this->db->where('messages.receiver_delete=',null);
                if(!empty($property_whr_clause))
                {
        //     $this->db->like("clients.username",$property_whr_clause);
        //     $this->db->or_where('messages.receiver_id=',$receiver_id);
        //  $this->db->where('messages.receiver_delete=',null);
        //  $this->db->like("clients.email",$property_whr_clause);
        //   $this->db->or_where('messages.receiver_id=',$receiver_id);
        //  $this->db->where('messages.receiver_delete=',null);
        //  $this->db->like("clients.first_name",$property_whr_clause);
        //   $this->db->or_where('messages.receiver_id=',$receiver_id);
        //  $this->db->where('messages.receiver_delete=',null);
       //  $this->db->like("clients.last_name",$property_whr_clause);
         $this->db->or_where('messages.receiver_id=',$receiver_id);
         $this->db->where('messages.receiver_delete=',null);
         $this->db->like("messages.title",$property_whr_clause);
          $this->db->or_where('messages.receiver_id=',$receiver_id);
         $this->db->where('messages.receiver_delete=',null);
         $this->db->like("messages.message",$property_whr_clause);            
        }
        $this->db->order_by('messages.created_date','desc');
        // $this->db->join('users','messages.sender_id=users.id');
        // $this->db->join('clients','messages.sender_id=clients.user_id');
        $query = $this->db->get();
        return $query->num_rows();
    }

    function countUnreadReceiveMessages($receiver_id=null)
    {
          $this->db->select();
          $this->db->from('messages');
          $this->db->where('receiver_id=',$receiver_id);
          $this->db->where('receiver_read_status=','unread');
          $this->db->where('receiver_delete=',null);
        $this->db->order_by('created_date','desc');
        $query = $this->db->get();
        return $query->num_rows();
    }

    function creatMessages($data)
    { 
        $this->db->set('created_date','NOW()',FALSE);     
        $insert=$this->db->insert('messages',$data);
        return $insert;
    }
     function sendMessages($data)
    { 
        $insert=$this->db->insert('messages',$data);
        return $insert;
    }
    function updateMessages($id,$data)
    {
        $this->db->where('id=',$id);
        $update=$this->db->update('messages',$data);
        if($this->db->error()){ return $this->db->error();}
        else{
            return $update;
        }
    }    
    function deleteMessages($id)
    {
        $this->db->where('id=',$id);
        $this->db->delete('messages');
    }  
    function get_contract_recipient($id)
    {
        $this->db->select('contract_rel.type as contract_type,messages.*,clients.*,contract_rel.*');
        $this->db->where('messages.sender_id=',$this->session->userdata('user_id'));
        $this->db->where('messages.sender_id=',$this->session->userdata('user_id'));
        $this->db->where('messages.receiver_type=','user');
        $this->db->where('messages.contract_pid =',$id);
        $this->db->join('clients ','messages.receiver_id=clients.client_id');
        $this->db->join('contract_rel ','messages.contract_pid=contract_rel.id');
        return $this->db->get('messages')->result();
        
    }         
}
