<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Account extends MX_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->database();
		$this->load->add_package_path(APPPATH.'third_party/ion_auth/');
        $this->load->library(array('ion_auth','form_validation','assetor'));        
        $this->load->helper(array('url','language'));
        $this->load->model('Agent_model');

		$this->form_validation->set_error_delimiters($this->config->item('error_start_delimiter', 'ion_auth'), $this->config->item('error_end_delimiter', 'ion_auth'));

        $this->lang->load('auth');
        
	}

	public function index()
	{

	}

	public function register()
	{
        // log the user out
        //$logout = $this->ion_auth->logout();
        
		if ($this->ion_auth->logged_in())
        {
            redirect('Client/dashboard');
        }

        $this->assetor->load('main.less','header');
        $this->assetor->load('app.js','footer');
        $this->assetor->version();
        $this->assetor->merge(TRUE);
        $header_assets = $this->assetor->generate('header');
        $footer_assets = $this->assetor->generate('footer');
        $data = array(
            'header_assets' => $header_assets,
            'footer_assets' => $footer_assets
        );
//print_r($_SESSION); exit;
        $this->load->view('Account/register', $data);

	}

	public function subscribe()
	{

		/*if (!$this->ion_auth->logged_in())
        {
            redirect('');
        }*/
        $amt = 9.3;

        $this->assetor->load('main.less','header');
        $this->assetor->load('app.js','footer');
        $this->assetor->version();
        $this->assetor->merge(TRUE);
        $header_assets = $this->assetor->generate('header');
        $footer_assets = $this->assetor->generate('footer');
        $data = array(
            'header_assets' => $header_assets,
            'footer_assets' => $footer_assets,
            'errors' => $this->session->flashdata('errors'),
            'amount' => number_format(($amt + (($amt * (2.9/100)) + .30)),2) * 100
        );
        $this->load->view('Account/subscribe', $data);

    }
    
    public function mypage()
    {
        $subscribe = $this->Agent_model->update_agent_subscription($this->session->userdata('email'));

        if ($subscribe)
            {
                $this->assetor->load('main.less','header');
                $this->assetor->load('app.js','footer');
                $this->assetor->version();
                $this->assetor->merge(TRUE);
                $header_assets = $this->assetor->generate('header');
                $footer_assets = $this->assetor->generate('footer');
                $data = array(
                    'header_assets' => $header_assets,
                    'footer_assets' => $footer_assets,
                    'errors' => $this->session->flashdata('errors')
                );
                $this->load->view('Account/mypage', $data);
            }
    }
    /**
	 * Generate agents json
	 */
    public function agentsJson()
    {
        $term ="";
        if(isset($_GET['term'])){
            $term = $_GET['term'];
        }        
        $agents = $this->Agent_model->get_agents_term($term);
        echo   json_encode($agents);
    }
}