<?php

defined('BASEPATH') OR exit('No direct script access allowed');
require_once(APPPATH."third_party/dompdf/autoload.inc.php");
require_once('/home/egent/egent.uldev.co/vendor/garethhallnz/pandadoc/src/PandaDoc.php');
require_once('/home/egent/egent.uldev.co/vendor/garethhallnz/pandadoc/src/Documents.php');
require_once('/home/egent/egent.uldev.co/application/libraries/pdfcrowd.php');

use Dompdf\Dompdf;
use PandaDoc\Documents;
use PandaDoc\Entity\DocumentBuilder;

class Agreement extends MX_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->database();
        $this->load->add_package_path(APPPATH . 'third_party/ion_auth/');
        $this->load->library(array('ion_auth', 'framework', 'form_validation', 'twig'));
        $this->load->model(array('client_model','agent_model'));
        $this->load->library('messages');    
		$this->load->model('Message_model');  
    }

    public function newagreement() {

        if (!$this->ion_auth->logged_in()):
            // redirect them to the login page
            redirect(base_url());
        endif;
       
        //Get agreement id
        $contractid = $this->uri->segment(4);
        //Get client data
        $client_id = $this->uri->segment(3);
        $clients = $this->client_model->get_client($client_id);
        //Get agent data
        $agent = $this->client_model->get_agent_client($this->session->userdata('user_id'));
        // Get new agreements from Admin with contract id
        $agreement = $this->client_model->get_agreement($contractid);

        //$this->twig->render('framework/index.twig', array('agreement' => $agreement));
        $contract_doc = $agreement->contract_file;
        $contract_doc = str_replace("{{ client.company }}", $clients->company, $contract_doc);
        $contract_doc = str_replace("{{ client.phone }}", $clients->phone, $contract_doc);
        $contract_doc = str_replace("{{ client.email }}", $clients->email, $contract_doc);

        $contract_doc = str_replace("{{ agent.company }}", $agent->company, $contract_doc);
        $contract_doc = str_replace("{{ agent.phone }}", $agent->phone, $contract_doc);
        $contract_doc = str_replace("{{ agent.email }}", $agent->email, $contract_doc);

        $agreement->contract_file = $contract_doc;
        $clause_data = array("user_id"=>$this->session->userdata('user_id'),"client_id"=>$clients->client_id,"contract_id"=>$agreement->contract_id);
        $agreement_flow = $this->agent_model->get_agreement_flow($clause_data);
        $agreement_flow_val = "";
        if($agreement_flow){
            $agreement_flow_val = $agreement_flow->agreement_flow;
        }
        $data = array(
            'session' => $_SESSION,
            'v' => "agreement.twig",
            'agent' => $agent,
            'agreement' => $agreement,
            'client' => $clients,
            'agreement_flow'=>$agreement_flow_val
        );
        $id = $this->uri->segment(5); 
            if(!empty($id)){
                $data['agreement'] =  $this->client_model->get_client_agreement($id);
                $data['agreement_list'] =  $this->client_model->get_agreement_list($id);
                if(!empty($data['agreement_list'])){
                  $data['agreement_list'] =  $data['agreement_list'];
                }
                
                $data['agreement_parties'] =  $this->client_model->get_agreement_parties($id);
                $data['agreement_seller'] =  $this->client_model->get_agreement_seller($id);
                if(!empty($data['agreement_seller'])){
                  $data['agreement_seller'] =  $data['agreement_seller'];
                }
                $data['agreement_companies'] =  $this->client_model->get_agreement_companies($id);
                if(!empty($data['agreement_companies'])){
                  $data['agreement_companies'] =  $data['agreement_companies'];
                }
                $data['agreement_deadline'] =  $this->client_model->get_agreement_deadline($id);
                $data['agreement_inclusion'] =  $this->client_model->get_agreement_inclusion($id);
                if(!empty($data['agreement_inclusion'])){
                  $data['agreement_inclusion'] =  $data['agreement_inclusion'];
                }
              }
            
        $this->framework->init($data, false);
    }
    public function editagreement() {

        if (!$this->ion_auth->logged_in()):
            // redirect them to the login page
            redirect(base_url());
        endif;
       
        //Get agreement id
        $contractid = $this->uri->segment(4);
        //Get client data
        $client_id = $this->uri->segment(3);
        $id = $this->uri->segment(5);
        $clients = $this->client_model->get_client($client_id);
        //Get agent data
        $agent = $this->client_model->get_agent_client($this->session->userdata('user_id'));
        // Get new agreements from Admin with contract id
        $agreement = $this->client_model->get_agreement($contractid);
if(isset($_POST)){
    $data=[];
    if(!empty($_POST)){
        $client_id      =   $_POST['client_id'];
        $contract_id    =   $_POST['contract_id'];
        $contract_type    =  isset($_POST['contract_type']) ? $_POST['contract_type']:"" ;
        $contract_file =  $_POST['contract_file'];
        $xml_file = $this->print_r_xml($_POST);
        $contract_date = isset($_POST['contract_date']) ? $_POST['contract_date']:"0000-00-00";
        $additional_provisions = isset($_POST['additional_provisions']) ? (is_array($_POST['additional_provisions']) ? json_encode($_POST['additional_provisions']) : $_POST['additional_provisions']):"";
        $attachments =isset($_POST['attachments']) ? (is_array($_POST['attachments']) ? json_encode($_POST['attachments']) : $_POST['attachments']):"";
        $electronic_deliver =isset($_POST['electronic_deliver']) ? (is_array($_POST['electronic_deliver']) ? json_encode($_POST['electronic_deliver']) : $_POST['electronic_deliver']):"";
        $listing_period_start =isset($_POST['listing_period_start']) ? (is_array($_POST['listing_period_start']) ? json_encode($_POST['listing_period_start']) : $_POST['listing_period_start']):"";
        $listing_period_end =isset($_POST['listing_period_end']) ? (is_array($_POST['listing_period_end']) ? json_encode($_POST['listing_period_end']) : $_POST['listing_period_end']):"";
        $authorize_broker_negotiation =isset($_POST['authorize_broker_negotiation']) ? (is_array($_POST['authorize_broker_negotiation']) ? json_encode($_POST['authorize_broker_negotiation']) : $_POST['authorize_broker_negotiation']):"";
        $computation_deadline_period =isset($_POST['computation_deadline_period']) ? (is_array($_POST['computation_deadline_period']) ? json_encode($_POST['computation_deadline_period']) : $_POST['computation_deadline_period']):"";
        $agency_unless_brokerage_relationship =isset($_POST['agency_unless_brokerage_relationship']) ? (is_array($_POST['agency_unless_brokerage_relationship']) ? json_encode($_POST['agency_unless_brokerage_relationship']) : $_POST['agency_unless_brokerage_relationship']):"";
        $obligations_to_broker_diclosurers =isset($_POST['obligations_to_broker_diclosurers']) ? (is_array($_POST['obligations_to_broker_diclosurers']) ? json_encode($_POST['obligations_to_broker_diclosurers']) : $_POST['obligations_to_broker_diclosurers']):"";
        $holdover_period_days =isset($_POST['holdover_period_days']) ? (is_array($_POST['holdover_period_days']) ? json_encode($_POST['holdover_period_days']) : $_POST['holdover_period_days']):"";
        $holdover_period_check =isset($_POST['holdover_period_check']) ? (is_array($_POST['holdover_period_check']) ? json_encode($_POST['holdover_period_check']) :$_POST['holdover_period_check']):"";
        $agency_or_transaction_brokerage =isset($_POST['agency_or_transaction_brokerage']) ? (is_array($_POST['agency_or_transaction_brokerage']) ? json_encode($_POST['agency_or_transaction_brokerage']) : $_POST['agency_or_transaction_brokerage']):"";
        $broker_and_brokerage_firm =isset($_POST['broker_and_brokerage_firm']) ? (is_array($_POST['broker_and_brokerage_firm']) ? json_encode($_POST['broker_and_brokerage_firm']) : $_POST['broker_and_brokerage_firm']):"";
        $party_detail = isset($_POST['party_detail']) ? (is_array($_POST['party_detail']) ? json_encode($_POST['party_detail']) : $_POST['party_detail']) :'';
        $broker_detail = isset($_POST['broker_detail']) ? (is_array($_POST['broker_detail']) ? json_encode($_POST['broker_detail']) : $_POST['broker_detail']) :'';
        $brokerage_firm_detail = isset($_POST['brokerage_firm_detail']) ? (is_array($_POST['brokerage_firm_detail']) ? json_encode($_POST['brokerage_firm_detail']) : $_POST['brokerage_firm_detail']) :'';
        $possesion = isset($_POST['possesion']) ? (is_array($_POST['possesion']) ? json_encode($_POST['possesion']) : $_POST['possesion']) :'';

        

        if( !empty($_POST['contract_id']) ){           
                                      $contract_rel = $this->client_model->get_client_agreement($id);
                                      $this->client_model->saveagreement_rel(array('id'=>$contract_rel[0]->id,
                                      'version'=>$contract_rel[0]->version +1,
                                      "contract_file"=>$contract_file,
                                      "contract_date"=>$contract_date,
                                       "xml_file"=>$xml_file,
                                       "type"=>$contract_type,
                                       "additional_provisions" =>$additional_provisions,
                                       "attachments" => $attachments,
                                       "electronic_deliver" =>$electronic_deliver,
                                       "listing_period_start" =>$listing_period_start,
                                       "listing_period_end" =>$listing_period_end,
                                       "authorize_broker_negotiation" => $authorize_broker_negotiation,
                                       "computation_deadline_period" => $computation_deadline_period,
                                       "agency_unless_brokerage_relationship" =>$agency_unless_brokerage_relationship,
                                       "obligations_to_broker_diclosurers" =>$obligations_to_broker_diclosurers,
                                       "holdover_period_days" =>$holdover_period_days,
                                       "holdover_period_check" => $holdover_period_check,
                                       "agency_or_transaction_brokerage" => $agency_or_transaction_brokerage,
                                       "broker_and_brokerage_firm" =>$broker_and_brokerage_firm,
                                       "party_detail"=>$party_detail,
                                       "broker_detail"=>$broker_detail,
                                        "brokerage_firm_detail"=>$brokerage_firm_detail,
                                        "possesion"=>$possesion
                                    ));
                                      $insert_id = $contract_rel[0]->id;
                                   }
                                   if($contract_type == "buy" || $contract_type == "Buy"){
                                    $brokerage_firm_fees_check = isset($_POST['brokerage_firm_fees_check']) ? (is_array($_POST['brokerage_firm_fees_check']) ? json_encode($_POST['brokerage_firm_fees_check']) : $_POST['brokerage_firm_fees_check']):"";
                                    $fees_percentage_price = isset($_POST['fees_percentage_price']) ? (is_array($_POST['fees_percentage_price']) ? json_encode($_POST['fees_percentage_price']) : $_POST['fees_percentage_price']):"";
                                    $fees_us_dollar =isset($_POST['fees_us_dollar']) ? (is_array($_POST['fees_us_dollar']) ? json_encode($_POST['fees_us_dollar']) : $_POST['fees_us_dollar']):"";
                                    $adjusted_amount =isset($_POST['adjusted_amount']) ? (is_array($_POST['adjusted_amount']) ? json_encode($_POST['adjusted_amount']) : $_POST['adjusted_amount']):"";
                                    $adjusted_amount_other =isset($_POST['adjusted_amount_other']) ? (is_array($_POST['adjusted_amount_other']) ? json_encode($_POST['adjusted_amount_other']) : $_POST['adjusted_amount_other']):"";
                                    $adjusted_amount_other_chk =isset($_POST['adjusted_amount_other_chk']) ? (is_array($_POST['adjusted_amount_other_chk']) ? json_encode($_POST['adjusted_amount_other_chk']) : $_POST['adjusted_amount_other_chk']):"";
                                    $hourly_fee_check =isset($_POST['hourly_fee_check']) ? (is_array($_POST['hourly_fee_check']) ? json_encode($_POST['hourly_fee_check']) : $_POST['hourly_fee_check']):"";
                                    $hourly_fee_per_hour =isset($_POST['hourly_fee_per_hour']) ? (is_array($_POST['hourly_fee_per_hour']) ? json_encode($_POST['hourly_fee_per_hour']) : $_POST['hourly_fee_per_hour']):"";
                                    $hourly_fee_maximum_total =isset($_POST['hourly_fee_maximum_total']) ? (is_array($_POST['hourly_fee_maximum_total']) ? json_encode($_POST['hourly_fee_maximum_total']) : $_POST['hourly_fee_maximum_total']):"";
                                    $retainer_fee_check =isset($_POST['retainer_fee_check']) ? (is_array($_POST['retainer_fee_check']) ? json_encode($_POST['retainer_fee_check']) : $_POST['retainer_fee_check']):"";
                                    $retainer_fee_due =isset($_POST['retainer_fee_due']) ? (is_array($_POST['retainer_fee_due']) ? json_encode($_POST['retainer_fee_due']) : $_POST['retainer_fee_due']):"";
                                    $retainer_fee_will_check =isset($_POST['retainer_fee_will_check']) ? (is_array($_POST['retainer_fee_will_check']) ? json_encode($_POST['retainer_fee_will_check']) : $_POST['retainer_fee_will_check']):"";
                                    $other_compensation_check =isset($_POST['other_compensation_check']) ? (is_array($_POST['other_compensation_check']) ? json_encode($_POST['other_compensation_check']) : $_POST['other_compensation_check']):"";
                                    $other_compensation =isset($_POST['other_compensation']) ? (is_array($_POST['other_compensation']) ? json_encode($_POST['other_compensation']) : $_POST['other_compensation']):"";
                                    $firm_fee_lease_amt =isset($_POST['firm_fee_lease_amt']) ? (is_array($_POST['firm_fee_lease_amt']) ? json_encode($_POST['firm_fee_lease_amt']) : $_POST['firm_fee_lease_amt']):"";
                                            
                                    
                                    $firm_fee_lease_amt_per =isset($_POST['firm_fee_lease_amt_per']) ? (is_array($_POST['firm_fee_lease_amt_per']) ? json_encode($_POST['firm_fee_lease_amt_per']) : $_POST['firm_fee_lease_amt_per']):"";
                                    $firm_fee_lease_amt_or =isset($_POST['firm_fee_lease_amt_or']) ? (is_array($_POST['firm_fee_lease_amt_or']) ? json_encode($_POST['firm_fee_lease_amt_or']) : $_POST['firm_fee_lease_amt_or']):"";
                                    $firm_fee_lease_adj_amt_check =isset($_POST['firm_fee_lease_adj_amt_check']) ? (is_array($_POST['firm_fee_lease_adj_amt_check']) ? json_encode($_POST['firm_fee_lease_adj_amt_check']) : $_POST['firm_fee_lease_adj_amt_check']):"";
                                    $firm_fee_lease_adj_amt_other =isset($_POST['firm_fee_lease_adj_amt_other']) ? (is_array($_POST['firm_fee_lease_adj_amt_other']) ? json_encode($_POST['firm_fee_lease_adj_amt_other']) : $_POST['firm_fee_lease_adj_amt_other']):"";
                                    $firm_fee_lease_adj_amt_other_chk =isset($_POST['firm_fee_lease_adj_amt_other_chk']) ? (is_array($_POST['firm_fee_lease_adj_amt_other_chk']) ? json_encode($_POST['firm_fee_lease_adj_amt_other_chk']) : $_POST['firm_fee_lease_adj_amt_other_chk']):"";
                                    $firm_fee_lease_adj_amt_other1 =isset($_POST['firm_fee_lease_adj_amt_other1']) ? (is_array($_POST['firm_fee_lease_adj_amt_other1']) ? json_encode($_POST['firm_fee_lease_adj_amt_other1']) : $_POST['firm_fee_lease_adj_amt_other1']):"";
                                    $when_earned_when_payable_lease_txt =isset($_POST['when_earned_when_payable_lease_txt']) ? (is_array($_POST['when_earned_when_payable_lease_txt']) ? json_encode($_POST['when_earned_when_payable_lease_txt']) : $_POST['when_earned_when_payable_lease_txt']):"";
                                    $when_earned_when_payable_lease_chk =isset($_POST['when_earned_when_payable_lease_chk']) ? (is_array($_POST['when_earned_when_payable_lease_chk']) ? json_encode($_POST['when_earned_when_payable_lease_chk']) : $_POST['when_earned_when_payable_lease_chk']):"";
                                    
                                    $when_earned_when_payable_lease_txt1 =isset($_POST['when_earned_when_payable_lease_txt1']) ? (is_array($_POST['when_earned_when_payable_lease_txt1']) ? json_encode($_POST['when_earned_when_payable_lease_txt1']) : $_POST['when_earned_when_payable_lease_txt1']):"";
                                    $who_will_pay_firm_fee =isset($_POST['who_will_pay_firm_fee']) ? (is_array($_POST['who_will_pay_firm_fee']) ? json_encode($_POST['who_will_pay_firm_fee']) : $_POST['who_will_pay_firm_fee']):"";
                                
                                
                                                    $data['buyer_compensation']=array(
                                                        "client_id"=>$client_id,
                                                        "contract_id"=>$contract_id,
                                                        "contract_pid"=>$insert_id,
                                                        "brokerage_firm_fees_check"=>$brokerage_firm_fees_check,
                                                        "fees_percentage_price"=>$fees_percentage_price,
                                                        "fees_us_dollar"=>$fees_us_dollar,
                                                        "adjusted_amount" =>$adjusted_amount,
                                                        "adjusted_amount_other" => $adjusted_amount_other,
                                                        "hourly_fee_check" =>$hourly_fee_check,
                                                        "hourly_fee_per_hour" =>$hourly_fee_per_hour,
                                                        "hourly_fee_maximum_total" =>$hourly_fee_maximum_total,
                                                        "retainer_fee_check" => $retainer_fee_check,
                                                        "retainer_fee_due" => $computation_deadline_period,
                                                        "retainer_fee_will_check" =>$agency_unless_brokerage_relationship,
                                                        "other_compensation_check" =>$other_compensation_check,
                                                        "other_compensation" =>$other_compensation,
                                                        "firm_fee_lease_amt" => $firm_fee_lease_amt,
                                                        "firm_fee_lease_amt_or" => $firm_fee_lease_amt_or,
                                                        "firm_fee_lease_amt_per" =>$firm_fee_lease_amt_per,
                                
                                                        "firm_fee_lease_adj_amt_check" =>$firm_fee_lease_adj_amt_check,
                                                        "firm_fee_lease_adj_amt_other" =>$firm_fee_lease_adj_amt_other,
                                                        "firm_fee_lease_adj_amt_other1" => $firm_fee_lease_adj_amt_other1,
                                                        "when_earned_when_payable_lease_txt" => $when_earned_when_payable_lease_txt,
                                                        "when_earned_when_payable_lease_chk" =>$when_earned_when_payable_lease_chk,
                                                        "when_earned_when_payable_lease_txt1" => $when_earned_when_payable_lease_txt1,
                                                        "who_will_pay_firm_fee" =>$who_will_pay_firm_fee
                                                        );
                                            }
                                            if($contract_type == "sell" || $contract_type == "Sell"){
                                                $lease_commision_percentage_gross = isset($_POST['lease_commision_percentage_gross']) ? (is_array($_POST['lease_commision_percentage_gross']) ? json_encode($_POST['lease_commision_percentage_gross']) : $_POST['lease_commision_percentage_gross']):"";
                                                $lease_commision_dollar = isset($_POST['lease_commision_dollar']) ? (is_array($_POST['lease_commision_dollar']) ? json_encode($_POST['lease_commision_dollar']) : $_POST['lease_commision_dollar']):"";
                                                $lease_commision_payable = isset($_POST['lease_commision_payable']) ? (is_array($_POST['lease_commision_payable']) ? json_encode($_POST['lease_commision_payable']) : $_POST['lease_commision_payable']):"";
                                                $sales_commision_percentage_gross =isset($_POST['sales_commision_percentage_gross']) ? (is_array($_POST['sales_commision_percentage_gross']) ? json_encode($_POST['sales_commision_percentage_gross']) : $_POST['sales_commision_percentage_gross']):"";
                                                $sales_commision_dollar =isset($_POST['sales_commision_dollar']) ? (is_array($_POST['sales_commision_dollar']) ? json_encode($_POST['sales_commision_dollar']) : $_POST['sales_commision_dollar']):"";
                                                $tenant_agent_percentage_gross =isset($_POST['tenant_agent_percentage_gross']) ? (is_array($_POST['tenant_agent_percentage_gross']) ? json_encode($_POST['tenant_agent_percentage_gross']) : $_POST['tenant_agent_percentage_gross']):"";
                                                $tenant_agent_dollar =isset($_POST['tenant_agent_dollar']) ? (is_array($_POST['tenant_agent_dollar']) ? json_encode($_POST['tenant_agent_dollar']) : $_POST['tenant_agent_dollar']):"";
                                                $transaction_broker_gross =isset($_POST['transaction_broker_gross']) ? (is_array($_POST['transaction_broker_gross']) ? json_encode($_POST['transaction_broker_gross']) : $_POST['transaction_broker_gross']):"";
                                                $transaction_dollar =isset($_POST['transaction_dollar']) ? (is_array($_POST['transaction_dollar']) ? json_encode($_POST['transaction_dollar']) : $_POST['transaction_dollar']):"";
                                                $fee_for_expansion_renewal_chk =isset($_POST['fee_for_expansion_renewal_chk']) ? (is_array($_POST['fee_for_expansion_renewal_chk']) ? json_encode($_POST['fee_for_expansion_renewal_chk']) : $_POST['fee_for_expansion_renewal_chk']):"";
                                                $fee_for_expansion_renewal_chk1 =isset($_POST['fee_for_expansion_renewal_chk1']) ? (is_array($_POST['fee_for_expansion_renewal_chk1']) ? json_encode($_POST['fee_for_expansion_renewal_chk1']) : $_POST['fee_for_expansion_renewal_chk1']):"";
                                                $fee_for_expansion_renewal_chk2 =isset($_POST['fee_for_expansion_renewal_chk2']) ? (is_array($_POST['fee_for_expansion_renewal_chk2']) ? json_encode($_POST['fee_for_expansion_renewal_chk2']) : $_POST['fee_for_expansion_renewal_chk2']):"";
                                                $fee_for_expansion_renewal =isset($_POST['fee_for_expansion_renewal']) ? (is_array($_POST['fee_for_expansion_renewal']) ? json_encode($_POST['fee_for_expansion_renewal']) : $_POST['fee_for_expansion_renewal']):"";
                                                $fee_for_expansion_renewal_chk3 =isset($_POST['fee_for_expansion_renewal_chk3']) ? (is_array($_POST['fee_for_expansion_renewal_chk3']) ? json_encode($_POST['fee_for_expansion_renewal_chk3']) : $_POST['fee_for_expansion_renewal_chk3']):"";
                                                $fee_for_expansion_renewal_chk4 =isset($_POST['fee_for_expansion_renewal_chk4']) ? (is_array($_POST['fee_for_expansion_renewal_chk4']) ? json_encode($_POST['fee_for_expansion_renewal_chk4']) : $_POST['fee_for_expansion_renewal_chk4']):"";
                                                        
                                                
                                                $fee_for_expansion_renewal_chk5 =isset($_POST['fee_for_expansion_renewal_chk5']) ? (is_array($_POST['fee_for_expansion_renewal_chk5']) ? json_encode($_POST['fee_for_expansion_renewal_chk5']) : $_POST['fee_for_expansion_renewal_chk5']):"";
                                                $fee_for_expansion_renewal1 =isset($_POST['fee_for_expansion_renewal1']) ? (is_array($_POST['fee_for_expansion_renewal1']) ? json_encode($_POST['fee_for_expansion_renewal1']) : $_POST['fee_for_expansion_renewal1']):"";
                                                $other_compensation =isset($_POST['other_compensation']) ? (is_array($_POST['other_compensation']) ? json_encode($_POST['other_compensation']) : $_POST['other_compensation']):"";
                                                $when_earned_when_payable_lease_txt =isset($_POST['when_earned_when_payable_lease_txt']) ? (is_array($_POST['when_earned_when_payable_lease_txt']) ? json_encode($_POST['when_earned_when_payable_lease_txt']) : $_POST['when_earned_when_payable_lease_txt']):"";
                                                $when_applicable_payable =isset($_POST['when_applicable_payable']) ? (is_array($_POST['when_applicable_payable']) ? json_encode($_POST['when_applicable_payable']) : $_POST['when_applicable_payable']):"";
                                            
                                            
                                                                $data['sell_compensation']=array(
                                                                    "client_id"=>$client_id,
                                                                    "contract_id"=>$contract_id,
                                                                    "contract_pid"=>$insert_id,
                                                                    "lease_commision_percentage_gross"=>$lease_commision_percentage_gross,
                                                                    "lease_commision_dollar"=>$lease_commision_dollar,
                                                                    "lease_commision_payable"=>$lease_commision_payable,
                                                                    "sales_commision_percentage_gross"=>$sales_commision_percentage_gross,
                                                                    "sales_commision_dollar" =>$sales_commision_dollar,
                                                                    "tenant_agent_percentage_gross" => $tenant_agent_percentage_gross,
                                                                    "tenant_agent_dollar" =>$tenant_agent_dollar,
                                                                    "transaction_broker_gross" =>$transaction_broker_gross,
                                                                    "transaction_dollar" =>$transaction_dollar,
                                                                    "fee_for_expansion_renewal_chk" => $fee_for_expansion_renewal_chk,
                                                                    "fee_for_expansion_renewal_chk1" => $fee_for_expansion_renewal_chk1,
                                                                    "fee_for_expansion_renewal_chk2" =>$fee_for_expansion_renewal_chk2,
                                                                    "fee_for_expansion_renewal" =>$fee_for_expansion_renewal,
                                                                    "fee_for_expansion_renewal_chk3" =>$fee_for_expansion_renewal_chk3,
                                                                    "fee_for_expansion_renewal_chk4" => $fee_for_expansion_renewal_chk4,
                                                                    "fee_for_expansion_renewal_chk5" => $fee_for_expansion_renewal_chk5,
                                                                    "fee_for_expansion_renewal1" =>$fee_for_expansion_renewal1,
                                            
                                                                    "other_compensation" =>$other_compensation,
                                                                    "when_earned_when_payable_lease_txt" =>$when_earned_when_payable_lease_txt,
                                                                    "when_applicable_payable" => $when_applicable_payable,
                                                                    
                                
                                                                    );
                                            
                                            }
                                            if($contract_type == "tenant" || $contract_type == "Tenant"){
                                                $firm_fees_check = isset($_POST['firm_fees_check']) ? (is_array($_POST['firm_fees_check']) ? json_encode($_POST['firm_fees_check']) : $_POST['firm_fees_check']):"";
                                                $fees_percentage_price = isset($_POST['fees_percentage_price']) ? (is_array($_POST['fees_percentage_price']) ? json_encode($_POST['fees_percentage_price']) : $_POST['fees_percentage_price']):"";
                                                $fees_us_dollar =isset($_POST['fees_us_dollar']) ? (is_array($_POST['fees_us_dollar']) ? json_encode($_POST['fees_us_dollar']) : $_POST['fees_us_dollar']):"";
                                                $hourly_fee_check =isset($_POST['hourly_fee_check']) ? (is_array($_POST['hourly_fee_check']) ? json_encode($_POST['hourly_fee_check']) : $_POST['hourly_fee_check']):"";
                                                $hourly_fee_maximum_total =isset($_POST['hourly_fee_maximum_total']) ? (is_array($_POST['hourly_fee_maximum_total']) ? json_encode($_POST['hourly_fee_maximum_total']) : $_POST['hourly_fee_maximum_total']):"";
                                                $retainer_fee_check =isset($_POST['retainer_fee_check']) ? (is_array($_POST['retainer_fee_check']) ? json_encode($_POST['retainer_fee_check']) : $_POST['retainer_fee_check']):"";
                                                $retainer_fee_due =isset($_POST['retainer_fee_due']) ? (is_array($_POST['retainer_fee_due']) ? json_encode($_POST['retainer_fee_due']) : $_POST['retainer_fee_due']):"";
                                                $retainer_fee_will_check =isset($_POST['retainer_fee_will_check']) ? (is_array($_POST['retainer_fee_will_check']) ? json_encode($_POST['retainer_fee_will_check']) : $_POST['retainer_fee_will_check']):"";
                                                $fee_for_expansion_renewal_chk =isset($_POST['fee_for_expansion_renewal_chk']) ? (is_array($_POST['fee_for_expansion_renewal_chk']) ? json_encode($_POST['fee_for_expansion_renewal_chk']) : $_POST['fee_for_expansion_renewal_chk']):"";
                                                $fee_for_expansion_renewal =isset($_POST['fee_for_expansion_renewal']) ? (is_array($_POST['fee_for_expansion_renewal']) ? json_encode($_POST['fee_for_expansion_renewal']) : $_POST['fee_for_expansion_renewal']):"";
                                                $other_compensation_check =isset($_POST['other_compensation_check']) ? (is_array($_POST['other_compensation_check']) ? json_encode($_POST['other_compensation_check']) : $_POST['other_compensation_check']):"";
                                                $other_compensation =isset($_POST['other_compensation']) ? (is_array($_POST['other_compensation']) ? json_encode($_POST['other_compensation']) : $_POST['other_compensation']):"";
                                                $firm_fee_lease_amt =isset($_POST['firm_fee_lease_amt']) ? (is_array($_POST['firm_fee_lease_amt']) ? json_encode($_POST['firm_fee_lease_amt']) : $_POST['firm_fee_lease_amt']):"";
                                                $firm_fee_lease_amt_per =isset($_POST['firm_fee_lease_amt_per']) ? (is_array($_POST['firm_fee_lease_amt_per']) ? json_encode($_POST['firm_fee_lease_amt_per']) : $_POST['firm_fee_lease_amt_per']):"";
                                                $firm_fee_lease_amt_or =isset($_POST['firm_fee_lease_amt_or']) ? (is_array($_POST['firm_fee_lease_amt_or']) ? json_encode($_POST['firm_fee_lease_amt_or']) : $_POST['firm_fee_lease_amt_or']):"";
                                                        
                                                
                                                $firm_fee_lease_adj_amt_check =isset($_POST['firm_fee_lease_adj_amt_check']) ? (is_array($_POST['firm_fee_lease_adj_amt_check']) ? json_encode($_POST['firm_fee_lease_adj_amt_check']) : $_POST['firm_fee_lease_adj_amt_check']):"";
                                                $firm_fee_lease_adj_amt_other =isset($_POST['firm_fee_lease_adj_amt_other']) ? (is_array($_POST['firm_fee_lease_adj_amt_other']) ? json_encode($_POST['firm_fee_lease_adj_amt_other']) : $_POST['firm_fee_lease_adj_amt_other']):"";
                                                $firm_fee_lease_adj_amt_other1 =isset($_POST['firm_fee_lease_adj_amt_other1']) ? (is_array($_POST['firm_fee_lease_adj_amt_other1']) ? json_encode($_POST['firm_fee_lease_adj_amt_other1']) : $_POST['firm_fee_lease_adj_amt_other1']):"";
                                                $when_earned_when_payable_lease_txt =isset($_POST['when_earned_when_payable_lease_txt']) ? (is_array($_POST['when_earned_when_payable_lease_txt']) ? json_encode($_POST['when_earned_when_payable_lease_txt']) : $_POST['when_earned_when_payable_lease_txt']):"";
                                                $who_will_pay_firm_fee =isset($_POST['who_will_pay_firm_fee']) ? (is_array($_POST['who_will_pay_firm_fee']) ? json_encode($_POST['who_will_pay_firm_fee']) : $_POST['who_will_pay_firm_fee']):"";
                                                $who_will_pay_firm_obligated =isset($_POST['who_will_pay_firm_obligated']) ? (is_array($_POST['who_will_pay_firm_obligated']) ? json_encode($_POST['who_will_pay_firm_obligated']) : $_POST['who_will_pay_firm_obligated']):"";
                                                $who_will_pay_firm_obligated_not =isset($_POST['who_will_pay_firm_obligated_not']) ? (is_array($_POST['who_will_pay_firm_obligated_not']) ? json_encode($_POST['who_will_pay_firm_obligated_not']) : $_POST['who_will_pay_firm_obligated_not']):"";
                                
                                            
                                                                $data['tenant_compensation']=array(
                                                                    "client_id"=>$client_id,
                                                                    "contract_id"=>$contract_id,
                                                                    "contract_pid"=>$insert_id,
                                                                    "firm_fees_check"=>$firm_fees_check,
                                                                    "fees_percentage_price"=>$fees_percentage_price,
                                                                    "fees_us_dollar"=>$fees_us_dollar,
                                                                    "hourly_fee_check" =>$hourly_fee_check,
                                                                    "hourly_fee_maximum_total" => $hourly_fee_maximum_total,
                                                                    "retainer_fee_check" =>$retainer_fee_check,
                                                                    "retainer_fee_due" =>$retainer_fee_due,
                                                                    "retainer_fee_will_check" =>$retainer_fee_will_check,
                                                                    "fee_for_expansion_renewal_chk" => $fee_for_expansion_renewal_chk,
                                                                    "fee_for_expansion_renewal" => $fee_for_expansion_renewal,
                                                                    "other_compensation_check" =>$other_compensation_check,
                                                                    "other_compensation" =>$other_compensation,
                                                                    "firm_fee_lease_amt" =>$firm_fee_lease_amt,
                                                                    "firm_fee_lease_amt_per" => $firm_fee_lease_amt_per,
                                                                    "firm_fee_lease_amt_or" => $firm_fee_lease_amt_or,
                                                                    "firm_fee_lease_adj_amt_check" =>$firm_fee_lease_adj_amt_check,
                                            
                                                                    "firm_fee_lease_adj_amt_other" =>$firm_fee_lease_adj_amt_other,
                                                                    "firm_fee_lease_adj_amt_other1" =>$firm_fee_lease_adj_amt_other1,
                                                                    "when_earned_when_payable_lease_txt" => $when_earned_when_payable_lease_txt,
                                
                                                                    "who_will_pay_firm_fee" =>$who_will_pay_firm_fee,
                                                                    "who_will_pay_firm_obligated" =>$who_will_pay_firm_obligated,
                                                                    "who_will_pay_firm_obligated_not" => $who_will_pay_firm_obligated_not
                                
                                                                    );
                                            }
                                            if($contract_type == "lease" || $contract_type == "Lease"){
                                                $lease_commision_percentage_gross = isset($_POST['lease_commision_percentage_gross']) ? (is_array($_POST['lease_commision_percentage_gross']) ? json_encode($_POST['lease_commision_percentage_gross']) : $_POST['lease_commision_percentage_gross']):"";
                                                $lease_commision_dollar = isset($_POST['lease_commision_dollar']) ? (is_array($_POST['lease_commision_dollar']) ? json_encode($_POST['lease_commision_dollar']) : $_POST['lease_commision_dollar']):"";
                                                $sales_commision_percentage_gross =isset($_POST['sales_commision_percentage_gross']) ? (is_array($_POST['sales_commision_percentage_gross']) ? json_encode($_POST['sales_commision_percentage_gross']) : $_POST['sales_commision_percentage_gross']):"";
                                                $sales_commision_dollar =isset($_POST['sales_commision_dollar']) ? (is_array($_POST['sales_commision_dollar']) ? json_encode($_POST['sales_commision_dollar']) : $_POST['sales_commision_dollar']):"";
                                                $tenant_agent_percentage_gross =isset($_POST['tenant_agent_percentage_gross']) ? (is_array($_POST['tenant_agent_percentage_gross']) ? json_encode($_POST['tenant_agent_percentage_gross']) : $_POST['tenant_agent_percentage_gross']):"";
                                                $tenant_agent_dollar =isset($_POST['tenant_agent_dollar']) ? (is_array($_POST['tenant_agent_dollar']) ? json_encode($_POST['tenant_agent_dollar']) : $_POST['tenant_agent_dollar']):"";
                                                $transaction_broker_gross =isset($_POST['transaction_broker_gross']) ? (is_array($_POST['transaction_broker_gross']) ? json_encode($_POST['transaction_broker_gross']) : $_POST['transaction_broker_gross']):"";
                                                $transaction_dollar =isset($_POST['transaction_dollar']) ? (is_array($_POST['transaction_dollar']) ? json_encode($_POST['transaction_dollar']) : $_POST['transaction_dollar']):"";
                                                $fee_for_expansion_renewal =isset($_POST['fee_for_expansion_renewal']) ? (is_array($_POST['fee_for_expansion_renewal']) ? json_encode($_POST['fee_for_expansion_renewal']) : $_POST['fee_for_expansion_renewal']):"";
                                                $fee_for_expansion_renewal_chk =isset($_POST['fee_for_expansion_renewal_chk']) ? (is_array($_POST['fee_for_expansion_renewal_chk']) ? json_encode($_POST['fee_for_expansion_renewal_chk']) : $_POST['fee_for_expansion_renewal_chk']):"";
                                                $fee_for_expansion_renewal_chk1 =isset($_POST['fee_for_expansion_renewal_chk1']) ? (is_array($_POST['fee_for_expansion_renewal_chk1']) ? json_encode($_POST['fee_for_expansion_renewal_chk1']) : $_POST['fee_for_expansion_renewal_chk1']):"";
                                                $fee_for_expansion_renewal_chk2 =isset($_POST['fee_for_expansion_renewal_chk2']) ? (is_array($_POST['fee_for_expansion_renewal_chk2']) ? json_encode($_POST['fee_for_expansion_renewal_chk2']) : $_POST['fee_for_expansion_renewal_chk2']):"";
                                                $fee_for_expansion_renewal_chk3 =isset($_POST['fee_for_expansion_renewal_chk3']) ? (is_array($_POST['fee_for_expansion_renewal_chk3']) ? json_encode($_POST['fee_for_expansion_renewal_chk3']) : $_POST['fee_for_expansion_renewal_chk3']):"";
                                                $fee_for_expansion_renewal_chk4 =isset($_POST['fee_for_expansion_renewal_chk4']) ? (is_array($_POST['fee_for_expansion_renewal_chk4']) ? json_encode($_POST['fee_for_expansion_renewal_chk4']) : $_POST['fee_for_expansion_renewal_chk4']):"";
                                                        
                                                
                                                $fee_for_expansion_renewal_chk5 =isset($_POST['fee_for_expansion_renewal_chk5']) ? (is_array($_POST['fee_for_expansion_renewal_chk5']) ? json_encode($_POST['fee_for_expansion_renewal_chk5']) : $_POST['fee_for_expansion_renewal_chk5']):"";
                                                $fee_for_expansion_renewal1 =isset($_POST['fee_for_expansion_renewal1']) ? (is_array($_POST['fee_for_expansion_renewal1']) ? json_encode($_POST['fee_for_expansion_renewal1']) : $_POST['fee_for_expansion_renewal1']):"";
                                                $other_compensation =isset($_POST['other_compensation']) ? (is_array($_POST['other_compensation']) ? json_encode($_POST['other_compensation']) : $_POST['other_compensation']):"";
                                                $when_earned_when_payable_lease_txt =isset($_POST['when_earned_when_payable_lease_txt']) ? (is_array($_POST['when_earned_when_payable_lease_txt']) ? json_encode($_POST['when_earned_when_payable_lease_txt']) : $_POST['when_earned_when_payable_lease_txt']):"";
                                                $when_applicable_payable =isset($_POST['when_applicable_payable']) ? (is_array($_POST['when_applicable_payable']) ? json_encode($_POST['when_applicable_payable']) : $_POST['when_applicable_payable']):"";
                                                $tenant_agent_chk =isset($_POST['tenant_agent_chk']) ? (is_array($_POST['tenant_agent_chk']) ? json_encode($_POST['tenant_agent_chk']) : $_POST['tenant_agent_chk']):"";
                                                $transaction_chk =isset($_POST['transaction_chk']) ? (is_array($_POST['transaction_chk']) ? json_encode($_POST['transaction_chk']) : $_POST['transaction_chk']):"";
                                
                                            
                                                                $data['lease_compensation']=array(
                                                                    "client_id"=>$client_id,
                                                                    "contract_id"=>$contract_id,
                                                                    "contract_pid"=>$insert_id,
                                                                    "lease_commision_percentage_gross"=>$lease_commision_percentage_gross,
                                                                    "lease_commision_dollar"=>$lease_commision_dollar,
                                                                    "sales_commision_percentage_gross"=>$sales_commision_percentage_gross,
                                                                    "sales_commision_dollar" =>$sales_commision_dollar,
                                                                    "tenant_agent_percentage_gross" => $tenant_agent_percentage_gross,
                                                                    "tenant_agent_dollar" =>$tenant_agent_dollar,
                                                                    "tenant_agent_chk" =>$tenant_agent_chk,
                                                                    "transaction_broker_gross" =>$transaction_broker_gross,
                                                                    "transaction_dollar" =>$transaction_dollar,
                                                                    "transaction_chk" =>$transaction_chk,
                                                                    "fee_for_expansion_renewal" => $fee_for_expansion_renewal,
                                                                    "fee_for_expansion_renewal_chk" => $fee_for_expansion_renewal_chk,
                                                                    
                                                                    "fee_for_expansion_renewal_chk1" =>$fee_for_expansion_renewal_chk1,
                                                                    "fee_for_expansion_renewal_chk2" =>$fee_for_expansion_renewal_chk2,
                                                                    "fee_for_expansion_renewal_chk3" =>$fee_for_expansion_renewal_chk3,
                                                                    "fee_for_expansion_renewal_chk4" => $fee_for_expansion_renewal_chk4,
                                                                    "fee_for_expansion_renewal_chk5" => $fee_for_expansion_renewal_chk5,
                                                                    "fee_for_expansion_renewal1" =>$fee_for_expansion_renewal1,
                                            
                                                                    "other_compensation" =>$other_compensation,
                                                                    "when_earned_when_payable_lease_txt" => $when_earned_when_payable_lease_txt,
                                
                                                                    "when_applicable_payable" =>$when_applicable_payable,
                                                                    );
                                            }        
                                            if($contract_type == "lease" || $contract_type == "Lease" || $contract_type == "sell" || $contract_type == "Sell"){
                                                $mls_info_check = isset($_POST['mls_info_check']) ? (is_array($_POST['mls_info_check']) ? json_encode($_POST['mls_info_check']) : $_POST['mls_info_check']):"";
                                                $mls_info_check1 = isset($_POST['mls_info_check1']) ? (is_array($_POST['mls_info_check1']) ? json_encode($_POST['mls_info_check1']) : $_POST['mls_info_check1']):"";
                                                $mls_marketing_except =isset($_POST['mls_marketing_except']) ? (is_array($_POST['mls_marketing_except']) ? json_encode($_POST['mls_marketing_except']) : $_POST['mls_marketing_except']):"";
                                                $display_premise_address =isset($_POST['display_premise_address']) ? (is_array($_POST['display_premise_address']) ? json_encode($_POST['display_premise_address']) : $_POST['display_premise_address']):"";
                                                $property_access_check =isset($_POST['property_access_check']) ? (is_array($_POST['property_access_check']) ? json_encode($_POST['property_access_check']) : $_POST['property_access_check']):"";
                                                $prooperty_acess =isset($_POST['prooperty_acess']) ? (is_array($_POST['prooperty_acess']) ? json_encode($_POST['prooperty_acess']) : $_POST['prooperty_acess']):"";
                                                $broker_marketing =isset($_POST['broker_marketing']) ? (is_array($_POST['broker_marketing']) ? json_encode($_POST['broker_marketing']) : $_POST['broker_marketing']):"";
                                                                            
                                                                $data['mls_information']=array(
                                                                    "client_id"=>$client_id,
                                                                    "contract_id"=>$contract_id,
                                                                    "contract_pid"=>$insert_id,
                                                                    "mls_info_check"=>$mls_info_check,
                                                                    "mls_info_check1"=>$mls_info_check1,
                                                                    "mls_marketing_except"=>$mls_marketing_except,
                                                                    "display_premise_address" =>$display_premise_address,
                                                                    "property_access_check" => $property_access_check,
                                                                    "prooperty_acess" =>$prooperty_acess,
                                                                    "broker_marketing" =>$broker_marketing
                                                                    );
                                
                                            }  
                                            if($contract_type == "sell" || $contract_type == "Sell"){
                                                $encumbrance = isset($_POST['encumbrance']) ? (is_array($_POST['encumbrance']) ? json_encode($_POST['encumbrance']) : $_POST['encumbrance']):"";
                                                $encumbrance1 = isset($_POST['encumbrance1']) ? (is_array($_POST['encumbrance1']) ? json_encode($_POST['encumbrance1']) : $_POST['encumbrance1']):"";
                                                $evidance_of_title_chk =isset($_POST['evidance_of_title_chk']) ? (is_array($_POST['evidance_of_title_chk']) ? json_encode($_POST['evidance_of_title_chk']) : $_POST['evidance_of_title_chk']):"";
                                                $association_aporx =isset($_POST['association_aporx']) ? (is_array($_POST['association_aporx']) ? json_encode($_POST['association_aporx']) : $_POST['association_aporx']):"";
                                                $association_aporx_per =isset($_POST['association_aporx_per']) ? (is_array($_POST['association_aporx_per']) ? json_encode($_POST['association_aporx_per']) : $_POST['association_aporx_per']):"";
                                                $association_aporx_except =isset($_POST['association_aporx_except']) ? (is_array($_POST['association_aporx_except']) ? json_encode($_POST['association_aporx_except']) : $_POST['association_aporx_except']):"";
                                                $forfeiture_of_chk =isset($_POST['forfeiture_of_chk']) ? (is_array($_POST['forfeiture_of_chk']) ? json_encode($_POST['forfeiture_of_chk']) : $_POST['forfeiture_of_chk']):"";
                                                $forfeiture_of_txt =isset($_POST['forfeiture_of_txt']) ? (is_array($_POST['forfeiture_of_txt']) ? json_encode($_POST['forfeiture_of_txt']) : $_POST['forfeiture_of_txt']):"";
                                
                                                                $data['sell_encumbrances']=array(
                                                                    "client_id"=>$client_id,
                                                                    "contract_id"=>$contract_id,
                                                                    "contract_pid"=>$insert_id,
                                                                    "encumbrance"=>$encumbrance,
                                                                    "encumbrance1"=>$encumbrance1,
                                                                    "evidance_of_title_chk"=>$evidance_of_title_chk,
                                                                    "association_aporx" =>$association_aporx,
                                                                    "association_aporx_per" => $association_aporx_per,
                                                                    "association_aporx_except" =>$association_aporx_except,
                                                                    "forfeiture_of_chk" => $forfeiture_of_chk,
                                                                    "forfeiture_of_txt" =>$forfeiture_of_txt
                                                                    );
                                
                                            }      
                                            if($contract_type == "sell" || $contract_type == "Sell"){
                                                $price = isset($_POST['price']) ? (is_array($_POST['price']) ? json_encode($_POST['price']) : $_POST['price']):"";
                                                $terms = isset($_POST['terms']) ? (is_array($_POST['terms']) ? json_encode($_POST['terms']) : $_POST['terms']):"";
                                                $other_terms =isset($_POST['other_terms']) ? (is_array($_POST['other_terms']) ? json_encode($_POST['other_terms']) : $_POST['other_terms']):"";
                                                $loan_discount_points =isset($_POST['loan_discount_points']) ? (is_array($_POST['loan_discount_points']) ? json_encode($_POST['loan_discount_points']) : $_POST['loan_discount_points']):"";
                                                $buyer_closing_cost =isset($_POST['buyer_closing_cost']) ? (is_array($_POST['buyer_closing_cost']) ? json_encode($_POST['buyer_closing_cost']) : $_POST['buyer_closing_cost']):"";
                                                $buyer_closing_cost1 =isset($_POST['buyer_closing_cost1']) ? (is_array($_POST['buyer_closing_cost1']) ? json_encode($_POST['buyer_closing_cost1']) : $_POST['buyer_closing_cost1']):"";
                                                $earnest_money =isset($_POST['earnest_money']) ? (is_array($_POST['earnest_money']) ? json_encode($_POST['earnest_money']) : $_POST['earnest_money']):"";
                                                $earnest_money_form =isset($_POST['earnest_money_form']) ? (is_array($_POST['earnest_money_form']) ? json_encode($_POST['earnest_money_form']) : $_POST['earnest_money_form']):"";
                                                $seller_proceed_idicated_chk =isset($_POST['seller_proceed_idicated_chk']) ? (is_array($_POST['seller_proceed_idicated_chk']) ? json_encode($_POST['seller_proceed_idicated_chk']) : $_POST['seller_proceed_idicated_chk']):"";
                                
                                                                $data['sell_price_term']=array(
                                                                    "client_id"=>$client_id,
                                                                    "contract_id"=>$contract_id,
                                                                    "contract_pid"=>$insert_id,
                                                                    "price"=>$price,
                                                                    "terms"=>$terms,
                                                                    "other_terms"=>$other_terms,
                                                                    "loan_discount_points" =>$loan_discount_points,
                                                                    "buyer_closing_cost" => $buyer_closing_cost,
                                                                    "buyer_closing_cost1" =>$buyer_closing_cost1,
                                                                    "earnest_money" =>$earnest_money,
                                                                    "earnest_money_form" => $earnest_money_form,
                                                                    "seller_proceed_idicated_chk" =>$seller_proceed_idicated_chk,
                                                                    );
                                
                                            }                 
                                            if($contract_type == "lease" || $contract_type == "Lease"){
                                                $rental_rate = isset($_POST['rental_rate']) ? (is_array($_POST['rental_rate']) ? json_encode($_POST['rental_rate']) : $_POST['rental_rate']):"";
                                                $min_security_deposit = isset($_POST['min_security_deposit']) ? (is_array($_POST['min_security_deposit']) ? json_encode($_POST['min_security_deposit']) : $_POST['min_security_deposit']):"";
                                                $mls_marketing_except =isset($_POST['mls_marketing_except']) ? (is_array($_POST['mls_marketing_except']) ? json_encode($_POST['mls_marketing_except']) : $_POST['mls_marketing_except']):"";
                                                $other_terms =isset($_POST['other_terms']) ? (is_array($_POST['other_terms']) ? json_encode($_POST['other_terms']) : $_POST['other_terms']):"";
                                
                                                                $data['lease_rental_rate']=array(
                                                                    "client_id"=>$client_id,
                                                                    "contract_id"=>$contract_id,
                                                                    "contract_pid"=>$insert_id,
                                                                    "rental_rate"=>$rental_rate,
                                                                    "min_security_deposit"=>$min_security_deposit,
                                                                    "mls_marketing_except"=>$mls_marketing_except,
                                                                    "other_terms" =>$other_terms
                                                                                                        );
                                
                                            }            
                                            if($contract_type == "buy" || $contract_type == "Buy" || $contract_type == "tenant" || $contract_type == "Tenant"){
                                                $broker_services = isset($_POST['broker_services']) ? (is_array($_POST['broker_services']) ? json_encode($_POST['broker_services']) : $_POST['broker_services']):"";
                                                $showing_properties = isset($_POST['showing_properties']) ? (is_array($_POST['showing_properties']) ? json_encode($_POST['showing_properties']) : $_POST['showing_properties']):"";
                                                $showing_properties1 =isset($_POST['showing_properties1']) ? (is_array($_POST['showing_properties1']) ? json_encode($_POST['showing_properties1']) : $_POST['showing_properties1']):"";
                                
                                                                $data['buyer_broker_services']=array(
                                                                    "client_id"=>$client_id,
                                                                    "contract_id"=>$contract_id,
                                                                    "contract_pid"=>$insert_id,
                                                                    "broker_services"=>$broker_services,
                                                                    "showing_properties"=>$showing_properties,
                                                                    "showing_properties1"=>$showing_properties1,
                                                                                                        );
                                
                                            }                        
                                            if( !empty($_POST['second_company_name']) && !empty($insert_id)){ 
                                                $data['contract_companies']=array(
                                                                                "client_id"=>$client_id,
                                                                                "contract_id"=>$contract_id,
                                                                                "contract_pid"=>$insert_id,
                                                                                "company_name"=>$_POST['second_company_name']
                                                                            );
                                            }
                                            if( !empty($_POST['seller_name']) && !empty($insert_id)){
                                                if(is_array($_POST['seller_name'])){
                                                    foreach($_POST['seller_name'] as $seller_name){
                                                        if(trim($seller_name)){
                                                            $data['contract_seller'][]=array(
                                                                                            "client_id"=>$client_id,
                                                                                            "contract_id"=>$contract_id,
                                                                                            "contract_pid"=>$insert_id,
                                                                                            "seller_name"=>$seller_name
                                                                                        );
                                                            }
                                                        }
                                                }else{
                                                    $seller_name = $_POST['seller_name'];
                                                    $data['contract_seller'][0]=array(
                                                        "client_id"=>$client_id,
                                                        "contract_id"=>$contract_id,
                                                        "contract_pid"=>$insert_id,
                                                        "seller_name"=>$seller_name
                                                    );
                                                }
                                
                                            }
                                            
                                            if( !empty($_POST['party']) && !empty($insert_id)){
                                                $broker = isset($_POST['broker']) ? (is_array($_POST['broker']) ? json_encode($_POST['broker']) : $_POST['broker']) :'';
                                                $broker_signature = isset($_POST['broker_signature']) ? (is_array($_POST['broker_signature']) ? json_encode($_POST['broker_signature']) : $_POST['broker_signature']) :'';
                                                $broker_date = isset($_POST['broker_date']) ? date('Y-m-d',strtotime($_POST['broker_date'])) :'0000-00-00';
                                                $broker_address = isset($_POST['broker_address']) ? (is_array($_POST['broker_address']) ? json_encode($_POST['broker_address']) : $_POST['broker_address']) :'';
                                                $broker_phone = isset($_POST['broker_phone']) ? (is_array($_POST['broker_phone']) ? json_encode($_POST['broker_phone']) : $_POST['broker_phone']) :'';
                                                $broker_fax = isset($_POST['broker_fax']) ? (is_array($_POST['broker_fax']) ? json_encode($_POST['broker_fax']) : $_POST['broker_fax']) :'';
                                                $broker_electronic_address = isset($_POST['broker_electronic_address']) ? (is_array($_POST['broker_electronic_address']) ? json_encode($_POST['broker_electronic_address']) : $_POST['broker_electronic_address']) :'';
                                                //brokerage
                                                $brokerage = isset($_POST['brokerage']) ? (is_array($_POST['brokerage']) ? json_encode($_POST['brokerage']) : $_POST['brokerage']) :'';
                                                $brokerage_signature = isset($_POST['brokerage_signature']) ? (is_array($_POST['brokerage_signature']) ? json_encode($_POST['brokerage_signature']) : $_POST['brokerage_signature']) :'';
                                                $brokerage_date = isset($_POST['brokerage_date']) ? date('Y-m-d',strtotime($_POST['brokerage_date'])) :'0000-00-00';
                                                $brokerage_address = isset($_POST['brokerage_address']) ? (is_array($_POST['brokerage_address']) ? json_encode($_POST['brokerage_address']) : $_POST['brokerage_address']) :'';
                                                $brokerage_phone = isset($_POST['brokerage_phone']) ? (is_array($_POST['brokerage_phone']) ? json_encode($_POST['brokerage_phone']) : $_POST['brokerage_phone']) :'';
                                                $brokerage_fax = isset($_POST['brokerage_fax']) ? (is_array($_POST['brokerage_fax']) ? json_encode($_POST['brokerage_fax']) : $_POST['brokerage_fax']) :'';
                                                $brokerage_electronic_address = isset($_POST['brokerage_electronic_address']) ? (is_array($_POST['brokerage_electronic_address']) ? json_encode($_POST['brokerage_electronic_address']) : $_POST['brokerage_electronic_address']) :'';
                                                if(is_array($_POST['party'])){
                                                    foreach($_POST['party'] as $key=>$party){
                                                        $party =  is_array($party) ? json_encode($party) : $party;
                                                        $party_signature = isset($_POST[$key]['party_signature']) ? (is_array($_POST['mls_marketing_except']) ? json_encode($_POST['mls_marketing_except']) : $_POST['mls_marketing_except']) :'';
                                                        $party_date = isset($_POST[$key]['party_date']) ? date('Y-m-d',strtotime($_POST[$key]['party_date'])) :'0000-00-00';
                                                        $party_address = isset($_POST[$key]['party_address']) ? (is_array($_POST[$key]['party_address']) ? json_encode($_POST[$key]['party_address']) : $_POST[$key]['party_address']) :'';
                                                        $party_phone = isset($_POST[$key]['party_phone']) ? (is_array($_POST[$key]['party_phone']) ? json_encode($_POST[$key]['party_phone']) : $_POST[$key]['party_phone']):'';
                                                        $party_fax = isset($_POST[$key]['party_fax']) ? (is_array($_POST[$key]['party_fax']) ? json_encode($_POST[$key]['party_fax']) : $_POST[$key]['party_fax']) :'';
                                                        $party_electronic_address = isset($_POST[$key]['party_electronic_address']) ? (is_array($_POST[$key]['party_electronic_address']) ? json_encode($_POST[$key]['party_electronic_address']) : $_POST[$key]['party_electronic_address']) :'';
                                
                                                        if(trim($party)){
                                                            $data['contract_parties'][]=array(
                                                                                            "client_id"=>$client_id,
                                                                                            "contract_id"=>$contract_id,
                                                                                            "contract_pid"=>$insert_id,
                                                                                            
                                                                                            "party"=>$party,
                                                                                            "party_signature"=>$party_signature,
                                                                                            "party_date"=>$party_date,
                                                                                            "party_address"=>$party_address,
                                                                                            "party_phone"=>$party_phone,
                                                                                            "party_fax"=>$party_fax,
                                                                                            "party_electronic_address"=>$party_electronic_address,
                                                                                            "broker"=>$broker,
                                                                                            "broker_signature"=>$broker_signature,
                                                                                            "broker_date"=>$broker_date,
                                                                                            "broker_address"=>$broker_address,
                                                                                            "broker_phone"=>$broker_phone,
                                                                                            "broker_fax"=>$broker_fax,
                                                                                            "broker_electronic_address"=>$broker_electronic_address,
                                                                                            "brokerage"=>$brokerage,
                                                                                            "brokerage_signature"=>$brokerage_signature,
                                                                                            "brokerage_date"=>$brokerage_date,
                                                                                            "brokerage_address"=>$brokerage_address,
                                                                                            "brokerage_phone"=>$brokerage_phone,
                                                                                            "brokerage_fax"=>$brokerage_fax,
                                                                                            "brokerage_electronic_address"=>$brokerage_electronic_address
                                                                                        );
                                                            }
                                                        }
                                                }else{
                                                    $party = isset($_POST['party']) ? (is_array($_POST['party']) ? json_encode($_POST['party']) : $_POST['party']) :'';
                                                    $party_signature = isset($_POST['party_signature']) ? (is_array($_POST['party_signature']) ? json_encode($_POST['party_signature']) : $_POST['party_signature']) :'';
                                                    $party_date = isset($_POST['party_date']) ? $_POST['party_date'] :'0000-00-00';
                                                    $party_address = isset($_POST['party_address']) ? (is_array($_POST['party_address']) ? json_encode($_POST['party_address']) : $_POST['party_address']) :'';
                                                    $party_phone = isset($_POST['party_phone']) ? (is_array($_POST['party_phone']) ? json_encode($_POST['party_phone']) : $_POST['party_phone']) :'';
                                                    $party_fax = isset($_POST['party_fax']) ? (is_array($_POST['party_fax']) ? json_encode($_POST['party_fax']) : $_POST['party_fax']) :'';
                                                    $party_electronic_address = isset($_POST['party_electronic_address']) ? (is_array($_POST['party_electronic_address']) ? json_encode($_POST['party_electronic_address']) : $_POST['party_electronic_address']) :'';
                                
                                                    $data['contract_parties'][0]=array(
                                                        "client_id"=>$client_id,
                                                        "contract_id"=>$contract_id,
                                                        "contract_pid"=>$insert_id,
                                                        "party"=>$party,
                                                        "party_signature"=>$party_signature,
                                                        "party_date"=>$party_date,
                                                        "party_address"=>$party_address,
                                                        "party_phone"=>$party_phone,
                                                        "party_fax"=>$party_fax,
                                                        "party_electronic_address"=>$party_electronic_address,
                                                        "broker"=>$broker,
                                                        "broker_signature"=>$broker_signature,
                                                        "broker_date"=>$broker_date,
                                                        "broker_address"=>$broker_address,
                                                        "broker_phone"=>$broker_phone,
                                                        "broker_fax"=>$broker_fax,
                                                        "broker_electronic_address"=>$broker_electronic_address,
                                                        "brokerage"=>$brokerage,
                                                        "brokerage_signature"=>$brokerage_signature,
                                                        "brokerage_date"=>$brokerage_date,
                                                        "brokerage_address"=>$brokerage_address,
                                                        "brokerage_phone"=>$brokerage_phone,
                                                        "brokerage_fax"=>$brokerage_fax,
                                                        "brokerage_electronic_address"=>$brokerage_electronic_address
                                
                                                    );
                                                }
                                
                                            }
                                            if( !empty($_POST['contract_date']) && !empty($insert_id)){
                                            $data['contract_list']=array(
                                                                        "client_id"=>$client_id,
                                                                        "contract_id"=>$contract_id,
                                                                        "contract_pid"=>$insert_id,
                                                                        "party_affiliation"=>'test',
                                                                        "sent_date"=>'test',
                                                                        "contract_date"=>$_POST['contract_date'],
                                                                        "contract_status"=>'test',
                                                                        "property_type"=>'test',
                                                                        "property_address"=>'test',
                                                                        "property_MLS"=>'test',
                                                                        "property_original_price"=>'test',
                                                                        "property_contract_price"=>'test',
                                                                        "property_deadline"=>'test',
                                                                        "property_closing_date"=>'test',
                                                                        "property_staus"=>'test',
                                                                        "property_title_resolution"=>'test'
                                                                        );
                                           
                                        }
                                    //     if( !empty($_POST['fb_cn_fname']) && !empty($insert_id)){
                                    //     foreach($_POST['fb_cn_fname'] as $key=>$value){
                                    //         if(trim($value) !='' || trim($_POST['fb_cn_mname'][$key])!='' || trim($_POST['fb_cn_lname'][$key])!=''){
                                    //             $data['contract_parties'][]=array(
                                    //                                         "client_id"=>$client_id,
                                    //                                         "contract_id"=>$contract_id,
                                    //                                         "contract_pid"=>$insert_id,
                                    //                                         "first_name"=>$value,
                                    //                                         "middle_name"=>$_POST['fb_cn_mname'][$key],
                                    //                                         "last_name"=>$_POST['fb_cn_lname'][$key]
                                    //                                     );
                                    //         }
                                    //     }
                                    // }
                                            if(!empty($_POST['fb_cdd_duedate']) && !empty($insert_id)){
                                            foreach($_POST['fb_cdd_duedate'] as $date_key=>$date_value){
                                                $deadline_value=$_POST['fb_cdd_deadline'][$date_key];
                                                $itemnumber= !empty($_POST['fb_cdd_itemnumber'][$date_key])? $_POST['fb_cdd_itemnumber'][$date_key]:0;
                                                $itemnumber= !empty($_POST['fb_cdd_itemnumber'][$date_key])? $_POST['fb_cdd_itemnumber'][$date_key]:0;
                                                $reference= !empty($_POST['fb_cdd_reference'][$date_key])? $_POST['fb_cdd_reference'][$date_key]:0;
                                                $event=!empty($_POST['fb_cdd_event'][$date_key])? $_POST['fb_cdd_event'][$date_key] :0;
                                                if(trim($date_value) !='' || trim($deadline_value)!=''){
                                                    $data['contract_date_deadline'][$date_key]=array(
                                                                                                    "client_id"=>$client_id,
                                                                                                    "contract_id"=>$contract_id,
                                                                                                    "contract_pid"=>$insert_id,
                                                                                                    "Itemno"=>$itemnumber,
                                                                                                    "Item_name"=>0,
                                                                                                    "reference"=>$reference,
                                                                                                    "event"=>$event,
                                                                                                    "deadline_start_date"=>$date_value,
                                                                                                    "deadline_date"=>$deadline_value
                                                                                                );
                                                }
                                            }
                                        }
                                        if(!empty($_POST['fb_cl_snumber']) && !empty($insert_id) || !empty($_POST['fb_cl_state']) && !empty($insert_id) || !empty($_POST['fb_cl_city']) && !empty($insert_id) || !empty($_POST['fb_cl_zipcode']) && !empty($insert_id)){
                                            foreach($_POST['fb_cl_snumber'] as $date_key=>$date_value){
                                                $fb_cl_sd=$_POST['fb_cl_sd'][$date_key];
                                                $fb_cl_sname= !empty($_POST['fb_cl_sname'][$date_key])? $_POST['fb_cl_sname'][$date_key]:'';
                                                $fb_cl_stype= !empty($_POST['fb_cl_stype'][$date_key])? $_POST['fb_cl_stype'][$date_key]:'';
                                                $fb_cl_sunittype= !empty($_POST['fb_cl_sunittype'][$date_key])? $_POST['fb_cl_sunittype'][$date_key]:'';
                                                $fb_cl_sunit=!empty($_POST['fb_cl_sunit'][$date_key])? $_POST['fb_cl_sunit'][$date_key] :'';
                                                $fb_cl_city=!empty($_POST['fb_cl_city'][$date_key])? $_POST['fb_cl_city'][$date_key] :'';
                                                $fb_cl_state=!empty($_POST['fb_cl_state'][$date_key])? $_POST['fb_cl_state'][$date_key] :'';
                                                $fb_cl_zipcode=!empty($_POST['fb_cl_zipcode'][$date_key])? $_POST['fb_cl_zipcode'][$date_key] :'';
                                                $fb_cl_location=!empty($_POST['fb_cl_location'][$date_key])? $_POST['fb_cl_location'][$date_key] :'';
                                
                                                    $data['contract_property'][$date_key]=array(
                                                                                                    "client_id"=>$client_id,
                                                                                                    "contract_id"=>$contract_id,
                                                                                                    "contract_pid"=>$insert_id,
                                                                                                    "property_street_number"=>$date_value,
                                                                                                    "prooperty_sd"=>$fb_cl_sd,
                                                                                                    "property_street_name"=>$fb_cl_sname,
                                                                                                    "property_st_type"=>$fb_cl_stype,
                                                                                                    "property_unit_type"=>$fb_cl_sunittype,
                                                                                                    "property_unit"=>$fb_cl_sunit,
                                                                                                    "property_location"=>'',
                                                                                                    "property_city"=>$fb_cl_city,
                                                                                                    "property_state"=>$fb_cl_state,
                                                                                                    "property_zipcode"=>$fb_cl_zipcode
                                                                                                );
                                                
                                            }
                                        }
                                        if(!empty($_POST['property_detail']) && !empty($insert_id)){
                                    
                                            $property_street=!empty($_POST['property_street'])? (is_array($_POST['property_street']) ? json_encode($_POST['property_street']) : $_POST['property_street']) :''; 
                                            $property_city=!empty($_POST['property_city'])? (is_array($_POST['property_city']) ? json_encode($_POST['property_city']) : $_POST['property_city']) :'';
                                            $property_state=!empty($_POST['property_state'])? (is_array($_POST['property_state']) ? json_encode($_POST['property_state']) : $_POST['property_state']) :'';
                                            $property_zipcode=!empty($_POST['property_zipcode'])? (is_array($_POST['property_zipcode']) ? json_encode($_POST['property_zipcode']) : $_POST['property_zipcode']) :'';
                                            $property_county=!empty($_POST['property_county'])? (is_array($_POST['property_county']) ? json_encode($_POST['property_county']) : $_POST['property_county']) :'';
                                            $property_detail=!empty($_POST['property_detail'])? (is_array($_POST['property_detail']) ? json_encode($_POST['property_detail']) : $_POST['property_detail']) :'';
                                                $data['contract_property'][]=array(
                                                                                                "client_id"=>$client_id,
                                                                                                "contract_id"=>$contract_id,
                                                                                                "contract_pid"=>$insert_id,
                                                                                                "property_street_name"=>$property_street,    
                                                                                                "property_city"=>$property_city,
                                                                                                "property_state"=>$property_state,
                                                                                                "property_zipcode"=>$property_zipcode,
                                                                                                "property_county"=>$property_county,
                                                                                                "property_detail"=>$property_detail
                                                                                            );
                                            
                                        }
                                            if(!empty($insert_id)){
                                                $deligence_documents= !empty($_POST['deligence_documents'])? (is_array($_POST['deligence_documents']) ? json_encode($_POST['deligence_documents']) : $_POST['deligence_documents']):0;
                                                $personal_property_covenyance= !empty($_POST['personal_property_covenyance'])? (is_array($_POST['personal_property_covenyance']) ? json_encode($_POST['personal_property_covenyance']) : $_POST['personal_property_covenyance']):0;
                                                $other_inclusion=!empty($_POST['other_inclusion'])? (is_array($_POST['other_inclusion']) ? json_encode($_POST['other_inclusion']) : $_POST['other_inclusion']) :0;
                                                $parking_storage = !empty($_POST['parking_storage'])? (is_array($_POST['parking_storage']) ? json_encode($_POST['parking_storage']) : $_POST['parking_storage']) :0;
                                                $exclusion_details = !empty($_POST['exclusion_details'])? (is_array($_POST['exclusion_details']) ? json_encode($_POST['exclusion_details']) : $_POST['exclusion_details']) :0;
                                                $deeded_water_rights_details = !empty($_POST['deeded_water_rights_details']) ? (is_array($_POST['deeded_water_rights_details']) ? json_encode($_POST['deeded_water_rights_details']) : $_POST['deeded_water_rights_details']) :0;
                                                $other_water_rights_details= !empty($_POST['other_water_rights_details']) ? (is_array($_POST['other_water_rights_details']) ? json_encode($_POST['other_water_rights_details']) : $_POST['other_water_rights_details']) :0;
                                                $well_rights_details=!empty($_POST['well_rights_details']) ? (is_array($_POST['well_rights_details']) ? json_encode($_POST['well_rights_details']) : $_POST['well_rights_details']) :0;
                                                $water_stock_certificate_details=!empty($_POST['water_stock_certificate_details']) ? (is_array($_POST['water_stock_certificate_details']) ? json_encode($_POST['water_stock_certificate_details']) : $_POST['water_stock_certificate_details']) :0;
                                                $conveyance_details=!empty($_POST['conveyance_details']) ? (is_array($_POST['conveyance_details']) ? json_encode($_POST['conveyance_details']) : $_POST['conveyance_details']) :0;
                                                $parking_chk = !empty($_POST['parking_chk'])? (is_array($_POST['parking_chk']) ? json_encode($_POST['parking_chk']) : $_POST['parking_chk']) :'';
                                                $parking = !empty($_POST['parking'])? (is_array($_POST['parking']) ? json_encode($_POST['parking']) : $_POST['parking']) :'';
                                                $storage_chk = !empty($_POST['storage_chk'])? (is_array($_POST['storage_chk']) ? json_encode($_POST['storage_chk']) : $_POST['storage_chk']) :'';
                                                $storage = !empty($_POST['storage'])? (is_array($_POST['storage']) ? json_encode($_POST['storage']) : $_POST['storage']) :'';
                                                $water_right = !empty($_POST['water_right'])? (is_array($_POST['water_right']) ? json_encode($_POST['water_right']) : $_POST['water_right']) :'';
                                                $well_right = !empty($_POST['well_right'])? (is_array($_POST['well_right']) ? json_encode($_POST['well_right']) : $_POST['well_right']) :'';
                                                $growing_crops = !empty($_POST['growing_crops'])? (is_array($_POST['growing_crops']) ? json_encode($_POST['growing_crops']) : $_POST['growing_crops']) :'';
                                                $inclusion_fixture = !empty($_POST['inclusion_fixture'])? (is_array($_POST['inclusion_fixture']) ? json_encode($_POST['inclusion_fixture']) : $_POST['inclusion_fixture']) :'';
                                                $personal_property_txt = !empty($_POST['personal_property_txt'])? (is_array($_POST['personal_property_txt']) ? json_encode($_POST['personal_property_txt']) : $_POST['personal_property_txt']) :'';
                                                $personal_property_chk = !empty($_POST['personal_property_chk'])? (is_array($_POST['personal_property_chk']) ? json_encode($_POST['personal_property_chk']) : $_POST['personal_property_chk']) :'';
                                                $trade_fixture = !empty($_POST['trade_fixture'])? (is_array($_POST['trade_fixture']) ? json_encode($_POST['trade_fixture']) : $_POST['trade_fixture']) :'';
                                                $trade_fixture1 = !empty($_POST['trade_fixture1'])? (is_array($_POST['trade_fixture1']) ? json_encode($_POST['trade_fixture1']) : $_POST['trade_fixture1']) :'';
                                                $inclusion_other_fixture = !empty($_POST['inclusion_other_fixture'])? (is_array($_POST['inclusion_other_fixture']) ? json_encode($_POST['inclusion_other_fixture']) : $_POST['inclusion_other_fixture']) :'';
                                
                                                $data['contract_inclusion']=array(
                                                    "client_id"=>$client_id,
                                                    "contract_id"=>$contract_id,
                                                    "contract_pid"=>$insert_id,
                                                    "diligence_documents"=>$deligence_documents,
                                                    "personal_property_convoyance"=>$personal_property_covenyance,
                                                    "others_inclusion"=>$other_inclusion,
                                                    "parking_storage"=>$parking_storage,
                                                    "exclusion"=>$exclusion_details,
                                                    "deed_water_right"=>$deeded_water_rights_details,
                                                    "other_water_right"=>$other_water_rights_details,
                                                    "well_right"=>$well_rights_details,
                                                    "water_stock_certificate"=>$water_stock_certificate_details,
                                                    "conveyance"=>$conveyance_details,
                                                    "parking_chk"=>$parking_chk,
                                                    "parking"=>$parking,
                                                    "storage_chk"=>$storage_chk,
                                                    "storage"=>$storage,
                                                    "water_right"=>$water_right,
                                                    "well_right"=>$well_right,
                                                    "growing_crops"=>$growing_crops,
                                                    "inclusion_fixture"=>$inclusion_fixture,
                                                    "personal_property_txt"=>$personal_property_txt,
                                                    "personal_property_chk"=>$personal_property_chk,
                                                    "trade_fixture"=>$trade_fixture,
                                                    "trade_fixture1"=>$trade_fixture1,
                                                    "inclusion_other_fixture"=>$inclusion_other_fixture,
                                 );
                                            }
                                            //     echo "POSTED DATA=================<pre>";
// print_r($_POST);
// echo "</pre>Created DATA=================<pre>";
// print_r($data); 
        //similar_text("", "", $sim);
        $submitted = $this->client_model->updateagreement($data);
        //exit;
        if($insert_id){
            $this->session->set_flashdata('msg','Agreement updated successfully.');
            //$filename = $this->get_agreement_pdf($insert_id);
           // $this->client_model->saveagreement_rel(array('pdf_name'=>$filename,'id'=>$insert_id));
            //redirect('Agreement/newagreement/'.$client_id.'/'.$contract_id.'#contract_standard');
        }else{
            $this->session->set_flashdata('error','Something went wrong.');
            //redirect('Agreement/newagreement/'.$client_id.'/'.$contract_id.'#contract_standard');
        }
    }
}
        //$this->twig->render('framework/index.twig', array('agreement' => $agreement));
        $contract_doc = $agreement->contract_file;
        $contract_doc = str_replace("{{ client.company }}", $clients->company, $contract_doc);
        $contract_doc = str_replace("{{ client.phone }}", $clients->phone, $contract_doc);
        $contract_doc = str_replace("{{ client.email }}", $clients->email, $contract_doc);

        $contract_doc = str_replace("{{ agent.company }}", $agent->company, $contract_doc);
        $contract_doc = str_replace("{{ agent.phone }}", $agent->phone, $contract_doc);
        $contract_doc = str_replace("{{ agent.email }}", $agent->email, $contract_doc);

        $agreement->contract_file = $contract_doc;
        $clause_data = array("user_id"=>$this->session->userdata('user_id'),"client_id"=>$clients->client_id,"contract_id"=>$agreement->contract_id);
        $agreement_flow = $this->agent_model->get_agreement_flow($clause_data);
        $agreement_flow_val = "";
        if($agreement_flow){
            $agreement_flow_val = $agreement_flow->agreement_flow;
        }
        $id = $this->uri->segment(5); 
        $data = array(
            'session' => $_SESSION,
            'v' => "agreement_edit.twig",
            'agent' => $agent,
            'agreement_form' => $agreement,
            'agreement_id' => $id,
            'client' => $clients,
            'agreement_flow'=>$agreement_flow_val,
            'agreement_pdf'=>''
        );

            if(!empty($id)){
                $data['agreement'] =  $this->client_model->get_client_agreement($id);
                if(!empty($data['agreement'][0]->pdf_name)){
                    $data['agreement_pdf']= "/assets/contract_pdf/".$data['agreement'][0]->pdf_name;
                }
                $data['agreement_list'] =  $this->client_model->get_agreement_list($id);
                if(!empty($data['agreement_list'])){
                  $data['agreement_list'] =  $data['agreement_list'];
                }
                
                $data['agreement_parties'] =  $this->client_model->get_agreement_parties($id);
                $data['agreement_seller'] =  $this->client_model->get_agreement_seller($id);
                if(!empty($data['agreement_seller'])){
                  $data['agreement_seller'] =  $data['agreement_seller'];
                }
                $data['agreement_companies'] =  $this->client_model->get_agreement_companies($id);
                if(!empty($data['agreement_companies'])){
                  $data['agreement_companies'] =  $data['agreement_companies'];
                }
                $data['agreement_deadline'] =  $this->client_model->get_agreement_deadline($id);
                $data['agreement_inclusion'] =  $this->client_model->get_agreement_inclusion($id);
                if(!empty($data['agreement_inclusion'])){
                  $data['agreement_inclusion'] =  $data['agreement_inclusion'];
                }
                $data["recipient"] =$this->Message_model->get_contract_recipient($id);
              }
              //print_r($data); exit;
        $this->framework->init($data, false);
    }
public function updateAgreementJson(){

    if(isset($_POST)){
        print_r($_POST); exit;
            //Get agreement id
    $contractid = $_POST['contract_id'];
    //Get client data
    $client_id = $_POST['client_id'];
    $id = $_POST['id'];
    $clients = $this->client_model->get_client($client_id);
    //Get agent data
    $agent = $this->client_model->get_agent_client($this->session->userdata('user_id'));
    // Get new agreements from Admin with contract id
    $agreement = $this->client_model->get_agreement($contractid);
        $data=[];
        if(!empty($_POST)){
            $client_id      =   $_POST['client_id'];
            $contract_id    =   $_POST['contract_id'];
            if( !empty($_POST['contract_id'])){           
                                          if(empty($id)){
                                            $contract_rel = $this->client_model->get_client_agreement($id);
                                            $this->client_model->saveagreement_rel(
                                                array('client_id'=>$client_id,
                                            'contract_id'=>$contract_id,
                                            "user_id"=>$this->session->userdata("user_id")));
                                            $insert_id = $contract_rel[0]->id;
                                          }else{
                                            $contract_rel = $this->client_model->get_client_agreement($id);
                                            //$this->client_model->saveagreement_rel(array('id'=>$contract_rel[0]->id,'version'=>$contract_rel[0]->version +1));
                                            $insert_id = $contract_rel[0]->id;
                                          }
                                         
                                       }
            if( !empty($_POST['second_company_name'])){ 
                $data['contract_companies']=array(
                                                "client_id"=>$client_id,
                                                "contract_id"=>$contract_id,
                                                "contract_pid"=>$insert_id,
                                                "company_name"=>$_POST['second_company_name']
                                            );
            }
            if( !empty($_POST['seller_name'])){
                if(is_array($_POST['seller_name'])){
                    foreach($_POST['seller_name'] as $seller_name){
                        if(trim($seller_name)){
                            $data['contract_seller'][]=array(
                                                            "client_id"=>$client_id,
                                                            "contract_id"=>$contract_id,
                                                            "contract_pid"=>$insert_id,
                                                            "seller_name"=>$seller_name
                                                        );
                            }
                        }
                }else{
                    $seller_name = $_POST['seller_name'];
                    $data['contract_seller'][0]=array(
                        "client_id"=>$client_id,
                        "contract_id"=>$contract_id,
                        "contract_pid"=>$insert_id,
                        "seller_name"=>$seller_name
                    );
                }
    
            }
            if( !empty($_POST['contract_date'])){
            $data['contract_list']=array(
                                        "client_id"=>$client_id,
                                        "contract_id"=>$contract_id,
                                        "contract_pid"=>$insert_id,
                                        "party_affiliation"=>'test',
                                        "sent_date"=>'test',
                                        "contract_date"=>$_POST['contract_date'],
                                        "contract_status"=>'test',
                                        "property_type"=>'test',
                                        "property_address"=>'test',
                                        "property_MLS"=>'test',
                                        "property_original_price"=>'test',
                                        "property_contract_price"=>'test',
                                        "property_deadline"=>'test',
                                        "property_closing_date"=>'test',
                                        "property_staus"=>'test',
                                        "property_title_resolution"=>'test'
                                        );
           
        }
        if( !empty($_POST['fb_cn_fname'])){
        foreach($_POST['fb_cn_fname'] as $key=>$value){
            if(trim($value) !='' || trim($_POST['fb_cn_mname'][$key])!='' || trim($_POST['fb_cn_lname'][$key])!=''){
                $data['contract_parties'][]=array(
                                            "client_id"=>$client_id,
                                            "contract_id"=>$contract_id,
                                            "contract_pid"=>$insert_id,
                                            "first_name"=>$value,
                                            "middle_name"=>$_POST['fb_cn_mname'][$key],
                                            "last_name"=>$_POST['fb_cn_lname'][$key]
                                        );
            }
        }
    }
    if(!empty($_POST['fb_cdd_duedate'])){
        foreach($_POST['fb_cdd_duedate'] as $date_key=>$date_value){
            $deadline_value=$_POST['fb_cdd_deadline'][$date_key];
            $itemnumber= !empty($_POST['fb_cdd_itemnumber'][$date_key])? $_POST['fb_cdd_itemnumber'][$date_key]:0;
            $itemnumber= !empty($_POST['fb_cdd_itemnumber'][$date_key])? $_POST['fb_cdd_itemnumber'][$date_key]:0;
            $reference= !empty($_POST['fb_cdd_reference'][$date_key])? $_POST['fb_cdd_reference'][$date_key]:0;
            $event=!empty($_POST['fb_cdd_event'][$date_key])? $_POST['fb_cdd_event'][$date_key] :0;
            
            if(trim($date_value) !='' || trim($deadline_value)!=''){
                $data['contract_date_deadline'][$date_key]=array(
                                                                "client_id"=>$client_id,
                                                                "contract_id"=>$contract_id,
                                                                "contract_pid"=>$insert_id,
                                                                "Itemno"=>$itemnumber,
                                                                "Item_name"=>0,
                                                                "reference"=>$reference,
                                                                "event"=>$event,
                                                                "deadline_start_date"=>$date_value,
                                                                "deadline_date"=>$deadline_value
                                                            );
            }
        }
    }
    if(!empty($_POST['fb_cl_snumber']) || !empty($_POST['fb_cl_state']) || !empty($_POST['fb_cl_city']) || !empty($_POST['fb_cl_zipcode'])){
        foreach($_POST['fb_cl_snumber'] as $date_key=>$date_value){
            $fb_cl_sd=$_POST['fb_cl_sd'][$date_key];
            $fb_cl_sname= !empty($_POST['fb_cl_sname'][$date_key])? $_POST['fb_cl_sname'][$date_key]:'';
            $fb_cl_stype= !empty($_POST['fb_cl_stype'][$date_key])? $_POST['fb_cl_stype'][$date_key]:'';
            $fb_cl_sunittype= !empty($_POST['fb_cl_sunittype'][$date_key])? $_POST['fb_cl_sunittype'][$date_key]:'';
            $fb_cl_sunit=!empty($_POST['fb_cl_sunit'][$date_key])? $_POST['fb_cl_sunit'][$date_key] :'';
            $fb_cl_city=!empty($_POST['fb_cl_city'][$date_key])? $_POST['fb_cl_city'][$date_key] :'';
            $fb_cl_state=!empty($_POST['fb_cl_state'][$date_key])? $_POST['fb_cl_state'][$date_key] :'';
            $fb_cl_zipcode=!empty($_POST['fb_cl_zipcode'][$date_key])? $_POST['fb_cl_zipcode'][$date_key] :'';
            $fb_cl_location=!empty($_POST['fb_cl_location'][$date_key])? $_POST['fb_cl_location'][$date_key] :'';
    
                $data['contract_property'][$date_key]=array(
                                                                "client_id"=>$client_id,
                                                                "contract_id"=>$contract_id,
                                                                "contract_pid"=>$insert_id,
                                                                "property_street_number"=>$date_value,
                                                                "prooperty_sd"=>$fb_cl_sd,
                                                                "property_street_name"=>$fb_cl_sname,
                                                                "property_st_type"=>$fb_cl_stype,
                                                                "property_unit_type"=>$fb_cl_sunittype,
                                                                "property_unit"=>$fb_cl_sunit,
                                                                "property_location"=>'',
                                                                "property_city"=>$fb_cl_city,
                                                                "property_state"=>$fb_cl_state,
                                                                "property_zipcode"=>$fb_cl_zipcode
                                                            );
            
        }
    }
        if( !empty($_POST['deligence_documents'])){
            $deligence_documents= !empty($_POST['deligence_documents'])? $_POST['deligence_documents']:0;
            $personal_property_covenyance= !empty($_POST['personal_property_covenyance'])?$_POST['personal_property_covenyance']:0;
            $other_inclusion=!empty($_POST['other_inclusion'])? $_POST['other_inclusion'] :0;
            $parking_storage = !empty($_POST['parking_storage'])? $_POST['parking_storage'] :0;
            $exclusion_details = !empty($_POST['exclusion_details'])? $_POST['exclusion_details'] :0;
            $deeded_water_rights_details = !empty($_POST['deeded_water_rights_details']) ? $_POST['deeded_water_rights_details'] :0;
            $other_water_rights_details= !empty($_POST['other_water_rights_details']) ? $_POST['other_water_rights_details'] :0;
            $well_rights_details=!empty($_POST['well_rights_details']) ? $_POST['well_rights_details'] :0;
            $water_stock_certificate_details=!empty($_POST['water_stock_certificate_details']) ? $_POST['water_stock_certificate_details'] :0;
            $conveyance_details=!empty($_POST['conveyance_details']) ? $_POST['conveyance_details'] :0;
            $data['contract_inclusion']=array(
                "client_id"=>$client_id,
                "contract_id"=>$contract_id,
                "contract_pid"=>$insert_id,
                "diligence_documents"=>$deligence_documents,
                "personal_property_convoyance"=>$personal_property_covenyance,
                "others_inclusion"=>$other_inclusion,
                "parking_storage"=>$parking_storage,
                "exclusion"=>$exclusion_details,
                "deed_water_right"=>$deeded_water_rights_details,
                "other_water_right"=>$other_water_rights_details,
                "well_right"=>$well_rights_details,
                "water_stock_certificate"=>$water_stock_certificate_details,
                "conveyance"=>$conveyance_details,
    );
        }
    //     echo "POSTED DATA=================<pre>";
    // print_r($_POST);
    // echo "</pre>Created DATA=================<pre>";
    // print_r($data); 
            //similar_text("", "", $sim);
            $submitted = $this->client_model->updateagreement($data);
            //exit;
            if($insert_id){
                echo json_encode(array('id'=>$insert_id,'msg','Agreement updated successfully.'));
            }else{
                echo json_encode(array('error'=>'Something went wrong.'));
            }
        }
    }
}

    public function viewagreements() {

        if (!$this->ion_auth->logged_in()):
            // redirect them to the login page
            redirect(base_url());
        endif;

        //Get client data
        $client_id = $this->uri->segment(3);
        $clients = $this->client_model->get_client($client_id);
        //Get agent data
        $agent = $this->client_model->get_agent_client($this->session->userdata('user_id'));
        $filter_data=array('search_string'=>'');
		$where_clause=[];
		if(isset($_POST['search_string']) || !empty($this->uri->segment(4)))
		{
			if(isset($_POST['search_string']))
			{
				$filter_data['search_string']=$_POST['search_string'];
				$this->session->set_userdata('search_string',$filter_data);	
			}
			if($this->session->userdata('search_string'))
			{
				$filter_data['search_string']=$this->session->userdata('search_string')['search_string'];
			}
			
		}
		else
		{
			$this->session->set_userdata('search_string',$filter_data);	
		}
		if(!empty($filter_data['search_string']))
		{
				$where_clause=$filter_data['search_string'];		
		}
        $user_id =$this->session->userdata("user_id");
        
 		$config = array();
        $config["base_url"] = base_url() . "Agreement/viewagreements/".$this->uri->segment(3);
        $total_row =  $this->client_model->count_contracts($where_clause);
        $config["total_rows"] = $total_row; 
        $config["per_page"] = 10;
        $config['use_page_numbers'] = TRUE;
        $config['num_links'] = 10;
        $config['cur_tag_open'] = '&nbsp;<a class="current">';
        $config['cur_tag_close'] = '</a>';
        $config['next_link'] = 'Next';
        $config['prev_link'] = 'Previous';
        $config["uri_segment"] = 4;
    
        $this->pagination->initialize($config);
        if($this->uri->segment(4))
        {
            $offset = ($this->uri->segment(4));
        }
        else
        {
            $offset = 1;
        }				

       
        // Get new agreements from Admin
        $agreement = $this->client_model->get_contracts($where_clause,$config["per_page"], ($offset-1)*$config["per_page"]);

        $data = array(
            'session' => $_SESSION,
            'v' => "viewagreements.twig",
            'agent' => $agent,
            'agreement' => $agreement,
            'client' => $clients
        );
        $data["pagination"] =$this->pagination->create_links();
       
        $this->framework->init($data, false);
    }
    
    public function get_formjson(){
        $row_data=$this->Admin_login->view_contract($this->input->post('contractid'));
        //header('Content-Type: application/json');
            if(!empty($row_data)){
                echo $row_data->contract_file; exit;
            }
        
        }
    public function simple() {

        if (!$this->ion_auth->logged_in()):
            // redirect them to the login page
            redirect(base_url());
        endif;

        //Get client data
        $client_id = $this->uri->segment(3);
        $clients = $this->client_model->get_client($client_id);
        //Get agent data
        $agent = $this->client_model->get_agent_client($this->session->userdata('user_id'));

        $id = $this->uri->segment(4); 

    
        $data = array(
            'session' => $_SESSION,
            'v' => "simpleagreement.twig",
            'agent' => $agent,
            'agreement_id' => $id,
            'client' => $clients,
            'agreement_pdf'=>''
        );

            if(!empty($id)){
                $data['agreement'] =  $this->client_model->get_client_agreement($id);
                if(!empty($data['agreement'][0]->pdf_name)){
                    $data['agreement_pdf']= "/assets/contract_pdf/".$data['agreement'][0]->pdf_name;
                }
                $data['agreement_form'] = $this->Admin_login->get_contract_file_version($data['agreement'][0]->contract_id);

                $data['agreement_list'] =  $this->client_model->get_agreement_list($id);
                if(!empty($data['agreement_list'])){
                  $data['agreement_list'] =  $data['agreement_list'];
                }
                
                $data['agreement_parties'] =  $this->client_model->get_agreement_parties($id);
                $data['agreement_seller'] =  $this->client_model->get_agreement_seller($id);
                if(!empty($data['agreement_seller'])){
                  $data['agreement_seller'] =  $data['agreement_seller'];
                }
                $data['agreement_companies'] =  $this->client_model->get_agreement_companies($id);
                if(!empty($data['agreement_companies'])){
                  $data['agreement_companies'] =  $data['agreement_companies'];
                }
                $data['agreement_deadline'] =  $this->client_model->get_agreement_deadline($id);
                $data['agreement_inclusion'] =  $this->client_model->get_agreement_inclusion($id);
                if(!empty($data['agreement_inclusion'])){
                  $data['agreement_inclusion'] =  $data['agreement_inclusion'];
                }
                $data["recipient"] =$this->Message_model->get_contract_recipient($id);

                $clause_data = array("user_id"=>$this->session->userdata('user_id'),"client_id"=>$clients->client_id,"contract_id"=>$data['agreement'][0]->contract_id);
                $agreement_flow = $this->agent_model->get_agreement_flow($clause_data);
                $agreement_flow_val = "";
                if($agreement_flow){
                    $agreement_flow_val = $agreement_flow->agreement_flow;
                }
                $data['agreement_flow'] =  $agreement_flow_val;
              }
            //   if(empty($this->client_model->check_agreement_info($id))){
            //     $data["agreement"] = "";
            // }
        $this->framework->init($data, false);
    }

    public function simple2() {

        if (!$this->ion_auth->logged_in()):
            // redirect them to the login page
            redirect(base_url());
        endif;

        //Get client data
        $client_id = $this->uri->segment(3);
        $clients = $this->client_model->get_client($client_id);
        //Get agent data
        $agent = $this->client_model->get_agent_client($this->session->userdata('user_id'));

        $id = $this->uri->segment(4); 
        $data = array(
            'session' => $_SESSION,
            'v' => "simpleagreement2.twig",
            'agent' => $agent,
            'agreement_id' => $id,
            'client' => $clients,
            'agreement_pdf'=>''
        );

            if(!empty($id)){
                $data['agreement'] =  $this->client_model->get_client_agreement($id);
                if(!empty($data['agreement'][0]->pdf_name)){
                    $data['agreement_pdf']= "/assets/contract_pdf/".$data['agreement'][0]->pdf_name;
                }
                $data['agreement_form'] = $this->Admin_login->get_contract_file_version($data['agreement'][0]->contract_id);

                $data['agreement_list'] =  $this->client_model->get_agreement_list($id);
                if(!empty($data['agreement_list'])){
                  $data['agreement_list'] =  $data['agreement_list'];
                }
                
                $data['agreement_parties'] =  $this->client_model->get_agreement_parties($id);
                $data['agreement_seller'] =  $this->client_model->get_agreement_seller($id);
                if(!empty($data['agreement_seller'])){
                  $data['agreement_seller'] =  $data['agreement_seller'];
                }
                $data['agreement_companies'] =  $this->client_model->get_agreement_companies($id);
                if(!empty($data['agreement_companies'])){
                  $data['agreement_companies'] =  $data['agreement_companies'];
                }
                $data['agreement_deadline'] =  $this->client_model->get_agreement_deadline($id);
                $data['agreement_inclusion'] =  $this->client_model->get_agreement_inclusion($id);
                if(!empty($data['agreement_inclusion'])){
                  $data['agreement_inclusion'] =  $data['agreement_inclusion'];
                }
                $data["recipient"] =$this->Message_model->get_contract_recipient($id);
              }
            //   if(empty($this->client_model->check_agreement_info($id))){
            //     $data["agreement"] = "";
            // }

        $this->framework->init($data, false);
    }

    public function simple3() {

        if (!$this->ion_auth->logged_in()):
            // redirect them to the login page
            redirect(base_url());
        endif;

        //Get client data
        $client_id = $this->uri->segment(3);
        $clients = $this->client_model->get_client($client_id);
        //Get agent data
        $agent = $this->client_model->get_agent_client($this->session->userdata('user_id'));

        $id = $this->uri->segment(4); 
        $data = array(
            'session' => $_SESSION,
            'v' => "simpleagreement3.twig",
            'agent' => $agent,
            'agreement_id' => $id,
            'client' => $clients,
            'agreement_pdf'=>''
        );

            if(!empty($id)){
                $data['agreement'] =  $this->client_model->get_client_agreement($id);
                if(!empty($data['agreement'][0]->pdf_name)){
                    $data['agreement_pdf']= "/assets/contract_pdf/".$data['agreement'][0]->pdf_name;
                }
                if($data['agreement'][0]->type == "buy"){
                    $data['buyer_compensation']= $this->client_model->get_contract_attach_detail("buyer_compensation",array("contract_pid"=>$id));
                }
                if($data['agreement'][0]->type == "sell"){
                    $data['sell_compensation']= $this->client_model->get_contract_attach_detail("sell_compensation",array("contract_pid"=>$id));
                    $data['sell_price_term']= $this->client_model->get_contract_attach_detail("sell_price_term",array("contract_pid"=>$id));
                }
                if($data['agreement'][0]->type == "tenant"){
                    $data['tenant_compensation']= $this->client_model->get_contract_attach_detail("sell_compensation",array("contract_pid"=>$id));
                }
                if($data['agreement'][0]->type == "lease"){
                    $data['lease_compensation']= $this->client_model->get_contract_attach_detail("sell_compensation",array("contract_pid"=>$id));
                }
                $data['agreement_form'] = $this->Admin_login->get_contract_file_version($data['agreement'][0]->contract_id);

                $data['agreement_list'] =  $this->client_model->get_agreement_list($id);
                if(!empty($data['agreement_list'])){
                  $data['agreement_list'] =  $data['agreement_list'];
                }
                
                $data['agreement_parties'] =  $this->client_model->get_agreement_parties($id);
                $data['agreement_seller'] =  $this->client_model->get_agreement_seller($id);
                if(!empty($data['agreement_seller'])){
                  $data['agreement_seller'] =  $data['agreement_seller'];
                }
                $data['agreement_companies'] =  $this->client_model->get_agreement_companies($id);
                if(!empty($data['agreement_companies'])){
                  $data['agreement_companies'] =  $data['agreement_companies'];
                }
                $data['agreement_deadline'] =  $this->client_model->get_agreement_deadline($id);
                $data['agreement_inclusion'] =  $this->client_model->get_agreement_inclusion($id);
                if(!empty($data['agreement_inclusion'])){
                  $data['agreement_inclusion'] =  $data['agreement_inclusion'];
                }
                $data["recipient"] =$this->Message_model->get_contract_recipient($id);
              }
            //   if(empty($this->client_model->check_agreement_info($id))){
            //     $data["agreement"] = "";
            // }

        $this->framework->init($data, false);
    }
    /**---save batch agreement data----**/
    public function saveagreement(){
        $data=[];
        
        if(!empty($_POST)){
            
            $client_id      =   $_POST['client_id'];
            $contract_id    =   $_POST['contract_id'];
            $contract_type    =  isset($_POST['contract_type']) ? $_POST['contract_type']:"" ;
            $contract_file =  $_POST['contract_file'];
            $xml_file = $this->print_r_xml($_POST);
            $contract_date = isset($_POST['contract_date']) ? $_POST['contract_date']:"0000-00-00";
            $additional_provisions = isset($_POST['additional_provisions']) ? (is_array($_POST['additional_provisions']) ? json_encode($_POST['additional_provisions']) : $_POST['additional_provisions']):"";
            $attachments =isset($_POST['attachments']) ? (is_array($_POST['attachments']) ? json_encode($_POST['attachments']) : $_POST['attachments']):"";
            $electronic_deliver =isset($_POST['electronic_deliver']) ? (is_array($_POST['electronic_deliver']) ? json_encode($_POST['electronic_deliver']) : $_POST['electronic_deliver']):"";
            $listing_period_start =isset($_POST['listing_period_start']) ? (is_array($_POST['listing_period_start']) ? json_encode($_POST['listing_period_start']) : $_POST['listing_period_start']):"";
            $listing_period_end =isset($_POST['listing_period_end']) ? (is_array($_POST['listing_period_end']) ? json_encode($_POST['listing_period_end']) : $_POST['listing_period_end']):"";
            $authorize_broker_negotiation =isset($_POST['authorize_broker_negotiation']) ? (is_array($_POST['authorize_broker_negotiation']) ? json_encode($_POST['authorize_broker_negotiation']) : $_POST['authorize_broker_negotiation']):"";
            $computation_deadline_period =isset($_POST['computation_deadline_period']) ? (is_array($_POST['computation_deadline_period']) ? json_encode($_POST['computation_deadline_period']) : $_POST['computation_deadline_period']):"";
            $agency_unless_brokerage_relationship =isset($_POST['agency_unless_brokerage_relationship']) ? (is_array($_POST['agency_unless_brokerage_relationship']) ? json_encode($_POST['agency_unless_brokerage_relationship']) : $_POST['agency_unless_brokerage_relationship']):"";
            $obligations_to_broker_diclosurers =isset($_POST['obligations_to_broker_diclosurers']) ? (is_array($_POST['obligations_to_broker_diclosurers']) ? json_encode($_POST['obligations_to_broker_diclosurers']) : $_POST['obligations_to_broker_diclosurers']):"";
            $holdover_period_days =isset($_POST['holdover_period_days']) ? (is_array($_POST['holdover_period_days']) ? json_encode($_POST['holdover_period_days']) : $_POST['holdover_period_days']):"";
            $holdover_period_check =isset($_POST['holdover_period_check']) ? (is_array($_POST['holdover_period_check']) ? json_encode($_POST['holdover_period_check']) :$_POST['holdover_period_check']):"";
            $agency_or_transaction_brokerage =isset($_POST['agency_or_transaction_brokerage']) ? (is_array($_POST['agency_or_transaction_brokerage']) ? json_encode($_POST['agency_or_transaction_brokerage']) : $_POST['agency_or_transaction_brokerage']):"";
            $broker_and_brokerage_firm =isset($_POST['broker_and_brokerage_firm']) ? (is_array($_POST['broker_and_brokerage_firm']) ? json_encode($_POST['broker_and_brokerage_firm']) : $_POST['broker_and_brokerage_firm']):"";
            $party_detail = isset($_POST['party_detail']) ? (is_array($_POST['party_detail']) ? json_encode($_POST['party_detail']) : $_POST['party_detail']) :'';
            $broker_detail = isset($_POST['broker_detail']) ? (is_array($_POST['broker_detail']) ? json_encode($_POST['broker_detail']) : $_POST['broker_detail']) :'';
            $brokerage_firm_detail = isset($_POST['brokerage_firm_detail']) ? (is_array($_POST['brokerage_firm_detail']) ? json_encode($_POST['brokerage_firm_detail']) : $_POST['brokerage_firm_detail']) :'';
            $possesion = isset($_POST['possesion']) ? (is_array($_POST['possesion']) ? json_encode($_POST['possesion']) : $_POST['possesion']) :'';
            if( !empty($_POST['contract_id'])){
                $data['contract_rel']=array(
                                           "client_id"=>$client_id,
                                           "contract_id"=>$contract_id,
                                           "user_id"=>$this->session->userdata('user_id'),
                                           "contract_file"=>$contract_file,
                                           "contract_date"=>$contract_date,
                                           "xml_file"=>$xml_file,
                                           "type"=>$contract_type,
                                           "additional_provisions" =>$additional_provisions,
                                           "attachments" => $attachments,
                                           "electronic_deliver" =>$electronic_deliver,
                                           "listing_period_start" =>$listing_period_start,
                                           "listing_period_end" =>$listing_period_end,
                                           "authorize_broker_negotiation" => $authorize_broker_negotiation,
                                           "computation_deadline_period" => $computation_deadline_period,
                                           "agency_unless_brokerage_relationship" =>$agency_unless_brokerage_relationship,
                                           "obligations_to_broker_diclosurers" =>$obligations_to_broker_diclosurers,
                                           "holdover_period_days" =>$holdover_period_days,
                                           "holdover_period_check" => $holdover_period_check,
                                           "agency_or_transaction_brokerage" => $agency_or_transaction_brokerage,
                                           "broker_and_brokerage_firm" =>$broker_and_brokerage_firm,
                                           "party_detail"=>$party_detail,
                                           "broker_detail"=>$broker_detail,
                                            "brokerage_firm_detail"=>$brokerage_firm_detail,
                                            "possesion"=>$possesion
                                           );
                                           $insert_id = $this->client_model->saveagreement_rel($data);
                                       }
                                      
                if($contract_type == "buy" || $contract_type == "Buy"){
    $brokerage_firm_fees_check = isset($_POST['brokerage_firm_fees_check']) ? (is_array($_POST['brokerage_firm_fees_check']) ? json_encode($_POST['brokerage_firm_fees_check']) : $_POST['brokerage_firm_fees_check']):"";
    $fees_percentage_price = isset($_POST['fees_percentage_price']) ? (is_array($_POST['fees_percentage_price']) ? json_encode($_POST['fees_percentage_price']) : $_POST['fees_percentage_price']):"";
    $fees_us_dollar =isset($_POST['fees_us_dollar']) ? (is_array($_POST['fees_us_dollar']) ? json_encode($_POST['fees_us_dollar']) : $_POST['fees_us_dollar']):"";
    $adjusted_amount =isset($_POST['adjusted_amount']) ? (is_array($_POST['adjusted_amount']) ? json_encode($_POST['adjusted_amount']) : $_POST['adjusted_amount']):"";
    $adjusted_amount_other =isset($_POST['adjusted_amount_other']) ? (is_array($_POST['adjusted_amount_other']) ? json_encode($_POST['adjusted_amount_other']) : $_POST['adjusted_amount_other']):"";
    $adjusted_amount_other_chk =isset($_POST['adjusted_amount_other_chk']) ? (is_array($_POST['adjusted_amount_other_chk']) ? json_encode($_POST['adjusted_amount_other_chk']) : $_POST['adjusted_amount_other_chk']):"";
    $hourly_fee_check =isset($_POST['hourly_fee_check']) ? (is_array($_POST['hourly_fee_check']) ? json_encode($_POST['hourly_fee_check']) : $_POST['hourly_fee_check']):"";
    $hourly_fee_per_hour =isset($_POST['hourly_fee_per_hour']) ? (is_array($_POST['hourly_fee_per_hour']) ? json_encode($_POST['hourly_fee_per_hour']) : $_POST['hourly_fee_per_hour']):"";
    $hourly_fee_maximum_total =isset($_POST['hourly_fee_maximum_total']) ? (is_array($_POST['hourly_fee_maximum_total']) ? json_encode($_POST['hourly_fee_maximum_total']) : $_POST['hourly_fee_maximum_total']):"";
    $retainer_fee_check =isset($_POST['retainer_fee_check']) ? (is_array($_POST['retainer_fee_check']) ? json_encode($_POST['retainer_fee_check']) : $_POST['retainer_fee_check']):"";
    $retainer_fee_due =isset($_POST['retainer_fee_due']) ? (is_array($_POST['retainer_fee_due']) ? json_encode($_POST['retainer_fee_due']) : $_POST['retainer_fee_due']):"";
    $retainer_fee_will_check =isset($_POST['retainer_fee_will_check']) ? (is_array($_POST['retainer_fee_will_check']) ? json_encode($_POST['retainer_fee_will_check']) : $_POST['retainer_fee_will_check']):"";
    $other_compensation_check =isset($_POST['other_compensation_check']) ? (is_array($_POST['other_compensation_check']) ? json_encode($_POST['other_compensation_check']) : $_POST['other_compensation_check']):"";
    $other_compensation =isset($_POST['other_compensation']) ? (is_array($_POST['other_compensation']) ? json_encode($_POST['other_compensation']) : $_POST['other_compensation']):"";
    $firm_fee_lease_amt =isset($_POST['firm_fee_lease_amt']) ? (is_array($_POST['firm_fee_lease_amt']) ? json_encode($_POST['firm_fee_lease_amt']) : $_POST['firm_fee_lease_amt']):"";
            
    
    $firm_fee_lease_amt_per =isset($_POST['firm_fee_lease_amt_per']) ? (is_array($_POST['firm_fee_lease_amt_per']) ? json_encode($_POST['firm_fee_lease_amt_per']) : $_POST['firm_fee_lease_amt_per']):"";
    $firm_fee_lease_amt_or =isset($_POST['firm_fee_lease_amt_or']) ? (is_array($_POST['firm_fee_lease_amt_or']) ? json_encode($_POST['firm_fee_lease_amt_or']) : $_POST['firm_fee_lease_amt_or']):"";
    $firm_fee_lease_adj_amt_check =isset($_POST['firm_fee_lease_adj_amt_check']) ? (is_array($_POST['firm_fee_lease_adj_amt_check']) ? json_encode($_POST['firm_fee_lease_adj_amt_check']) : $_POST['firm_fee_lease_adj_amt_check']):"";
    $firm_fee_lease_adj_amt_other =isset($_POST['firm_fee_lease_adj_amt_other']) ? (is_array($_POST['firm_fee_lease_adj_amt_other']) ? json_encode($_POST['firm_fee_lease_adj_amt_other']) : $_POST['firm_fee_lease_adj_amt_other']):"";
    $firm_fee_lease_adj_amt_other_chk =isset($_POST['firm_fee_lease_adj_amt_other_chk']) ? (is_array($_POST['firm_fee_lease_adj_amt_other_chk']) ? json_encode($_POST['firm_fee_lease_adj_amt_other_chk']) : $_POST['firm_fee_lease_adj_amt_other_chk']):"";
    $firm_fee_lease_adj_amt_other1 =isset($_POST['firm_fee_lease_adj_amt_other1']) ? (is_array($_POST['firm_fee_lease_adj_amt_other1']) ? json_encode($_POST['firm_fee_lease_adj_amt_other1']) : $_POST['firm_fee_lease_adj_amt_other1']):"";
    $when_earned_when_payable_lease_txt =isset($_POST['when_earned_when_payable_lease_txt']) ? (is_array($_POST['when_earned_when_payable_lease_txt']) ? json_encode($_POST['when_earned_when_payable_lease_txt']) : $_POST['when_earned_when_payable_lease_txt']):"";
    $when_earned_when_payable_lease_chk =isset($_POST['when_earned_when_payable_lease_chk']) ? (is_array($_POST['when_earned_when_payable_lease_chk']) ? json_encode($_POST['when_earned_when_payable_lease_chk']) : $_POST['when_earned_when_payable_lease_chk']):"";
    
    $when_earned_when_payable_lease_txt1 =isset($_POST['when_earned_when_payable_lease_txt1']) ? (is_array($_POST['when_earned_when_payable_lease_txt1']) ? json_encode($_POST['when_earned_when_payable_lease_txt1']) : $_POST['when_earned_when_payable_lease_txt1']):"";
    $who_will_pay_firm_fee =isset($_POST['who_will_pay_firm_fee']) ? (is_array($_POST['who_will_pay_firm_fee']) ? json_encode($_POST['who_will_pay_firm_fee']) : $_POST['who_will_pay_firm_fee']):"";


                    $data['buyer_compensation']=array(
                        "client_id"=>$client_id,
                        "contract_id"=>$contract_id,
                        "contract_pid"=>$insert_id,
                        "brokerage_firm_fees_check"=>$brokerage_firm_fees_check,
                        "fees_percentage_price"=>$fees_percentage_price,
                        "fees_us_dollar"=>$fees_us_dollar,
                        "adjusted_amount" =>$adjusted_amount,
                        "adjusted_amount_other" => $adjusted_amount_other,
                        "hourly_fee_check" =>$hourly_fee_check,
                        "hourly_fee_per_hour" =>$hourly_fee_per_hour,
                        "hourly_fee_maximum_total" =>$hourly_fee_maximum_total,
                        "retainer_fee_check" => $retainer_fee_check,
                        "retainer_fee_due" => $computation_deadline_period,
                        "retainer_fee_will_check" =>$agency_unless_brokerage_relationship,
                        "other_compensation_check" =>$other_compensation_check,
                        "other_compensation" =>$other_compensation,
                        "firm_fee_lease_amt" => $firm_fee_lease_amt,
                        "firm_fee_lease_amt_or" => $firm_fee_lease_amt_or,
                        "firm_fee_lease_amt_per" =>$firm_fee_lease_amt_per,

                        "firm_fee_lease_adj_amt_check" =>$firm_fee_lease_adj_amt_check,
                        "firm_fee_lease_adj_amt_other" =>$firm_fee_lease_adj_amt_other,
                        "firm_fee_lease_adj_amt_other1" => $firm_fee_lease_adj_amt_other1,
                        "when_earned_when_payable_lease_txt" => $when_earned_when_payable_lease_txt,
                        "when_earned_when_payable_lease_chk" =>$when_earned_when_payable_lease_chk,
                        "when_earned_when_payable_lease_txt1" => $when_earned_when_payable_lease_txt1,
                        "who_will_pay_firm_fee" =>$who_will_pay_firm_fee
                        );
            }
            if($contract_type == "sell" || $contract_type == "Sell"){
                $lease_commision_percentage_gross = isset($_POST['lease_commision_percentage_gross']) ? (is_array($_POST['lease_commision_percentage_gross']) ? json_encode($_POST['lease_commision_percentage_gross']) : $_POST['lease_commision_percentage_gross']):"";
                $lease_commision_dollar = isset($_POST['lease_commision_dollar']) ? (is_array($_POST['lease_commision_dollar']) ? json_encode($_POST['lease_commision_dollar']) : $_POST['lease_commision_dollar']):"";
                $lease_commision_payable = isset($_POST['lease_commision_payable']) ? (is_array($_POST['lease_commision_payable']) ? json_encode($_POST['lease_commision_payable']) : $_POST['lease_commision_payable']):"";
                $sales_commision_percentage_gross =isset($_POST['sales_commision_percentage_gross']) ? (is_array($_POST['sales_commision_percentage_gross']) ? json_encode($_POST['sales_commision_percentage_gross']) : $_POST['sales_commision_percentage_gross']):"";
                $sales_commision_dollar =isset($_POST['sales_commision_dollar']) ? (is_array($_POST['sales_commision_dollar']) ? json_encode($_POST['sales_commision_dollar']) : $_POST['sales_commision_dollar']):"";
                $tenant_agent_percentage_gross =isset($_POST['tenant_agent_percentage_gross']) ? (is_array($_POST['tenant_agent_percentage_gross']) ? json_encode($_POST['tenant_agent_percentage_gross']) : $_POST['tenant_agent_percentage_gross']):"";
                $tenant_agent_dollar =isset($_POST['tenant_agent_dollar']) ? (is_array($_POST['tenant_agent_dollar']) ? json_encode($_POST['tenant_agent_dollar']) : $_POST['tenant_agent_dollar']):"";
                $transaction_broker_gross =isset($_POST['transaction_broker_gross']) ? (is_array($_POST['transaction_broker_gross']) ? json_encode($_POST['transaction_broker_gross']) : $_POST['transaction_broker_gross']):"";
                $transaction_dollar =isset($_POST['transaction_dollar']) ? (is_array($_POST['transaction_dollar']) ? json_encode($_POST['transaction_dollar']) : $_POST['transaction_dollar']):"";
                $fee_for_expansion_renewal_chk =isset($_POST['fee_for_expansion_renewal_chk']) ? (is_array($_POST['fee_for_expansion_renewal_chk']) ? json_encode($_POST['fee_for_expansion_renewal_chk']) : $_POST['fee_for_expansion_renewal_chk']):"";
                $fee_for_expansion_renewal_chk1 =isset($_POST['fee_for_expansion_renewal_chk1']) ? (is_array($_POST['fee_for_expansion_renewal_chk1']) ? json_encode($_POST['fee_for_expansion_renewal_chk1']) : $_POST['fee_for_expansion_renewal_chk1']):"";
                $fee_for_expansion_renewal_chk2 =isset($_POST['fee_for_expansion_renewal_chk2']) ? (is_array($_POST['fee_for_expansion_renewal_chk2']) ? json_encode($_POST['fee_for_expansion_renewal_chk2']) : $_POST['fee_for_expansion_renewal_chk2']):"";
                $fee_for_expansion_renewal =isset($_POST['fee_for_expansion_renewal']) ? (is_array($_POST['fee_for_expansion_renewal']) ? json_encode($_POST['fee_for_expansion_renewal']) : $_POST['fee_for_expansion_renewal']):"";
                $fee_for_expansion_renewal_chk3 =isset($_POST['fee_for_expansion_renewal_chk3']) ? (is_array($_POST['fee_for_expansion_renewal_chk3']) ? json_encode($_POST['fee_for_expansion_renewal_chk3']) : $_POST['fee_for_expansion_renewal_chk3']):"";
                $fee_for_expansion_renewal_chk4 =isset($_POST['fee_for_expansion_renewal_chk4']) ? (is_array($_POST['fee_for_expansion_renewal_chk4']) ? json_encode($_POST['fee_for_expansion_renewal_chk4']) : $_POST['fee_for_expansion_renewal_chk4']):"";
                        
                
                $fee_for_expansion_renewal_chk5 =isset($_POST['fee_for_expansion_renewal_chk5']) ? (is_array($_POST['fee_for_expansion_renewal_chk5']) ? json_encode($_POST['fee_for_expansion_renewal_chk5']) : $_POST['fee_for_expansion_renewal_chk5']):"";
                $fee_for_expansion_renewal1 =isset($_POST['fee_for_expansion_renewal1']) ? (is_array($_POST['fee_for_expansion_renewal1']) ? json_encode($_POST['fee_for_expansion_renewal1']) : $_POST['fee_for_expansion_renewal1']):"";
                $other_compensation =isset($_POST['other_compensation']) ? (is_array($_POST['other_compensation']) ? json_encode($_POST['other_compensation']) : $_POST['other_compensation']):"";
                $when_earned_when_payable_lease_txt =isset($_POST['when_earned_when_payable_lease_txt']) ? (is_array($_POST['when_earned_when_payable_lease_txt']) ? json_encode($_POST['when_earned_when_payable_lease_txt']) : $_POST['when_earned_when_payable_lease_txt']):"";
                $when_applicable_payable =isset($_POST['when_applicable_payable']) ? (is_array($_POST['when_applicable_payable']) ? json_encode($_POST['when_applicable_payable']) : $_POST['when_applicable_payable']):"";
            
            
                                $data['sell_compensation']=array(
                                    "client_id"=>$client_id,
                                    "contract_id"=>$contract_id,
                                    "contract_pid"=>$insert_id,
                                    "lease_commision_percentage_gross"=>$lease_commision_percentage_gross,
                                    "lease_commision_dollar"=>$lease_commision_dollar,
                                    "lease_commision_payable"=>$lease_commision_payable,
                                    "sales_commision_percentage_gross"=>$sales_commision_percentage_gross,
                                    "sales_commision_dollar" =>$sales_commision_dollar,
                                    "tenant_agent_percentage_gross" => $tenant_agent_percentage_gross,
                                    "tenant_agent_dollar" =>$tenant_agent_dollar,
                                    "transaction_broker_gross" =>$transaction_broker_gross,
                                    "transaction_dollar" =>$transaction_dollar,
                                    "fee_for_expansion_renewal_chk" => $fee_for_expansion_renewal_chk,
                                    "fee_for_expansion_renewal_chk1" => $fee_for_expansion_renewal_chk1,
                                    "fee_for_expansion_renewal_chk2" =>$fee_for_expansion_renewal_chk2,
                                    "fee_for_expansion_renewal" =>$fee_for_expansion_renewal,
                                    "fee_for_expansion_renewal_chk3" =>$fee_for_expansion_renewal_chk3,
                                    "fee_for_expansion_renewal_chk4" => $fee_for_expansion_renewal_chk4,
                                    "fee_for_expansion_renewal_chk5" => $fee_for_expansion_renewal_chk5,
                                    "fee_for_expansion_renewal1" =>$fee_for_expansion_renewal1,
            
                                    "other_compensation" =>$other_compensation,
                                    "when_earned_when_payable_lease_txt" =>$when_earned_when_payable_lease_txt,
                                    "when_applicable_payable" => $when_applicable_payable,
                                    

                                    );
            
            }
            if($contract_type == "tenant" || $contract_type == "Tenant"){
                $firm_fees_check = isset($_POST['firm_fees_check']) ? (is_array($_POST['firm_fees_check']) ? json_encode($_POST['firm_fees_check']) : $_POST['firm_fees_check']):"";
                $fees_percentage_price = isset($_POST['fees_percentage_price']) ? (is_array($_POST['fees_percentage_price']) ? json_encode($_POST['fees_percentage_price']) : $_POST['fees_percentage_price']):"";
                $fees_us_dollar =isset($_POST['fees_us_dollar']) ? (is_array($_POST['fees_us_dollar']) ? json_encode($_POST['fees_us_dollar']) : $_POST['fees_us_dollar']):"";
                $hourly_fee_check =isset($_POST['hourly_fee_check']) ? (is_array($_POST['hourly_fee_check']) ? json_encode($_POST['hourly_fee_check']) : $_POST['hourly_fee_check']):"";
                $hourly_fee_maximum_total =isset($_POST['hourly_fee_maximum_total']) ? (is_array($_POST['hourly_fee_maximum_total']) ? json_encode($_POST['hourly_fee_maximum_total']) : $_POST['hourly_fee_maximum_total']):"";
                $retainer_fee_check =isset($_POST['retainer_fee_check']) ? (is_array($_POST['retainer_fee_check']) ? json_encode($_POST['retainer_fee_check']) : $_POST['retainer_fee_check']):"";
                $retainer_fee_due =isset($_POST['retainer_fee_due']) ? (is_array($_POST['retainer_fee_due']) ? json_encode($_POST['retainer_fee_due']) : $_POST['retainer_fee_due']):"";
                $retainer_fee_will_check =isset($_POST['retainer_fee_will_check']) ? (is_array($_POST['retainer_fee_will_check']) ? json_encode($_POST['retainer_fee_will_check']) : $_POST['retainer_fee_will_check']):"";
                $fee_for_expansion_renewal_chk =isset($_POST['fee_for_expansion_renewal_chk']) ? (is_array($_POST['fee_for_expansion_renewal_chk']) ? json_encode($_POST['fee_for_expansion_renewal_chk']) : $_POST['fee_for_expansion_renewal_chk']):"";
                $fee_for_expansion_renewal =isset($_POST['fee_for_expansion_renewal']) ? (is_array($_POST['fee_for_expansion_renewal']) ? json_encode($_POST['fee_for_expansion_renewal']) : $_POST['fee_for_expansion_renewal']):"";
                $other_compensation_check =isset($_POST['other_compensation_check']) ? (is_array($_POST['other_compensation_check']) ? json_encode($_POST['other_compensation_check']) : $_POST['other_compensation_check']):"";
                $other_compensation =isset($_POST['other_compensation']) ? (is_array($_POST['other_compensation']) ? json_encode($_POST['other_compensation']) : $_POST['other_compensation']):"";
                $firm_fee_lease_amt =isset($_POST['firm_fee_lease_amt']) ? (is_array($_POST['firm_fee_lease_amt']) ? json_encode($_POST['firm_fee_lease_amt']) : $_POST['firm_fee_lease_amt']):"";
                $firm_fee_lease_amt_per =isset($_POST['firm_fee_lease_amt_per']) ? (is_array($_POST['firm_fee_lease_amt_per']) ? json_encode($_POST['firm_fee_lease_amt_per']) : $_POST['firm_fee_lease_amt_per']):"";
                $firm_fee_lease_amt_or =isset($_POST['firm_fee_lease_amt_or']) ? (is_array($_POST['firm_fee_lease_amt_or']) ? json_encode($_POST['firm_fee_lease_amt_or']) : $_POST['firm_fee_lease_amt_or']):"";
                        
                
                $firm_fee_lease_adj_amt_check =isset($_POST['firm_fee_lease_adj_amt_check']) ? (is_array($_POST['firm_fee_lease_adj_amt_check']) ? json_encode($_POST['firm_fee_lease_adj_amt_check']) : $_POST['firm_fee_lease_adj_amt_check']):"";
                $firm_fee_lease_adj_amt_other =isset($_POST['firm_fee_lease_adj_amt_other']) ? (is_array($_POST['firm_fee_lease_adj_amt_other']) ? json_encode($_POST['firm_fee_lease_adj_amt_other']) : $_POST['firm_fee_lease_adj_amt_other']):"";
                $firm_fee_lease_adj_amt_other1 =isset($_POST['firm_fee_lease_adj_amt_other1']) ? (is_array($_POST['firm_fee_lease_adj_amt_other1']) ? json_encode($_POST['firm_fee_lease_adj_amt_other1']) : $_POST['firm_fee_lease_adj_amt_other1']):"";
                $when_earned_when_payable_lease_txt =isset($_POST['when_earned_when_payable_lease_txt']) ? (is_array($_POST['when_earned_when_payable_lease_txt']) ? json_encode($_POST['when_earned_when_payable_lease_txt']) : $_POST['when_earned_when_payable_lease_txt']):"";
                $who_will_pay_firm_fee =isset($_POST['who_will_pay_firm_fee']) ? (is_array($_POST['who_will_pay_firm_fee']) ? json_encode($_POST['who_will_pay_firm_fee']) : $_POST['who_will_pay_firm_fee']):"";
                $who_will_pay_firm_obligated =isset($_POST['who_will_pay_firm_obligated']) ? (is_array($_POST['who_will_pay_firm_obligated']) ? json_encode($_POST['who_will_pay_firm_obligated']) : $_POST['who_will_pay_firm_obligated']):"";
                $who_will_pay_firm_obligated_not =isset($_POST['who_will_pay_firm_obligated_not']) ? (is_array($_POST['who_will_pay_firm_obligated_not']) ? json_encode($_POST['who_will_pay_firm_obligated_not']) : $_POST['who_will_pay_firm_obligated_not']):"";

            
                                $data['tenant_compensation']=array(
                                    "client_id"=>$client_id,
                                    "contract_id"=>$contract_id,
                                    "contract_pid"=>$insert_id,
                                    "firm_fees_check"=>$firm_fees_check,
                                    "fees_percentage_price"=>$fees_percentage_price,
                                    "fees_us_dollar"=>$fees_us_dollar,
                                    "hourly_fee_check" =>$hourly_fee_check,
                                    "hourly_fee_maximum_total" => $hourly_fee_maximum_total,
                                    "retainer_fee_check" =>$retainer_fee_check,
                                    "retainer_fee_due" =>$retainer_fee_due,
                                    "retainer_fee_will_check" =>$retainer_fee_will_check,
                                    "fee_for_expansion_renewal_chk" => $fee_for_expansion_renewal_chk,
                                    "fee_for_expansion_renewal" => $fee_for_expansion_renewal,
                                    "other_compensation_check" =>$other_compensation_check,
                                    "other_compensation" =>$other_compensation,
                                    "firm_fee_lease_amt" =>$firm_fee_lease_amt,
                                    "firm_fee_lease_amt_per" => $firm_fee_lease_amt_per,
                                    "firm_fee_lease_amt_or" => $firm_fee_lease_amt_or,
                                    "firm_fee_lease_adj_amt_check" =>$firm_fee_lease_adj_amt_check,
            
                                    "firm_fee_lease_adj_amt_other" =>$firm_fee_lease_adj_amt_other,
                                    "firm_fee_lease_adj_amt_other1" =>$firm_fee_lease_adj_amt_other1,
                                    "when_earned_when_payable_lease_txt" => $when_earned_when_payable_lease_txt,

                                    "who_will_pay_firm_fee" =>$who_will_pay_firm_fee,
                                    "who_will_pay_firm_obligated" =>$who_will_pay_firm_obligated,
                                    "who_will_pay_firm_obligated_not" => $who_will_pay_firm_obligated_not

                                    );
            }
            if($contract_type == "lease" || $contract_type == "Lease"){
                $lease_commision_percentage_gross = isset($_POST['lease_commision_percentage_gross']) ? (is_array($_POST['lease_commision_percentage_gross']) ? json_encode($_POST['lease_commision_percentage_gross']) : $_POST['lease_commision_percentage_gross']):"";
                $lease_commision_dollar = isset($_POST['lease_commision_dollar']) ? (is_array($_POST['lease_commision_dollar']) ? json_encode($_POST['lease_commision_dollar']) : $_POST['lease_commision_dollar']):"";
                $sales_commision_percentage_gross =isset($_POST['sales_commision_percentage_gross']) ? (is_array($_POST['sales_commision_percentage_gross']) ? json_encode($_POST['sales_commision_percentage_gross']) : $_POST['sales_commision_percentage_gross']):"";
                $sales_commision_dollar =isset($_POST['sales_commision_dollar']) ? (is_array($_POST['sales_commision_dollar']) ? json_encode($_POST['sales_commision_dollar']) : $_POST['sales_commision_dollar']):"";
                $tenant_agent_percentage_gross =isset($_POST['tenant_agent_percentage_gross']) ? (is_array($_POST['tenant_agent_percentage_gross']) ? json_encode($_POST['tenant_agent_percentage_gross']) : $_POST['tenant_agent_percentage_gross']):"";
                $tenant_agent_dollar =isset($_POST['tenant_agent_dollar']) ? (is_array($_POST['tenant_agent_dollar']) ? json_encode($_POST['tenant_agent_dollar']) : $_POST['tenant_agent_dollar']):"";
                $transaction_broker_gross =isset($_POST['transaction_broker_gross']) ? (is_array($_POST['transaction_broker_gross']) ? json_encode($_POST['transaction_broker_gross']) : $_POST['transaction_broker_gross']):"";
                $transaction_dollar =isset($_POST['transaction_dollar']) ? (is_array($_POST['transaction_dollar']) ? json_encode($_POST['transaction_dollar']) : $_POST['transaction_dollar']):"";
                $fee_for_expansion_renewal =isset($_POST['fee_for_expansion_renewal']) ? (is_array($_POST['fee_for_expansion_renewal']) ? json_encode($_POST['fee_for_expansion_renewal']) : $_POST['fee_for_expansion_renewal']):"";
                $fee_for_expansion_renewal_chk =isset($_POST['fee_for_expansion_renewal_chk']) ? (is_array($_POST['fee_for_expansion_renewal_chk']) ? json_encode($_POST['fee_for_expansion_renewal_chk']) : $_POST['fee_for_expansion_renewal_chk']):"";
                $fee_for_expansion_renewal_chk1 =isset($_POST['fee_for_expansion_renewal_chk1']) ? (is_array($_POST['fee_for_expansion_renewal_chk1']) ? json_encode($_POST['fee_for_expansion_renewal_chk1']) : $_POST['fee_for_expansion_renewal_chk1']):"";
                $fee_for_expansion_renewal_chk2 =isset($_POST['fee_for_expansion_renewal_chk2']) ? (is_array($_POST['fee_for_expansion_renewal_chk2']) ? json_encode($_POST['fee_for_expansion_renewal_chk2']) : $_POST['fee_for_expansion_renewal_chk2']):"";
                $fee_for_expansion_renewal_chk3 =isset($_POST['fee_for_expansion_renewal_chk3']) ? (is_array($_POST['fee_for_expansion_renewal_chk3']) ? json_encode($_POST['fee_for_expansion_renewal_chk3']) : $_POST['fee_for_expansion_renewal_chk3']):"";
                $fee_for_expansion_renewal_chk4 =isset($_POST['fee_for_expansion_renewal_chk4']) ? (is_array($_POST['fee_for_expansion_renewal_chk4']) ? json_encode($_POST['fee_for_expansion_renewal_chk4']) : $_POST['fee_for_expansion_renewal_chk4']):"";
                        
                
                $fee_for_expansion_renewal_chk5 =isset($_POST['fee_for_expansion_renewal_chk5']) ? (is_array($_POST['fee_for_expansion_renewal_chk5']) ? json_encode($_POST['fee_for_expansion_renewal_chk5']) : $_POST['fee_for_expansion_renewal_chk5']):"";
                $fee_for_expansion_renewal1 =isset($_POST['fee_for_expansion_renewal1']) ? (is_array($_POST['fee_for_expansion_renewal1']) ? json_encode($_POST['fee_for_expansion_renewal1']) : $_POST['fee_for_expansion_renewal1']):"";
                $other_compensation =isset($_POST['other_compensation']) ? (is_array($_POST['other_compensation']) ? json_encode($_POST['other_compensation']) : $_POST['other_compensation']):"";
                $when_earned_when_payable_lease_txt =isset($_POST['when_earned_when_payable_lease_txt']) ? (is_array($_POST['when_earned_when_payable_lease_txt']) ? json_encode($_POST['when_earned_when_payable_lease_txt']) : $_POST['when_earned_when_payable_lease_txt']):"";
                $when_applicable_payable =isset($_POST['when_applicable_payable']) ? (is_array($_POST['when_applicable_payable']) ? json_encode($_POST['when_applicable_payable']) : $_POST['when_applicable_payable']):"";
                $tenant_agent_chk =isset($_POST['tenant_agent_chk']) ? (is_array($_POST['tenant_agent_chk']) ? json_encode($_POST['tenant_agent_chk']) : $_POST['tenant_agent_chk']):"";
                $transaction_chk =isset($_POST['transaction_chk']) ? (is_array($_POST['transaction_chk']) ? json_encode($_POST['transaction_chk']) : $_POST['transaction_chk']):"";

            
                                $data['lease_compensation']=array(
                                    "client_id"=>$client_id,
                                    "contract_id"=>$contract_id,
                                    "contract_pid"=>$insert_id,
                                    "lease_commision_percentage_gross"=>$lease_commision_percentage_gross,
                                    "lease_commision_dollar"=>$lease_commision_dollar,
                                    "sales_commision_percentage_gross"=>$sales_commision_percentage_gross,
                                    "sales_commision_dollar" =>$sales_commision_dollar,
                                    "tenant_agent_percentage_gross" => $tenant_agent_percentage_gross,
                                    "tenant_agent_dollar" =>$tenant_agent_dollar,
                                    "tenant_agent_chk" =>$tenant_agent_chk,
                                    "transaction_broker_gross" =>$transaction_broker_gross,
                                    "transaction_dollar" =>$transaction_dollar,
                                    "transaction_chk" =>$transaction_chk,
                                    "fee_for_expansion_renewal" => $fee_for_expansion_renewal,
                                    "fee_for_expansion_renewal_chk" => $fee_for_expansion_renewal_chk,
                                    
                                    "fee_for_expansion_renewal_chk1" =>$fee_for_expansion_renewal_chk1,
                                    "fee_for_expansion_renewal_chk2" =>$fee_for_expansion_renewal_chk2,
                                    "fee_for_expansion_renewal_chk3" =>$fee_for_expansion_renewal_chk3,
                                    "fee_for_expansion_renewal_chk4" => $fee_for_expansion_renewal_chk4,
                                    "fee_for_expansion_renewal_chk5" => $fee_for_expansion_renewal_chk5,
                                    "fee_for_expansion_renewal1" =>$fee_for_expansion_renewal1,
            
                                    "other_compensation" =>$other_compensation,
                                    "when_earned_when_payable_lease_txt" => $when_earned_when_payable_lease_txt,

                                    "when_applicable_payable" =>$when_applicable_payable,
                                    );
            }        
            if($contract_type == "lease" || $contract_type == "Lease" || $contract_type == "sell" || $contract_type == "Sell"){
                $mls_info_check = isset($_POST['mls_info_check']) ? (is_array($_POST['mls_info_check']) ? json_encode($_POST['mls_info_check']) : $_POST['mls_info_check']):"";
                $mls_info_check1 = isset($_POST['mls_info_check1']) ? (is_array($_POST['mls_info_check1']) ? json_encode($_POST['mls_info_check1']) : $_POST['mls_info_check1']):"";
                $mls_marketing_except =isset($_POST['mls_marketing_except']) ? (is_array($_POST['mls_marketing_except']) ? json_encode($_POST['mls_marketing_except']) : $_POST['mls_marketing_except']):"";
                $display_premise_address =isset($_POST['display_premise_address']) ? (is_array($_POST['display_premise_address']) ? json_encode($_POST['display_premise_address']) : $_POST['display_premise_address']):"";
                $property_access_check =isset($_POST['property_access_check']) ? (is_array($_POST['property_access_check']) ? json_encode($_POST['property_access_check']) : $_POST['property_access_check']):"";
                $prooperty_acess =isset($_POST['prooperty_acess']) ? (is_array($_POST['prooperty_acess']) ? json_encode($_POST['prooperty_acess']) : $_POST['prooperty_acess']):"";
                $broker_marketing =isset($_POST['broker_marketing']) ? (is_array($_POST['broker_marketing']) ? json_encode($_POST['broker_marketing']) : $_POST['broker_marketing']):"";
            
                                $data['mls_information']=array(
                                    "client_id"=>$client_id,
                                    "contract_id"=>$contract_id,
                                    "contract_pid"=>$insert_id,
                                    "mls_info_check"=>$mls_info_check,
                                    "mls_info_check1"=>$mls_info_check1,
                                    "mls_marketing_except"=>$mls_marketing_except,
                                    "display_premise_address" =>$display_premise_address,
                                    "property_access_check" => $property_access_check,
                                    "prooperty_acess" =>$prooperty_acess,
                                    "broker_marketing" =>$broker_marketing
                                    );

            }  
            if($contract_type == "sell" || $contract_type == "Sell"){
                $encumbrance = isset($_POST['encumbrance']) ? (is_array($_POST['encumbrance']) ? json_encode($_POST['encumbrance']) : $_POST['encumbrance']):"";
                $encumbrance1 = isset($_POST['encumbrance1']) ? (is_array($_POST['encumbrance1']) ? json_encode($_POST['encumbrance1']) : $_POST['encumbrance1']):"";
                $evidance_of_title_chk =isset($_POST['evidance_of_title_chk']) ? (is_array($_POST['evidance_of_title_chk']) ? json_encode($_POST['evidance_of_title_chk']) : $_POST['evidance_of_title_chk']):"";
                $association_aporx =isset($_POST['association_aporx']) ? (is_array($_POST['association_aporx']) ? json_encode($_POST['association_aporx']) : $_POST['association_aporx']):"";
                $association_aporx_per =isset($_POST['association_aporx_per']) ? (is_array($_POST['association_aporx_per']) ? json_encode($_POST['association_aporx_per']) : $_POST['association_aporx_per']):"";
                $association_aporx_except =isset($_POST['association_aporx_except']) ? (is_array($_POST['association_aporx_except']) ? json_encode($_POST['association_aporx_except']) : $_POST['association_aporx_except']):"";
                $forfeiture_of_chk =isset($_POST['forfeiture_of_chk']) ? (is_array($_POST['forfeiture_of_chk']) ? json_encode($_POST['forfeiture_of_chk']) : $_POST['forfeiture_of_chk']):"";
                $forfeiture_of_txt =isset($_POST['forfeiture_of_txt']) ? (is_array($_POST['forfeiture_of_txt']) ? json_encode($_POST['forfeiture_of_txt']) : $_POST['forfeiture_of_txt']):"";

                                $data['sell_encumbrances']=array(
                                    "client_id"=>$client_id,
                                    "contract_id"=>$contract_id,
                                    "contract_pid"=>$insert_id,
                                    "encumbrance"=>$encumbrance,
                                    "encumbrance1"=>$encumbrance1,
                                    "evidance_of_title_chk"=>$evidance_of_title_chk,
                                    "association_aporx" =>$association_aporx,
                                    "association_aporx_per" => $association_aporx_per,
                                    "association_aporx_except" =>$association_aporx_except,
                                    "forfeiture_of_chk" => $forfeiture_of_chk,
                                    "forfeiture_of_txt" =>$forfeiture_of_txt
                                    );

            }      
            if($contract_type == "sell" || $contract_type == "Sell"){
                $price = isset($_POST['price']) ? (is_array($_POST['price']) ? json_encode($_POST['price']) : $_POST['price']):"";
                $terms = isset($_POST['terms']) ? (is_array($_POST['terms']) ? json_encode($_POST['terms']) : $_POST['terms']):"";
                $other_terms =isset($_POST['other_terms']) ? (is_array($_POST['other_terms']) ? json_encode($_POST['other_terms']) : $_POST['other_terms']):"";
                $loan_discount_points =isset($_POST['loan_discount_points']) ? (is_array($_POST['loan_discount_points']) ? json_encode($_POST['loan_discount_points']) : $_POST['loan_discount_points']):"";
                $buyer_closing_cost =isset($_POST['buyer_closing_cost']) ? (is_array($_POST['buyer_closing_cost']) ? json_encode($_POST['buyer_closing_cost']) : $_POST['buyer_closing_cost']):"";
                $buyer_closing_cost1 =isset($_POST['buyer_closing_cost1']) ? (is_array($_POST['buyer_closing_cost1']) ? json_encode($_POST['buyer_closing_cost1']) : $_POST['buyer_closing_cost1']):"";
                $earnest_money =isset($_POST['earnest_money']) ? (is_array($_POST['earnest_money']) ? json_encode($_POST['earnest_money']) : $_POST['earnest_money']):"";
                $earnest_money_form =isset($_POST['earnest_money_form']) ? (is_array($_POST['earnest_money_form']) ? json_encode($_POST['earnest_money_form']) : $_POST['earnest_money_form']):"";
                $seller_proceed_idicated_chk =isset($_POST['seller_proceed_idicated_chk']) ? (is_array($_POST['seller_proceed_idicated_chk']) ? json_encode($_POST['seller_proceed_idicated_chk']) : $_POST['seller_proceed_idicated_chk']):"";

                                $data['sell_price_term']=array(
                                    "client_id"=>$client_id,
                                    "contract_id"=>$contract_id,
                                    "contract_pid"=>$insert_id,
                                    "price"=>$price,
                                    "terms"=>$terms,
                                    "other_terms"=>$other_terms,
                                    "loan_discount_points" =>$loan_discount_points,
                                    "buyer_closing_cost" => $buyer_closing_cost,
                                    "buyer_closing_cost1" =>$buyer_closing_cost1,
                                    "earnest_money" =>$earnest_money,
                                    "earnest_money_form" => $earnest_money_form,
                                    "seller_proceed_idicated_chk" =>$seller_proceed_idicated_chk,
                                    );

            }                 
            if($contract_type == "lease" || $contract_type == "Lease"){
                $rental_rate = isset($_POST['rental_rate']) ? (is_array($_POST['rental_rate']) ? json_encode($_POST['rental_rate']) : $_POST['rental_rate']):"";
                $min_security_deposit = isset($_POST['min_security_deposit']) ? (is_array($_POST['min_security_deposit']) ? json_encode($_POST['min_security_deposit']) : $_POST['min_security_deposit']):"";
                $mls_marketing_except =isset($_POST['mls_marketing_except']) ? (is_array($_POST['mls_marketing_except']) ? json_encode($_POST['mls_marketing_except']) : $_POST['mls_marketing_except']):"";
                $other_terms =isset($_POST['other_terms']) ? (is_array($_POST['other_terms']) ? json_encode($_POST['other_terms']) : $_POST['other_terms']):"";

                                $data['lease_rental_rate']=array(
                                    "client_id"=>$client_id,
                                    "contract_id"=>$contract_id,
                                    "contract_pid"=>$insert_id,
                                    "rental_rate"=>$rental_rate,
                                    "min_security_deposit"=>$min_security_deposit,
                                    "mls_marketing_except"=>$mls_marketing_except,
                                    "other_terms" =>$other_terms
                                                                        );

            }            
            if($contract_type == "buy" || $contract_type == "Buy" || $contract_type == "tenant" || $contract_type == "Tenant"){
                $broker_services = isset($_POST['broker_services']) ? (is_array($_POST['broker_services']) ? json_encode($_POST['broker_services']) : $_POST['broker_services']):"";
                $showing_properties = isset($_POST['showing_properties']) ? (is_array($_POST['showing_properties']) ? json_encode($_POST['showing_properties']) : $_POST['showing_properties']):"";
                $showing_properties1 =isset($_POST['showing_properties1']) ? (is_array($_POST['showing_properties1']) ? json_encode($_POST['showing_properties1']) : $_POST['showing_properties1']):"";

                                $data['buyer_broker_services']=array(
                                    "client_id"=>$client_id,
                                    "contract_id"=>$contract_id,
                                    "contract_pid"=>$insert_id,
                                    "broker_services"=>$broker_services,
                                    "showing_properties"=>$showing_properties,
                                    "showing_properties1"=>$showing_properties1,
                                                                        );

            }                        
            if( !empty($_POST['second_company_name']) && !empty($insert_id)){ 
                $data['contract_companies']=array(
                                                "client_id"=>$client_id,
                                                "contract_id"=>$contract_id,
                                                "contract_pid"=>$insert_id,
                                                "company_name"=>$_POST['second_company_name']
                                            );
            }
            if( !empty($_POST['seller_name']) && !empty($insert_id)){
                if(is_array($_POST['seller_name'])){
                    foreach($_POST['seller_name'] as $seller_name){
                        if(trim($seller_name)){
                            $data['contract_seller'][]=array(
                                                            "client_id"=>$client_id,
                                                            "contract_id"=>$contract_id,
                                                            "contract_pid"=>$insert_id,
                                                            "seller_name"=>$seller_name
                                                        );
                            }
                        }
                }else{
                    $seller_name = $_POST['seller_name'];
                    $data['contract_seller'][0]=array(
                        "client_id"=>$client_id,
                        "contract_id"=>$contract_id,
                        "contract_pid"=>$insert_id,
                        "seller_name"=>$seller_name
                    );
                }

            }
            
            if( !empty($_POST['party']) && !empty($insert_id)){
                $broker = isset($_POST['broker']) ? (is_array($_POST['broker']) ? json_encode($_POST['broker']) : $_POST['broker']) :'';
                $broker_signature = isset($_POST['broker_signature']) ? (is_array($_POST['broker_signature']) ? json_encode($_POST['broker_signature']) : $_POST['broker_signature']) :'';
                $broker_date = isset($_POST['broker_date']) ? date('Y-m-d',strtotime($_POST['broker_date'])) :'0000-00-00';
                $broker_address = isset($_POST['broker_address']) ? (is_array($_POST['broker_address']) ? json_encode($_POST['broker_address']) : $_POST['broker_address']) :'';
                $broker_phone = isset($_POST['broker_phone']) ? (is_array($_POST['broker_phone']) ? json_encode($_POST['broker_phone']) : $_POST['broker_phone']) :'';
                $broker_fax = isset($_POST['broker_fax']) ? (is_array($_POST['broker_fax']) ? json_encode($_POST['broker_fax']) : $_POST['broker_fax']) :'';
                $broker_electronic_address = isset($_POST['broker_electronic_address']) ? (is_array($_POST['broker_electronic_address']) ? json_encode($_POST['broker_electronic_address']) : $_POST['broker_electronic_address']) :'';
                //brokerage
                $brokerage = isset($_POST['brokerage']) ? (is_array($_POST['brokerage']) ? json_encode($_POST['brokerage']) : $_POST['brokerage']) :'';
                $brokerage_signature = isset($_POST['brokerage_signature']) ? (is_array($_POST['brokerage_signature']) ? json_encode($_POST['brokerage_signature']) : $_POST['brokerage_signature']) :'';
                $brokerage_date = isset($_POST['brokerage_date']) ? date('Y-m-d',strtotime($_POST['brokerage_date'])) :'0000-00-00';
                $brokerage_address = isset($_POST['brokerage_address']) ? (is_array($_POST['brokerage_address']) ? json_encode($_POST['brokerage_address']) : $_POST['brokerage_address']) :'';
                $brokerage_phone = isset($_POST['brokerage_phone']) ? (is_array($_POST['brokerage_phone']) ? json_encode($_POST['brokerage_phone']) : $_POST['brokerage_phone']) :'';
                $brokerage_fax = isset($_POST['brokerage_fax']) ? (is_array($_POST['brokerage_fax']) ? json_encode($_POST['brokerage_fax']) : $_POST['brokerage_fax']) :'';
                $brokerage_electronic_address = isset($_POST['brokerage_electronic_address']) ? (is_array($_POST['brokerage_electronic_address']) ? json_encode($_POST['brokerage_electronic_address']) : $_POST['brokerage_electronic_address']) :'';
                if(is_array($_POST['party'])){
                    foreach($_POST['party'] as $key=>$party){
                        $party =  is_array($party) ? json_encode($party) : $party;
                        $party_signature = isset($_POST[$key]['party_signature']) ? (is_array($_POST['mls_marketing_except']) ? json_encode($_POST['mls_marketing_except']) : $_POST['mls_marketing_except']) :'';
                        $party_date = isset($_POST[$key]['party_date']) ? date('Y-m-d',strtotime($_POST[$key]['party_date'])) :'0000-00-00';
                        $party_address = isset($_POST[$key]['party_address']) ? (is_array($_POST[$key]['party_address']) ? json_encode($_POST[$key]['party_address']) : $_POST[$key]['party_address']) :'';
                        $party_phone = isset($_POST[$key]['party_phone']) ? (is_array($_POST[$key]['party_phone']) ? json_encode($_POST[$key]['party_phone']) : $_POST[$key]['party_phone']):'';
                        $party_fax = isset($_POST[$key]['party_fax']) ? (is_array($_POST[$key]['party_fax']) ? json_encode($_POST[$key]['party_fax']) : $_POST[$key]['party_fax']) :'';
                        $party_electronic_address = isset($_POST[$key]['party_electronic_address']) ? (is_array($_POST[$key]['party_electronic_address']) ? json_encode($_POST[$key]['party_electronic_address']) : $_POST[$key]['party_electronic_address']) :'';

                        if(trim($party)){
                            $data['contract_parties'][]=array(
                                                            "client_id"=>$client_id,
                                                            "contract_id"=>$contract_id,
                                                            "contract_pid"=>$insert_id,
                                                            
                                                            "party"=>$party,
                                                            "party_signature"=>$party_signature,
                                                            "party_date"=>$party_date,
                                                            "party_address"=>$party_address,
                                                            "party_phone"=>$party_phone,
                                                            "party_fax"=>$party_fax,
                                                            "party_electronic_address"=>$party_electronic_address,
                                                            "broker"=>$broker,
                                                            "broker_signature"=>$broker_signature,
                                                            "broker_date"=>$broker_date,
                                                            "broker_address"=>$broker_address,
                                                            "broker_phone"=>$broker_phone,
                                                            "broker_fax"=>$broker_fax,
                                                            "broker_electronic_address"=>$broker_electronic_address,
                                                            "brokerage"=>$brokerage,
                                                            "brokerage_signature"=>$brokerage_signature,
                                                            "brokerage_date"=>$brokerage_date,
                                                            "brokerage_address"=>$brokerage_address,
                                                            "brokerage_phone"=>$brokerage_phone,
                                                            "brokerage_fax"=>$brokerage_fax,
                                                            "brokerage_electronic_address"=>$brokerage_electronic_address
                                                        );
                            }
                        }
                }else{
                    $party = isset($_POST['party']) ? (is_array($_POST['party']) ? json_encode($_POST['party']) : $_POST['party']) :'';
                    $party_signature = isset($_POST['party_signature']) ? (is_array($_POST['party_signature']) ? json_encode($_POST['party_signature']) : $_POST['party_signature']) :'';
                    $party_date = isset($_POST['party_date']) ? $_POST['party_date'] :'0000-00-00';
                    $party_address = isset($_POST['party_address']) ? (is_array($_POST['party_address']) ? json_encode($_POST['party_address']) : $_POST['party_address']) :'';
                    $party_phone = isset($_POST['party_phone']) ? (is_array($_POST['party_phone']) ? json_encode($_POST['party_phone']) : $_POST['party_phone']) :'';
                    $party_fax = isset($_POST['party_fax']) ? (is_array($_POST['party_fax']) ? json_encode($_POST['party_fax']) : $_POST['party_fax']) :'';
                    $party_electronic_address = isset($_POST['party_electronic_address']) ? (is_array($_POST['party_electronic_address']) ? json_encode($_POST['party_electronic_address']) : $_POST['party_electronic_address']) :'';

                    $data['contract_parties'][0]=array(
                        "client_id"=>$client_id,
                        "contract_id"=>$contract_id,
                        "contract_pid"=>$insert_id,
                        "party"=>$party,
                        "party_signature"=>$party_signature,
                        "party_date"=>$party_date,
                        "party_address"=>$party_address,
                        "party_phone"=>$party_phone,
                        "party_fax"=>$party_fax,
                        "party_electronic_address"=>$party_electronic_address,
                        "broker"=>$broker,
                        "broker_signature"=>$broker_signature,
                        "broker_date"=>$broker_date,
                        "broker_address"=>$broker_address,
                        "broker_phone"=>$broker_phone,
                        "broker_fax"=>$broker_fax,
                        "broker_electronic_address"=>$broker_electronic_address,
                        "brokerage"=>$brokerage,
                        "brokerage_signature"=>$brokerage_signature,
                        "brokerage_date"=>$brokerage_date,
                        "brokerage_address"=>$brokerage_address,
                        "brokerage_phone"=>$brokerage_phone,
                        "brokerage_fax"=>$brokerage_fax,
                        "brokerage_electronic_address"=>$brokerage_electronic_address

                    );
                }

            }
            if( !empty($_POST['contract_date']) && !empty($insert_id)){
            $data['contract_list']=array(
                                        "client_id"=>$client_id,
                                        "contract_id"=>$contract_id,
                                        "contract_pid"=>$insert_id,
                                        "party_affiliation"=>'test',
                                        "sent_date"=>'test',
                                        "contract_date"=>$_POST['contract_date'],
                                        "contract_status"=>'test',
                                        "property_type"=>'test',
                                        "property_address"=>'test',
                                        "property_MLS"=>'test',
                                        "property_original_price"=>'test',
                                        "property_contract_price"=>'test',
                                        "property_deadline"=>'test',
                                        "property_closing_date"=>'test',
                                        "property_staus"=>'test',
                                        "property_title_resolution"=>'test'
                                        );
           
        }
    //     if( !empty($_POST['fb_cn_fname']) && !empty($insert_id)){
    //     foreach($_POST['fb_cn_fname'] as $key=>$value){
    //         if(trim($value) !='' || trim($_POST['fb_cn_mname'][$key])!='' || trim($_POST['fb_cn_lname'][$key])!=''){
    //             $data['contract_parties'][]=array(
    //                                         "client_id"=>$client_id,
    //                                         "contract_id"=>$contract_id,
    //                                         "contract_pid"=>$insert_id,
    //                                         "first_name"=>$value,
    //                                         "middle_name"=>$_POST['fb_cn_mname'][$key],
    //                                         "last_name"=>$_POST['fb_cn_lname'][$key]
    //                                     );
    //         }
    //     }
    // }
            if(!empty($_POST['fb_cdd_duedate']) && !empty($insert_id)){
            foreach($_POST['fb_cdd_duedate'] as $date_key=>$date_value){
                $deadline_value=$_POST['fb_cdd_deadline'][$date_key];
                $itemnumber= !empty($_POST['fb_cdd_itemnumber'][$date_key])? $_POST['fb_cdd_itemnumber'][$date_key]:0;
                $itemnumber= !empty($_POST['fb_cdd_itemnumber'][$date_key])? $_POST['fb_cdd_itemnumber'][$date_key]:0;
                $reference= !empty($_POST['fb_cdd_reference'][$date_key])? $_POST['fb_cdd_reference'][$date_key]:0;
                $event=!empty($_POST['fb_cdd_event'][$date_key])? $_POST['fb_cdd_event'][$date_key] :0;
                if(trim($date_value) !='' || trim($deadline_value)!=''){
                    $data['contract_date_deadline'][$date_key]=array(
                                                                    "client_id"=>$client_id,
                                                                    "contract_id"=>$contract_id,
                                                                    "contract_pid"=>$insert_id,
                                                                    "Itemno"=>$itemnumber,
                                                                    "Item_name"=>0,
                                                                    "reference"=>$reference,
                                                                    "event"=>$event,
                                                                    "deadline_start_date"=>$date_value,
                                                                    "deadline_date"=>$deadline_value
                                                                );
                }
            }
        }
        if(!empty($_POST['fb_cl_snumber']) && !empty($insert_id) || !empty($_POST['fb_cl_state']) && !empty($insert_id) || !empty($_POST['fb_cl_city']) && !empty($insert_id) || !empty($_POST['fb_cl_zipcode']) && !empty($insert_id)){
            foreach($_POST['fb_cl_snumber'] as $date_key=>$date_value){
                $fb_cl_sd=$_POST['fb_cl_sd'][$date_key];
                $fb_cl_sname= !empty($_POST['fb_cl_sname'][$date_key])? $_POST['fb_cl_sname'][$date_key]:'';
                $fb_cl_stype= !empty($_POST['fb_cl_stype'][$date_key])? $_POST['fb_cl_stype'][$date_key]:'';
                $fb_cl_sunittype= !empty($_POST['fb_cl_sunittype'][$date_key])? $_POST['fb_cl_sunittype'][$date_key]:'';
                $fb_cl_sunit=!empty($_POST['fb_cl_sunit'][$date_key])? $_POST['fb_cl_sunit'][$date_key] :'';
                $fb_cl_city=!empty($_POST['fb_cl_city'][$date_key])? $_POST['fb_cl_city'][$date_key] :'';
                $fb_cl_state=!empty($_POST['fb_cl_state'][$date_key])? $_POST['fb_cl_state'][$date_key] :'';
                $fb_cl_zipcode=!empty($_POST['fb_cl_zipcode'][$date_key])? $_POST['fb_cl_zipcode'][$date_key] :'';
                $fb_cl_location=!empty($_POST['fb_cl_location'][$date_key])? $_POST['fb_cl_location'][$date_key] :'';

                    $data['contract_property'][$date_key]=array(
                                                                    "client_id"=>$client_id,
                                                                    "contract_id"=>$contract_id,
                                                                    "contract_pid"=>$insert_id,
                                                                    "property_street_number"=>$date_value,
                                                                    "prooperty_sd"=>$fb_cl_sd,
                                                                    "property_street_name"=>$fb_cl_sname,
                                                                    "property_st_type"=>$fb_cl_stype,
                                                                    "property_unit_type"=>$fb_cl_sunittype,
                                                                    "property_unit"=>$fb_cl_sunit,
                                                                    "property_location"=>'',
                                                                    "property_city"=>$fb_cl_city,
                                                                    "property_state"=>$fb_cl_state,
                                                                    "property_zipcode"=>$fb_cl_zipcode
                                                                );
                
            }
        }
        if(!empty($_POST['property_detail']) && !empty($insert_id)){
    
            $property_street=!empty($_POST['property_street'])? (is_array($_POST['property_street']) ? json_encode($_POST['property_street']) : $_POST['property_street']) :''; 
            $property_city=!empty($_POST['property_city'])? (is_array($_POST['property_city']) ? json_encode($_POST['property_city']) : $_POST['property_city']) :'';
            $property_state=!empty($_POST['property_state'])? (is_array($_POST['property_state']) ? json_encode($_POST['property_state']) : $_POST['property_state']) :'';
            $property_zipcode=!empty($_POST['property_zipcode'])? (is_array($_POST['property_zipcode']) ? json_encode($_POST['property_zipcode']) : $_POST['property_zipcode']) :'';
            $property_county=!empty($_POST['property_county'])? (is_array($_POST['property_county']) ? json_encode($_POST['property_county']) : $_POST['property_county']) :'';
            $property_detail=!empty($_POST['property_detail'])? (is_array($_POST['property_detail']) ? json_encode($_POST['property_detail']) : $_POST['property_detail']) :'';
                $data['contract_property'][]=array(
                                                                "client_id"=>$client_id,
                                                                "contract_id"=>$contract_id,
                                                                "contract_pid"=>$insert_id,
                                                                "property_street_name"=>$property_street,    
                                                                "property_city"=>$property_city,
                                                                "property_state"=>$property_state,
                                                                "property_zipcode"=>$property_zipcode,
                                                                "property_county"=>$property_county,
                                                                "property_detail"=>$property_detail
                                                            );
            
        }
            if(!empty($insert_id)){
                $deligence_documents= !empty($_POST['deligence_documents'])? (is_array($_POST['deligence_documents']) ? json_encode($_POST['deligence_documents']) : $_POST['deligence_documents']):0;
                $personal_property_covenyance= !empty($_POST['personal_property_covenyance'])? (is_array($_POST['personal_property_covenyance']) ? json_encode($_POST['personal_property_covenyance']) : $_POST['personal_property_covenyance']):0;
                $other_inclusion=!empty($_POST['other_inclusion'])? (is_array($_POST['other_inclusion']) ? json_encode($_POST['other_inclusion']) : $_POST['other_inclusion']) :0;
                $parking_storage = !empty($_POST['parking_storage'])? (is_array($_POST['parking_storage']) ? json_encode($_POST['parking_storage']) : $_POST['parking_storage']) :0;
                $exclusion_details = !empty($_POST['exclusion_details'])? (is_array($_POST['exclusion_details']) ? json_encode($_POST['exclusion_details']) : $_POST['exclusion_details']) :0;
                $deeded_water_rights_details = !empty($_POST['deeded_water_rights_details']) ? (is_array($_POST['deeded_water_rights_details']) ? json_encode($_POST['deeded_water_rights_details']) : $_POST['deeded_water_rights_details']) :0;
                $other_water_rights_details= !empty($_POST['other_water_rights_details']) ? (is_array($_POST['other_water_rights_details']) ? json_encode($_POST['other_water_rights_details']) : $_POST['other_water_rights_details']) :0;
                $well_rights_details=!empty($_POST['well_rights_details']) ? (is_array($_POST['well_rights_details']) ? json_encode($_POST['well_rights_details']) : $_POST['well_rights_details']) :0;
                $water_stock_certificate_details=!empty($_POST['water_stock_certificate_details']) ? (is_array($_POST['water_stock_certificate_details']) ? json_encode($_POST['water_stock_certificate_details']) : $_POST['water_stock_certificate_details']) :0;
                $conveyance_details=!empty($_POST['conveyance_details']) ? (is_array($_POST['conveyance_details']) ? json_encode($_POST['conveyance_details']) : $_POST['conveyance_details']) :0;
                $parking_chk = !empty($_POST['parking_chk'])? (is_array($_POST['parking_chk']) ? json_encode($_POST['parking_chk']) : $_POST['parking_chk']) :'';
                $parking = !empty($_POST['parking'])? (is_array($_POST['parking']) ? json_encode($_POST['parking']) : $_POST['parking']) :'';
                $storage_chk = !empty($_POST['storage_chk'])? (is_array($_POST['storage_chk']) ? json_encode($_POST['storage_chk']) : $_POST['storage_chk']) :'';
                $storage = !empty($_POST['storage'])? (is_array($_POST['storage']) ? json_encode($_POST['storage']) : $_POST['storage']) :'';
                $water_right = !empty($_POST['water_right'])? (is_array($_POST['water_right']) ? json_encode($_POST['water_right']) : $_POST['water_right']) :'';
                $well_right = !empty($_POST['well_right'])? (is_array($_POST['well_right']) ? json_encode($_POST['well_right']) : $_POST['well_right']) :'';
                $growing_crops = !empty($_POST['growing_crops'])? (is_array($_POST['growing_crops']) ? json_encode($_POST['growing_crops']) : $_POST['growing_crops']) :'';
                $inclusion_fixture = !empty($_POST['inclusion_fixture'])? (is_array($_POST['inclusion_fixture']) ? json_encode($_POST['inclusion_fixture']) : $_POST['inclusion_fixture']) :'';
                $personal_property_txt = !empty($_POST['personal_property_txt'])? (is_array($_POST['personal_property_txt']) ? json_encode($_POST['personal_property_txt']) : $_POST['personal_property_txt']) :'';
                $personal_property_chk = !empty($_POST['personal_property_chk'])? (is_array($_POST['personal_property_chk']) ? json_encode($_POST['personal_property_chk']) : $_POST['personal_property_chk']) :'';
                $trade_fixture = !empty($_POST['trade_fixture'])? (is_array($_POST['trade_fixture']) ? json_encode($_POST['trade_fixture']) : $_POST['trade_fixture']) :'';
                $trade_fixture1 = !empty($_POST['trade_fixture1'])? (is_array($_POST['trade_fixture1']) ? json_encode($_POST['trade_fixture1']) : $_POST['trade_fixture1']) :'';
                $inclusion_other_fixture = !empty($_POST['inclusion_other_fixture'])? (is_array($_POST['inclusion_other_fixture']) ? json_encode($_POST['inclusion_other_fixture']) : $_POST['inclusion_other_fixture']) :'';

                $data['contract_inclusion']=array(
                    "client_id"=>$client_id,
                    "contract_id"=>$contract_id,
                    "contract_pid"=>$insert_id,
                    "diligence_documents"=>$deligence_documents,
                    "personal_property_convoyance"=>$personal_property_covenyance,
                    "others_inclusion"=>$other_inclusion,
                    "parking_storage"=>$parking_storage,
                    "exclusion"=>$exclusion_details,
                    "deed_water_right"=>$deeded_water_rights_details,
                    "other_water_right"=>$other_water_rights_details,
                    "well_right"=>$well_rights_details,
                    "water_stock_certificate"=>$water_stock_certificate_details,
                    "conveyance"=>$conveyance_details,
                    "parking_chk"=>$parking_chk,
                    "parking"=>$parking,
                    "storage_chk"=>$storage_chk,
                    "storage"=>$storage,
                    "water_right"=>$water_right,
                    "well_right"=>$well_right,
                    "growing_crops"=>$growing_crops,
                    "inclusion_fixture"=>$inclusion_fixture,
                    "personal_property_txt"=>$personal_property_txt,
                    "personal_property_chk"=>$personal_property_chk,
                    "trade_fixture"=>$trade_fixture,
                    "trade_fixture1"=>$trade_fixture1,
                    "inclusion_other_fixture"=>$inclusion_other_fixture,
 );
            }

//  echo "POSTED DATA=================<pre>";
//  print_r($_POST);
//  echo "</pre>Created DATA=================<pre>";
//   print_r($data); 
          //  similar_text("", "", $sim);
         //exit;
            $submitted = $this->client_model->saveagreement($data);
           // exit;
            if($insert_id){
                $this->session->set_flashdata('msg','Agreement saved successfully.');
                //$filename = $this->get_agreement_pdf($insert_id);
                //$this->client_model->saveagreement_rel(array('pdf_name'=>$filename,'id'=>$insert_id));
                //redirect('Client/view/'.$client_id);
                redirect('Agreement/get_agreement_details/'.$insert_id.'/'.$contract_id.'/'.$client_id.'#contract_standard');
            }else{
                $this->session->set_flashdata('error','Something went wrong.');
                redirect('Agreement/newagreement/'.$client_id.'/'.$contract_id.'#contract_standard');
            }
        }
    }
    public function all_agreements(){       
        if (!$this->session->userdata('user_id')):
			// redirect them to the login page
			redirect(base_url());
		endif;
		$data = array(
			'session'   => $_SESSION,
			'v' => "all_agreements.twig"
		);
		
		$user_id = $this->session->userdata('user_id');
		$filter_data=array('search_string'=>'');
		$where_clause=[];
		if(isset($_POST['search_string']) || !empty($this->uri->segment(4)))
		{
			if(isset($_POST['search_string']))
			{
				$filter_data['search_string']=$_POST['search_string'];
				$this->session->set_userdata('search_string',$filter_data);	
			}
			if($this->session->userdata('search_string'))
			{
				$filter_data['search_string']=$this->session->userdata('search_string')['search_string'];
			}
			
		}
		else
		{
			$this->session->set_userdata('search_string',$filter_data);	
		}
		if(!empty($filter_data['search_string']))
		{
				$where_clause=$filter_data['search_string'];		
        }
        $where_clause['client_id'] = $this->uri->segment(3); 
		$config = array();
        $config["base_url"] = base_url() . "Agreement/all_agreements/".$this->uri->segment(3);
        $total_row =  $this->client_model->count_client_agreement($user_id,$where_clause);
        $config["total_rows"] = $total_row; 
        $config["per_page"] = 5;
        $config['use_page_numbers'] = TRUE;
        $config['num_links'] = 10;
        $config['cur_tag_open'] = '&nbsp;<a class="current">';
        $config['cur_tag_close'] = '</a>';
        $config['next_link'] = 'Next';
        $config['prev_link'] = 'Previous';
        $config["uri_segment"] = 4;
    
        $this->pagination->initialize($config);
        if($this->uri->segment(4))
        {
            $offset = ($this->uri->segment(4));
        }
        else
        {
            $offset = 1;
        }				
        $data["all_agreement"] = $this->client_model->get_client_agreements($user_id,$where_clause,$config["per_page"], ($offset-1)*$config["per_page"]);
        //print_r($data["all_agreement"]);
        $data["company"] = array();
        $data["seller"] = array();
        $data["contract_list"] = array();
        $data["admin_form"] = array();
        foreach($data["all_agreement"] as $key=>$val){
            $seller = $this->client_model->get_agreement_seller($val->id);
            $company = $this->client_model->get_agreement_companies($val->id);
            $contract_list = $this->client_model->get_agreement_list($val->id);
            // if($val->type == "buy"){
            //     $data['buyer_compensation']= $this->client_model->get_contract_attach_detail("buyer_compensation",array("contract_pid"=>$val->id));
            // }
            // if($val->type == "sell"){
            //     $data['sell_compensation']= $this->client_model->get_contract_attach_detail("sell_compensation",array("contract_pid"=>$val->id));
            //     $data['sell_price_term']= $this->client_model->get_contract_attach_detail("sell_price_term",array("contract_pid"=>$val->id));
            // }
            // if($val->type == "tenant"){
            //     $data['tenant_compensation']= $this->client_model->get_contract_attach_detail("sell_compensation",array("contract_pid"=>$val->id));
            // }
            // if($val->type == "lease"){
            //     $data['lease_compensation']= $this->client_model->get_contract_attach_detail("sell_compensation",array("contract_pid"=>$val->id));
            // }
            $data["admin_form"][]= $this->Admin_login->get_contract_file_version($val->contract_id);
            $data["company"][]= $company;
            $data["seller"][]= $seller;
            $data["contract_list"][]= $contract_list;
        }
        // echo '<pre>';
        // print_r($data);
        $data["pagination"] =$this->pagination->create_links();
        $this->framework->init($data,false);
    }
    public function list_contract(){
        if (!$this->session->userdata('user_id')):
			// redirect them to the login page
			echo json_encode(array("msg"=>"Something went wrong.")); exit;
        endif;
        if(!empty($_POST["client_email"])){
        $user_id = $this->session->userdata('user_id');
        $per_page = 10;
        if(isset($_POST["offset"]))
        {
            $offset = $_POST["offset"];
        }
        else
        {
            $offset = 1;
        }
        $where_clause=[]; 
        $data = array();
        $client_data = $this->client_model->get_client_byemail($_POST["client_email"])->row();
        if($client_data){
        $where_clause['client_id'] = $client_data->client_id; 
        $data["all_agreement"] = $this->client_model->get_client_agreements($user_id,$where_clause,$per_page, ($offset-1)*$per_page);
        //print_r($data["all_agreement"]);
        $data["company"] = array();
        $data["seller"] = array();
        $data["contract_list"] = array();
        $data["admin_form"] = array();
        $data["agreements"] = array();
        foreach($data["all_agreement"] as $key=>$val){
            if(file_exists("/home/egent/egent.uldev.co/assets/".$val->pdf_name))
            $data["agreements"][]= $this->client_model->get_client_agreement($val->id);
        }
        foreach($data["all_agreement"] as $key=>$val){
            // $seller = $this->client_model->get_agreement_seller($val->id);
            // $company = $this->client_model->get_agreement_companies($val->id);
            // $contract_list = $this->client_model->get_agreement_list($val->id);
            $data["admin_form"][]= $this->Admin_login->get_contract_file_version($val->contract_id);
            // $data["company"][]= $company;
            // $data["seller"][]= $seller;
            // $data["contract_list"][]= $contract_list;
        }
        echo json_encode($data);
    }else{
        echo json_encode(array("msg"=>"Client email is not valid")); exit;
    }
    }else{
        echo json_encode(array("msg"=>"Client email is empty")); exit;
    }
    }

    public function get_agreement($id=null){
        if (!$this->session->userdata('id')):
			// redirect them to the login page
			redirect(base_url(''));
        endif;
        if(!empty($id)){
          $agreement =  $this->client_model->get_client_agreement($id);
        }
        $this->load->view('agreement');
    }
    public function get_agreement_details_json($id=null){
        // instantiate and use the dompdf class
        if (!$this->session->userdata('user_id')):
			// redirect them to the login page
			redirect(base_url('Admin'));
        endif;
        if(isset($_POST['id'])){
$id=$_POST['id'];
        }
        $data = array();
        if(!empty($id)){
          $data['agreement'] =  $this->client_model->get_client_agreement($id);
          $data['agreement_list'] =  $this->client_model->get_agreement_list($id);
          if(!empty($data['agreement_list'])){
            $data['agreement_list'] =  $data['agreement_list'];
          }
          
          $data['agreement_parties'] =  $this->client_model->get_agreement_parties($id);
          $data['agreement_seller'] =  $this->client_model->get_agreement_seller($id);
          if(!empty($data['agreement_seller'])){
            $data['agreement_seller'] =  $data['agreement_seller'];
          }
          $data['agreement_companies'] =  $this->client_model->get_agreement_companies($id);
          if(!empty($data['agreement_companies'])){
            $data['agreement_companies'] =  $data['agreement_companies'];
          }
          $data['agreement_deadline'] =  $this->client_model->get_agreement_deadline($id);
          $data['agreement_property'] =  $this->client_model->get_agreement_property($id);
          $data['agreement_inclusion'] =  $this->client_model->get_agreement_inclusion($id);
          if(!empty($data['agreement_inclusion'])){
            $data['agreement_inclusion'] =  $data['agreement_inclusion'];
          }
        }
        echo json_encode($data); exit;
    }
    public function get_agreement_details($id=null){
        // instantiate and use the dompdf class
        if (!$this->session->userdata('user_id')):
			// redirect them to the login page
			redirect(base_url('Admin'));
        endif;
        //Get agreement id
        $contractid = $this->uri->segment(4);
        //Get client data
        $client_id = $this->uri->segment(5);
        $id = $this->uri->segment(3);
        $clients = $this->client_model->get_client($client_id);
        //Get agent data
        $agent = $this->client_model->get_agent_client($this->session->userdata('user_id'));
        // Get new agreements from Admin with contract id
        $agreement = $this->client_model->get_agreement($contractid);
        $data = array();

        //print_r($data); exit;
        $pdf_html =$this->load->view('agreement', $data, TRUE);
        // if($this->uri->segment(2)=='get_agreement_details'){
        //     //$this->load->view('agreement', $data);
            
        // }
        $contract_doc = $agreement->contract_file;
        $contract_doc = str_replace("{{ client.company }}", $clients->company, $contract_doc);
        $contract_doc = str_replace("{{ client.phone }}", $clients->phone, $contract_doc);
        $contract_doc = str_replace("{{ client.email }}", $clients->email, $contract_doc);

        $contract_doc = str_replace("{{ agent.company }}", $agent->company, $contract_doc);
        $contract_doc = str_replace("{{ agent.phone }}", $agent->phone, $contract_doc);
        $contract_doc = str_replace("{{ agent.email }}", $agent->email, $contract_doc);

        $agreement->contract_file = $contract_doc;
        $clause_data = array("user_id"=>$this->session->userdata('user_id'),"client_id"=>$clients->client_id,"contract_id"=>$agreement->contract_id);
        $agreement_flow = $this->agent_model->get_agreement_flow($clause_data);
        $agreement_flow_val = "";
        if($agreement_flow){
            $agreement_flow_val = $agreement_flow->agreement_flow;
        }
        $id = $this->uri->segment(3); 
        $data = array(
            'session' => $_SESSION,
            'v' => "agreement_details.twig",
            'agent' => $agent,
            'agreement_form' => $agreement,
            'agreement_id' => $id,
            'client' => $clients,
            'agreement_flow'=>$agreement_flow_val,
            'agreement_pdf'=>''
        );

            if(!empty($id)){
                $data['agreement'] =  $this->client_model->get_client_agreement($id);
                if(!empty($data['agreement'][0]->pdf_name)){
                    $data['agreement_pdf']= "/assets/contract_pdf/".$data['agreement'][0]->pdf_name;
                }
                
                $data['agreement_list'] =  $this->client_model->get_agreement_list($id);
                if(!empty($data['agreement_list'])){
                  $data['agreement_list'] =  $data['agreement_list'];
                }
                
                $data['agreement_parties'] =  $this->client_model->get_agreement_parties($id);
                $data['agreement_seller'] =  $this->client_model->get_agreement_seller($id);
                if(!empty($data['agreement_seller'])){
                  $data['agreement_seller'] =  $data['agreement_seller'];
                }
                $data['agreement_companies'] =  $this->client_model->get_agreement_companies($id);
                if(!empty($data['agreement_companies'])){
                  $data['agreement_companies'] =  $data['agreement_companies'];
                }
                $data['agreement_deadline'] =  $this->client_model->get_agreement_deadline($id);
                $data['agreement_inclusion'] =  $this->client_model->get_agreement_inclusion($id);
                if(!empty($data['agreement_inclusion'])){
                  $data['agreement_inclusion'] =  $data['agreement_inclusion'];
                }
                $data["recipient"] =$this->Message_model->get_contract_recipient($id);
              }
              if(empty($this->client_model->check_agreement_info($id))){
                $data["agreement"] = "";
            }
              //print_r($data); exit;
        $this->framework->init($data, false);
    }
    public function get_agreement_pdf($id){
        // instantiate and use the dompdf class
        if (!$this->session->userdata('user_id')):
			// redirect them to the login page
			redirect(base_url('Admin'));
        endif;
        $data = array();
        if(!empty($id)){
          $data['agreement'] =  $this->client_model->get_client_agreement($id);
          $data['agreement_list'] =  $this->client_model->get_agreement_list($id);
          if(!empty($data['agreement_list'])){
            $data['agreement_list'] =  $data['agreement_list'];
          }
          
          $data['agreement_parties'] =  $this->client_model->get_agreement_parties($id);
          $data['agreement_seller'] =  $this->client_model->get_agreement_seller($id);
          if(!empty($data['agreement_seller'])){
            $data['agreement_seller'] =  $data['agreement_seller'];
          }
          $data['agreement_companies'] =  $this->client_model->get_agreement_companies($id);
          if(!empty($data['agreement_companies'])){
            $data['agreement_companies'] =  $data['agreement_companies'];
          }
          $data['agreement_deadline'] =  $this->client_model->get_agreement_deadline($id);
          $data['agreement_property'] =  $this->client_model->get_agreement_property($id);
          $data['agreement_inclusion'] =  $this->client_model->get_agreement_inclusion($id);
          if(!empty($data['agreement_inclusion'])){
            $data['agreement_inclusion'] =  $data['agreement_inclusion'];
          }
        }
        
        //print_r($data); exit;
        $pdf_html =$this->load->view('agreement', $data, TRUE);
        //pdfcrowd
        try
{   
    // create an API client instance
    $client = new Pdfcrowd("raviclagtech", "fcba11d416bb695e149e0aa95c387e73");
    $pdf ="";
    // convert a web page and store the generated PDF into a $pdf variable
    // $pdf = $client->convertURI('http://www.google.com/');
    //$pdf = $client->convertURI('http://www.google.com/');
    $pdf = $client->convertHtml($pdf_html);
    // set HTTP response headers
    // header("Content-Type: application/pdf");
    // header("Cache-Control: max-age=0");
    // header("Accept-Ranges: none");
    // header("Content-Disposition: attachment; filename=\"google_com.pdf\"");

    // send the generated PDF 
    //echo $pdf;
}
catch(PdfcrowdException $why)
{
    echo "Pdfcrowd Error: " . $why;
}
        //end pdfcrowd
        //print_r( $pdf_html); exit;
        $dompdf = new Dompdf();
        $dompdf->loadHtml($pdf_html);
        // (Optional) Setup the paper size and orientation
        $dompdf->setPaper('A4', 'portrait');
        // Render the HTML as PDF
        $dompdf->render();
        // Output the generated PDF to Browser
        //$dompdf->stream();
        $output = $dompdf->output();
        $this->load->helper('string');
        $filename = random_string('alnum', 16);
file_put_contents(FCPATH.'assets/contract_pdf/'.$filename.'-'.$data['agreement'][0]->contract_id.'.pdf', $pdf);
return $filename.'-'.$data['agreement'][0]->contract_id.'.pdf';
    }
    public function testPandaAuth(){
        $client_id = '396b0a09962299615e2f';
        $client_secret = '2c686086130c14445120a3f387392e58333b821b';
        $redirect_uri ='https://egent.uldev.co/Agreement/testPandaAuth';
        if(isset($_GET['code']) && !empty($_GET['code'])){
             $this->session->set_userdata('panda_code',$_GET['code']);
             $ch = curl_init();
             //$authorization = "Authorization: Bearer ".$this->session->userdata('panda_code');
             $header = 'cache-control: no-cache'.'\r\n';
             $header .="Content-Type: application/x-www-form-urlencoded";
             $data =array('grant_type'=>'authorization_code',
             'client_id'=>$client_id,
             'client_secret'=>$client_secret,
             'code'=>$this->session->userdata('panda_code'),
             'scope'=>'read+write',
             'redirect_uri'=>$redirect_uri
        );
                $url_data = http_build_query($data);
                //$header .= "Content-Length: " . strlen($url_data);
             curl_setopt($ch, CURLOPT_HTTPHEADER, array( $header ));             
             curl_setopt($ch, CURLOPT_URL, 'https://api.pandadoc.com/oauth2/access_token'); 
             curl_setopt($ch, CURLOPT_POST, 1);
             curl_setopt($ch, CURLOPT_POSTFIELDS, $url_data);
            // $ch=$this->buildMultiPartRequest($ch, $boundary, $data, $files);
             curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
             $curl_response = curl_exec($ch);
             $response_ar= json_decode($curl_response);
             $this->session->set_userdata('panda_bearer',$response_ar->access_token);
              exit;
        }else if($this->session->userdata('panda_bearer')){
            echo $this->session->userdata('panda_bearer');


$rootDir = realpath('/home/egent/egent.uldev.co/public/assets/contract_pdf');
$fullPath = realpath($rootDir . '/SamplePandaDocPdf_FormFields.pdf');

// Note that, on UNIX systems, realpath() will return false if a path
// does not exist, but an absolute non-existing path on Windows.
$file_content='';
if ($fullPath && is_readable($fullPath) && dirname($fullPath) === $rootDir) {
    // OK, the requested file exists and is in the allowed root directory.
    //header('Content-Type: application/pdf');
    // basename() returns just the file name.
    //header('Content-Disposition: attachment; filename=' . basename($fullPath));
    //readfile($fullPath);
    $file_content= basename($fullPath);
} 
    //if(isset($_FILES['file_upl']) && !empty($_FILES['file_upl'])) {
        $ch = curl_init();
        // $filePath = $_FILES['file_upl']['tmp_name'];
        // $fileName = $_FILES['file_upl']['name'];
        $filenames = array('/home/egent/egent.uldev.co/public/assets/contract_pdf/SamplePandaDocPdf_FormFields.pdf');
        $file_path = '/home/egent/egent.uldev.co/public/assets/contract_pdf/form.pdf';
//         $opts = array('http' =>
//     array(
//         'method'  => 'POST',
//         'header'  => "content-type: multipart/form-data; boundary=----WebKitFormBoundary".$boundary,
//         'content' => $postdata
//     )
// );

// $context  = stream_context_create($opts);

//$result = file_get_contents('http://example.com/submit.php', false, $context);
        $file_content=file_get_contents('/home/egent/egent.uldev.co/public/assets/contract_pdf/form.pdf');
        //$file_content="https://egent.uldev.co/assets/contract_pdf/form.pdf";
        //$file_content="/home/egent/egent.uldev.co/public/assets/contract_pdf/form.pdf";
        $files = array(array('content'=>$file_content,'filename'=>$file_path,'name'=>'file'));
        // foreach ($filenames as $f){
        //    $files[$f] = file_get_contents($f);
        // }
        $data = array('name'=>"sample",
   "recipients"=>"tim.quickfix@gmail.com",
    "my_favorite_pet"=> "Panda",
"parse_form_fields"=> false,
    );
    $act_data = array('data'=>'{  
        "name": "forms",
        "recipients": [  
     {  
                "email": "tim.quickfix@gmail.com",
                "first_name": "TIM",
                "last_name": "TIM",
                "role": "user"
            }
        ],
        "fields": {  
            "name": {  
                "value": "TIM",
                "role": "user"
            },
            "like": {  
                "value": true,
                "role": "user"
            }
        },
        "metadata": {
            "salesforce.opportunity_id": "123456",
            "my_favorite_pet": "Panda"
        },
        "parse_form_fields": false
    }');
    $act_json='{  
        "name": "forms",
        "recipients": [  
     {  
                "email": "tim.quickfix@gmail.com",
                "first_name": "TIM",
                "last_name": "TIM",
                "role": "user"
            }
        ],
        "fields": {  
            "name": {  
                "value": "TIM",
                "role": "user"
            },
            "like": {  
                "value": true,
                "role": "user"
            }
        },
        "metadata": {
            "salesforce.opportunity_id": "123456",
            "my_favorite_pet": "Panda"
        },
        "parse_form_fields": false
    }';
    $url_data = http_build_query($data);
        $boundary = uniqid();
        $delimiter = '------WebKitFormBoundary' . $boundary;
        
        $post_data = $this->build_data_files($boundary, $act_data, $files);
        //$post_data = array("data"=>$act_json,"file"=>"@$file_path");
        //print_r($post_data);
        //print_r("------WebKitFormBoundary".$boundary."\r\nContent-Disposition: form-data; name=\"file\"; filename=\"https://egent.uldev.co/assets/contract_pdf/form.pdf\"\r\nContent-Type: application/pdf\r\n\r\n\r\n------WebKitFormBoundary".$boundary."\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{  \n    \"name\": \"Sample Document from PDF with Field Tags\",\n    \"recipients\": [  \n        {  \n            \"email\": \"tim.quickfix@gmai.com\",\n            \"first_name\": \"Jane\",\n            \"last_name\": \"Roe\",\n            \"role\": \"user\"\n        }\n    ],\n    \"fields\": {  \n        \"name\": {  \n            \"value\": \"Jane\",\n            \"role\": \"user\"\n        },\n        \"like\": {  \n            \"value\": true,\n            \"role\": \"user\"\n        }\n    },\n    \"metadata\": {\n        \"salesforce.opportunity_id\": \"123456\",\n        \"my_favorite_pet\": \"Panda\"\n    },\n    \"parse_form_fields\": false\n}\r\n------WebKitFormBoundary".$boundary."--");
        $authorization = "'Authorization: Bearer ".$this->session->userdata('panda_bearer')."'";
        $panda_bearer = $this->session->userdata('panda_bearer');
        $authorization = "Authorization: Bearer ".$this->session->userdata('panda_bearer');
        $header = 'cache-control: no-cache'.'\r\n';
        $header .="Content-Type: multipart/form-data; boundary=" . $delimiter;
        $con_length =0;
        if(is_array($post_data)){
            foreach($post_data as $key=>$val){
                $con_length += strlen($val);
            }
        }
        $header .= "'Content-Length: " . $con_length."'";
        // curl_setopt($ch, CURLOPT_HTTPHEADER, array( $header, $authorization ));             
        // curl_setopt($ch, CURLOPT_URL, 'https://api.pandadoc.com/public/v1/documents');        
        // curl_setopt($ch, CURLOPT_POST, 1);
        // curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        // curl_setopt($ch, CURLOPT_ENCODING, "");
        // curl_setopt($ch, CURLOPT_MAXREDIRS, 10);
        // curl_setopt($ch, CURLOPT_MAXREDIRS, 30);
        // curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
        // curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt_array($ch, array( CURLOPT_URL => "https://api.pandadoc.com/public/v1/documents", 
        CURLOPT_RETURNTRANSFER => true, 
        //CURLOPT_ENCODING => "", 
        //CURLOPT_MAXREDIRS => 10, 
        //CURLOPT_TIMEOUT => 30,
         //CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
          CURLOPT_CUSTOMREQUEST => "POST",
          CURLOPT_POSTFIELDS => $post_data,
        //CURLOPT_POSTFIELDS => "------WebKitFormBoundary".$boundary."\r\nContent-Disposition: form-data; name=\"file\"; filename=\"https://egent.uldev.co/assets/contract_pdf/SamplePandaDocPdf_FieldTags.pdf\"\r\nContent-Type: application/pdf\r\n\r\n\r\n------WebKitFormBoundary".$boundary."\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{  \n    \"name\": \"Sample Document from PDF with Field Tags\",\n    \"recipients\": [  \n        {  \n            \"email\": \"tim.quickfix@gmai.com\",\n            \"first_name\": \"Jane\",\n            \"last_name\": \"Roe\",\n            \"role\": \"user\"\n        }\n    ],\n    \"fields\": {  \n        \"name\": {  \n            \"value\": \"Jane\",\n            \"role\": \"user\"\n        },\n        \"like\": {  \n            \"value\": true,\n            \"role\": \"user\"\n        }\n    },\n    \"metadata\": {\n        \"salesforce.opportunity_id\": \"123456\",\n        \"my_favorite_pet\": \"Panda\"\n    },\n    \"parse_form_fields\": false\n}\r\n------WebKitFormBoundary".$boundary."--",
           CURLOPT_HTTPHEADER => array( "Authorization: Bearer 5e7c8f0b6856ac7a767ead0c7cdcccd2aaab9dff", "Cache-Control: no-cache", "content-type: multipart/form-data; boundary=----WebKitFormBoundary".$boundary ), ));
           //CURLOPT_HTTPHEADER => array( "Authorization: Bearer 5e7c8f0b6856ac7a767ead0c7cdcccd2aaab9dff", "Cache-Control: no-cache" ), ));
           $response = curl_exec($ch);
          $err = curl_error($ch);

curl_close($ch);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
    //}
        }else{
           
            $ch = curl_init();
            //curl_setopt($ch, CURLOPT_HTTPHEADER, array( $header, $authorization ));             
            curl_setopt($ch, CURLOPT_URL, 'https://app.pandadoc.com/oauth2/authorize?client_id='.$client_id.'&redirect_uri='.$redirect_uri.'&scope=read+write&response_type=code
            ');    
            header('Location:'.'https://app.pandadoc.com/oauth2/authorize?client_id='.$client_id.'&redirect_uri='.$redirect_uri.'&scope=read+write&response_type=code');    
            // curl_setopt($ch, CURLOPT_SAFE_UPLOAD, false); // required as of PHP 5.6.0
            // curl_setopt($ch, CURLOPT_POST, 1);
            // curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
           // $ch=$this->buildMultiPartRequest($ch, $boundary, $data, $files);
            //curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            $curl_response = curl_exec($ch);
            print_r($curl_response); 
            curl_close($ch);
        }
        $this->load->view('panda');
    }
public function pandaDocSubmit(){
    define('MULTIPART_BOUNDARY', '--------------------------'.microtime(true));
    $header = 'Content-Type: multipart/form-data; boundary='.MULTIPART_BOUNDARY;
    define('FORM_FIELD', 'file'); 
    $act_json='{  
    "name": "forms",
    "recipients": [  
 {  
            "email": "tim.quickfix@gmail.com",
            "first_name": "TIM",
            "last_name": "TIM",
            "role": "user"
        }
    ],
    "fields": {  
        "name": {  
            "value": "TIM",
            "role": "user"
        },
        "like": {  
            "value": true,
            "role": "user"
        }
    },
    "metadata": {
        "salesforce.opportunity_id": "123456",
        "my_favorite_pet": "Panda"
    },
    "parse_form_fields": false
}';
    $filename = "/home/egent/egent.uldev.co/public/assets/contract_pdf/SamplePandaDocPdf_FieldTags.pdf";
$file_contents = file_get_contents($filename);    

$content =  "--".MULTIPART_BOUNDARY."\r\n".
            "Content-Disposition: form-data; name=\"".FORM_FIELD."\"; filename=\"".basename($filename)."\"\r\n".
            "Content-Type: application/pdf\r\n\r\n".
            $file_contents."\r\n";

// add some POST fields to the request too: $_POST['foo'] = 'bar'
$content .= "--".MULTIPART_BOUNDARY."\r\n".
            "Content-Disposition: form-data; name=\"data\"\r\n\r\n{  \n    \"name\": \"Sample Document from PDF with Field Tags\",\n    \"recipients\": [  \n        {  \n            \"email\": \"tim.quickfix@gmai.com\",\n            \"first_name\": \"Jane\",\n            \"last_name\": \"Roe\",\n            \"role\": \"user\"\n        }\n    ],\n    \"fields\": {  \n        \"name\": {  \n            \"value\": \"Jane\",\n            \"role\": \"user\"\n        },\n        \"like\": {  \n            \"value\": true,\n            \"role\": \"user\"\n        }\n    },\n    \"metadata\": {\n        \"salesforce.opportunity_id\": \"123456\",\n        \"my_favorite_pet\": \"Panda\"\n    },\n    \"parse_form_fields\": false\n}\r\n";

// signal end of request (note the trailing "--")
$content .= "--".MULTIPART_BOUNDARY."--\r\n";

$authorization = "Authorization: Bearer 5e7c8f0b6856ac7a767ead0c7cdcccd2aaab9dff";
$catch_cnt = "cache-control: no-cache"."\r\n";
$header ="Content-Type: multipart/form-data; boundary=".MULTIPART_BOUNDARY;
$con_length =0;
$ch = curl_init();
// if(is_array($post_data)){
//     foreach($post_data as $key=>$val){
//         $con_length += strlen($val);
//     }
// }
//$header .= "'Content-Length: " . $con_length."'";
curl_setopt($ch, CURLOPT_HTTPHEADER, array($authorization, $catch_cnt, $header));             
curl_setopt($ch, CURLOPT_URL, 'https://api.pandadoc.com/public/v1/documents');        
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_ENCODING, "");
curl_setopt($ch, CURLOPT_POSTFIELDS, $content);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
// curl_setopt_array($ch, array( CURLOPT_URL => "https://api.pandadoc.com/public/v1/documents", 
// CURLOPT_RETURNTRANSFER => true, 
//CURLOPT_ENCODING => "", 
//CURLOPT_MAXREDIRS => 10, 
//CURLOPT_TIMEOUT => 30,
 //CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
//   CURLOPT_CUSTOMREQUEST => "POST",
//   CURLOPT_POSTFIELDS => $post_data,
//CURLOPT_POSTFIELDS => "------WebKitFormBoundary".$boundary."\r\nContent-Disposition: form-data; name=\"file\"; filename=\"https://egent.uldev.co/assets/contract_pdf/SamplePandaDocPdf_FieldTags.pdf\"\r\nContent-Type: application/pdf\r\n\r\n\r\n------WebKitFormBoundary".$boundary."\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{  \n    \"name\": \"Sample Document from PDF with Field Tags\",\n    \"recipients\": [  \n        {  \n            \"email\": \"tim.quickfix@gmai.com\",\n            \"first_name\": \"Jane\",\n            \"last_name\": \"Roe\",\n            \"role\": \"user\"\n        }\n    ],\n    \"fields\": {  \n        \"name\": {  \n            \"value\": \"Jane\",\n            \"role\": \"user\"\n        },\n        \"like\": {  \n            \"value\": true,\n            \"role\": \"user\"\n        }\n    },\n    \"metadata\": {\n        \"salesforce.opportunity_id\": \"123456\",\n        \"my_favorite_pet\": \"Panda\"\n    },\n    \"parse_form_fields\": false\n}\r\n------WebKitFormBoundary".$boundary."--",
//    CURLOPT_HTTPHEADER => array( "Authorization: Bearer 5e7c8f0b6856ac7a767ead0c7cdcccd2aaab9dff", "Cache-Control: no-cache", "content-type: multipart/form-data; boundary=----WebKitFormBoundary".$boundary ), ));
   //CURLOPT_HTTPHEADER => array( "Authorization: Bearer 5e7c8f0b6856ac7a767ead0c7cdcccd2aaab9dff", "Cache-Control: no-cache" ), ));
   $response = curl_exec($ch);
  $err = curl_error($ch);

curl_close($ch);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}


}
function testPandaJson(){    
    $token = $this->session->userdata('panda_bearer');    
    
    $documents = new Documents($token);    
    // List all the documents.
    $data = $documents->list();    
    // Search for a document.
    $filter = [
        'q' => 'Search string here'
    ];    
    $data = $documents->list();    
    print_r($data); 

    // Show document details.
    //$data = $documents->details('documentID');    
    // Show document state.
    //$data = $documents->status('documentID');   
    // Download a document
    //$data = $documents->download('documentID', "destination-path");
    $this->load->view('panda');
}

function build_data_files($boundary, $fields, $files){
    $data = '';
    $eol = "\r\n";

    $delimiter = '------WebKitFormBoundary' . $boundary;

    


    foreach ($files as $name => $content) {
        $data .= $delimiter . $eol
            . 'Content-Disposition: form-data; name="' . $content['name'] . '"; filename="' .basename($content['filename']) . '"' . $eol
            . 'Content-Type: application/pdf'.$eol;
           //. 'Content-Transfer-Encoding: binary'.$eol;

        $data .= $eol;
        $data .= $content['content'] . $eol;
    }
    foreach ($fields as $name => $content) {
        $data .= $delimiter . $eol
            . 'Content-Disposition: form-data; name="' . $name . "\"".$eol.$eol
            . $content . $eol;
    }
    $data .=  "--".$delimiter."--";


    return $data;
}
function buildMultiPartRequest($ch, $boundary, $fields, $files) {
    $delimiter = '-------------' . $boundary;
    $data = '';
    foreach ($fields as $name => $content) {
        $data .= "--" . $delimiter . "\r\n"
            . 'Content-Disposition: form-data; name="' . $name . "\"\r\n\r\n"
            . $content . "\r\n";
    }
    foreach ($files as $name => $content) {
        $data .= "--" . $delimiter . "\r\n"
            . 'Content-Disposition: form-data; name="' . $name . '"; filename="' . $name . '"' . "\r\n\r\n"
            . $content . "\r\n";
    }
    $data .= "--" . $delimiter . "--\r\n";
    curl_setopt_array($ch, [
        CURLOPT_POST => true,
        CURLOPT_HTTPHEADER => [
            'Authorization: Bearer b0489e263e93db20cdbec0bdd491bb9359acef43',
            'Content-Type: multipart/form-data; boundary=' . $delimiter,
            'Content-Length: ' . strlen($data)
        ],
        CURLOPT_POSTFIELDS => $data
    ]);
    return $ch;
}
function flow_check(){
    if(isset($_POST)){
        $data =array('user_id'=>$this->session->userdata('user_id'),'client_id'=>$_POST['client_id'],'contract_id'=>$_POST['contract_id'],'agreement_flow'=>1);
$res =$this->agent_model->update_client_flow($data);
echo json_encode(array('status'=>'success'));
    }
}

function savePdf(){
     // instantiate and use the dompdf class
     if (!$this->session->userdata('user_id')):
        // redirect them to the login page
       // redirect(base_url());
       echo json_encode(array('msg'=>'Session has been expired.','filename'=>'')); exit;
    endif;
    header("Content-type: application/json");
    if($this->client_model->check_agreement_info($this->uri->segment(3))===FALSE){
        echo json_encode(array('msg'=>'Proper data is not available to create pdf.','filename'=>''));
        exit;
    }
    $data = array();
    //print_r($data); exit;
    $pdf_html =$_POST['htmldom'];
    $pdf ="";
    //pdfcrowd
    try
{   
//create an API client instance
//$client = new Pdfcrowd("raviclagtech", "fcba11d416bb695e149e0aa95c387e73");
$client = new Pdfcrowd("qc11", "0090ec742f24de4245e5a5b0cca8970c");
//convert a web page and store the generated PDF into a $pdf variable
// $pdf = $client->convertURI('http://www.google.com/');
// $pdf = $client->convertURI('http://www.google.com/');
$pdf = $client->convertHtml($pdf_html);
//set HTTP response headers
// header("Content-Type: application/pdf");
// header("Cache-Control: max-age=0");
// header("Accept-Ranges: none");
// header("Content-Disposition: attachment; filename=\"google_com.pdf\"");

//send the generated PDF 
//echo $pdf;
}
catch(PdfcrowdException $why)
{
//echo "Pdfcrowd Error: " . $why;
echo json_encode(array('msg'=>'Something went wrong.','filename'=>'')); exit;
}
// $dompdf = new Dompdf();
// $dompdf->loadHtml($pdf_html);
// // (Optional) Setup the paper size and orientation
// $dompdf->setPaper('A4', 'portrait');
// // Render the HTML as PDF
// $dompdf->render();
// // Output the generated PDF to Browser
// //$dompdf->stream();
// $pdf = $dompdf->output();
if(empty($pdf)){
    echo json_encode(array('msg'=>'Something went wrong.','filename'=>''));
}else{
    $this->load->helper('string');
    $filename = random_string('alnum', 16);
file_put_contents(FCPATH.'assets/contract_pdf/'.$filename.'-'.$this->uri->segment(4).'.pdf', $pdf);
$actual_file = $filename.'-'.$this->uri->segment(4).'.pdf';
$this->client_model->saveagreement_rel(array('id'=>$this->uri->segment(3),'pdf_name'=>$actual_file));
echo json_encode(array('msg'=>'Pdf is generated successfully.','filename'=>$filename.'-'.$this->uri->segment(4).'.pdf'));
exit;
}
}
function comment(){
    // instantiate and use the dompdf class
    if (!$this->session->userdata('user_id')):
       // redirect them to the login page
       redirect(base_url(''));
   endif;
   header("Content-type: application/json");
   $receiver_id ="";
   $sender_id =$this->session->userdata('user_id');
   $contract_id ="";
   $contract_pid ="";
   $comment ="";
   $title="Contract";
   $user_type="";
   if(!empty($this->uri->segment(4))){
    $receiver_id =$this->uri->segment(4);
   }
//    if(!empty($this->uri->segment(4))){
//     $contract_id =$this->uri->segment(4);
//    }
   if(!empty($this->uri->segment(3))){
    $contract_pid =$this->uri->segment(3);
    $contract_id =$this->client_model->get_client_agreement($contract_pid)[0]->contract_id;
   }
   if(!empty($_POST['comment'])){
    $comment =$_POST['comment'];
   }
   if(!empty($_POST['user_type'])){
    $user_type =$_POST['user_type'];
   }
if(!empty($comment)){
    if(!empty($user_type) && !empty($sender_id) && !empty($receiver_id) && !empty($contract_id) && !empty($contract_pid)){
        $set_data = array(
            "sender_id"=>$sender_id,
            "receiver_id"=>$receiver_id,
            "contract_id"=>$contract_id,
            "contract_pid"=>$contract_pid,
            "title"=>$title,
            "message"=>$comment,
            "receiver_type"=>$user_type
        );

        echo json_encode(array("msg"=>"Comment is created successfully.","data"=>$set_data));             
        $this->Message_model->creatMessages($set_data);
    }else{
        echo json_encode(array("msg"=>"Something went wrong."));             
    }
}else{
    echo json_encode(array("msg"=>"Comment field is empty.")); 
}
   
}
/* print the contents of a url */
function print_r_xml($arr,$wrapper = 'data',$cycle = 1)
{
	//useful vars
	$new_line = "\n";
    $output ='';
	//start building content
	if($cycle == 1) { $output = '<?xml version="1.0" encoding="UTF-8" ?>'.$new_line; }
	$output.= $this->tabify($cycle - 1).'<'.$wrapper.'>'.$new_line;
	foreach($arr as $key => $val)
	{
        if($key != 'contract_file'){
		if(!is_array($val))
		{
			$output.= $this->tabify($cycle).'<'.htmlspecialchars($key).'>'.$val.'</'.htmlspecialchars($key).'>'.$new_line;
		}
		else
		{
			$output.= $this->print_r_xml($val,$key,$cycle + 1).$new_line;
        }
    }
	}
	$output.= $this->tabify($cycle - 1).'</'.$wrapper.'>';

	//return the value
	return $output;
}

/* tabify */
function tabify($num_tabs)
{   $return="";
	for($x = 1; $x <= $num_tabs; $x++) { $return.= "\t"; }
	return $return;
}
}
 