<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Contracts extends MX_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->database();
		$this->load->library(array('adminframe','form_validation'));	
		$this->load->model('Admin_login');
        if(!$this->session->userdata('super_admin') && $this->router->fetch_method()!='index' && $this->router->fetch_class()!='Admin')
        {
            redirect('Admin/index');
        }
    }
 
    public function newc()
	{
        $id = time();

		$data = array(
			'session'   => $_SESSION,
            'v' => "newcontract.twig",
            'contractid' => $id,
			'create' => false,
			'contract' => json_encode($this->_contract())
		);
		$this->adminframe->init($data,false);
	}

	public function viewc()
	{
		$contract = $this->uri->segment(3);        
		//get active contracts			
		$result = $this->Admin_login->view_contract($contract);
		
		if($result)
		{
		$data = array(
			'session'   => $_SESSION,
            'v' => "viewcontract.twig",
            'contract' => $result,
			'create' => false
		);
		//print_r($result);
		$this->adminframe->init($data,false);
		}
		else{
			redirect('Dashboard');
		}
	}

	public function savecontract()
	{
		if($_POST)
		{
			// Validate input
			$this->form_validation->set_rules('contractid', 'Contract Id', 'required');
			$this->form_validation->set_rules('contractname', 'Contract Name', 'required');
			//$this->form_validation->set_rules('expirydate', 'Expiry Date', 'required');
			$this->form_validation->set_rules('contract', 'Contract Content', 'required');
			
			//Validation Failed
			if ($this->form_validation->run() == FALSE)
			{	
			// Return to form
			$data = array(
				'session'   => $_SESSION,
            	'v' => "newcontract.twig",
				'create' => true,
				'errors' => $this->form_validation->error_array(),
				
				'contractid' => set_value('contractid'),
				'contractname' => set_value('contractname'),
				'contract_type' => set_value('ctype'),
				'contract' => set_value('contract'),
				'expirydate' => set_value('expirydate'),
				'creationdate' => set_value('creationdate')
			);
			// $this->framework->init($data,false);
			$this->adminframe->init($data,false);
			}
			else{
				
				// $var = $_POST['expirydate'];
				// $date = str_replace('/', '-', $var);
				// $det =  date('Y-m-d', strtotime($date));			
				// $dat =  date('Y/m/d', strtotime($det));
				
				$data = array('contract_id' => $_POST['contractid'],
				'contractname' => $_POST['contractname'],
				'contract_type' => $_POST['ctype'],
				'contract_file' => $_POST['contract'],
				'creation_date' => strtotime("now"),
				'expiry_date' => strtotime("now")
				);
                 print_r($data); exit;
					$result = $this->Admin_login->insert_contract($data);
							
					$this->session->set_flashdata('msg', 'New contract has been added successfully.');
					redirect('Dashboard');
			}
		}
	}
	public function savecontract_ajax()
	{
		if($_POST)
		{
			// Validate input
			$this->form_validation->set_rules('contractid', 'Contract Id', 'required');
			$this->form_validation->set_rules('contractname', 'Contract Name', 'required');
			//$this->form_validation->set_rules('expirydate', 'Expiry Date', 'required');
			$this->form_validation->set_rules('contract', 'Contract Content', 'required');
			$this->form_validation->set_rules('ctype', 'Contract Type', 'required');

			//Validation Failed
			if ($this->form_validation->run() == FALSE)
			{	
			// Return to form
			$data = array(
				'session'   => $_SESSION,
            	'v' => "newcontract.twig",
				'create' => 0,
				'errors' => $this->form_validation->error_array(),
				
				'contractid' => set_value('contractid'),
				'contractname' => set_value('contractname'),
				'contract_type' => set_value('ctype'),
				'contract' => set_value('contract'),
				'expirydate' => set_value('expirydate'),
				'creationdate' => set_value('creationdate')
			);
			// $this->framework->init($data,false);
			//$this->adminframe->init($data,false);
			echo json_encode($data); exit;
			}
			else{
				if(empty($this->Admin_login->view_contract($this->input->post('contractid')))){
				// $var = $_POST['expirydate'];
				// $date = str_replace('/', '-', $var);
				// $det =  date('Y-m-d', strtotime($date));			
				// $dat =  date('Y/m/d', strtotime($det));
				
				$data = array('contract_id' => $_POST['contractid'],
				'contractname' => $_POST['contractname'],
				'contract_type' => $_POST['ctype'],
				'contract_file' => $_POST['contract'],
				'creation_date' => strtotime("now"),
				'expiry_date' => strtotime("now")
				);
				
                // print_r($data); exit;
					$result = $this->Admin_login->insert_contract($data);
					$data = array(
						'create' => 1,
						'contract_json'=>$_POST['contract']
					);
					echo json_encode($data); exit;
			}else{
				// $var = $_POST['expirydate'];
				// $var_ar = explode('/',$var);
				// $date = str_replace('/', '-', $var);
				// $det =  date('Y-m-d', strtotime($date));			
				// $dat =  date('Y/m/d', strtotime($var_ar[2].'/'.$var_ar[0].'/'.$var_ar[1]));

				$data = array(
				'contractname' => $_POST['contractname'],
				'contract_type' => $_POST['ctype'],
				'contract_file' => $_POST['contract'],
				'creation_date' => strtotime("now"),
				'expiry_date' => strtotime("now")
				);				
                // print_r($data); exit;
					$result = $this->Admin_login->update_contract($data, $this->input->post('contractid'));
				$data = array('create'=>2,'contract_json'=>$_POST['contract']);
				echo json_encode($data); exit;
			}
					//$this->session->set_flashdata('msg', 'New contract has been added successfully.');
					//redirect('Dashboard');
			}
		}
	}

	public function updatecontract()
	{
		$cid = $this->uri->segment(3);

		if($_POST)
		{
			// Validate input
			$this->form_validation->set_rules('contractid', 'Contract Id', 'required');
			$this->form_validation->set_rules('contractname', 'Contract Name', 'required');
			$this->form_validation->set_rules('expirydate', 'Expiry Date', 'required');
			$this->form_validation->set_rules('contract', 'Contract Content', 'required');
			
			//Validation Failed
			if ($this->form_validation->run() == FALSE)
			{	
				redirect('Contracts/viewc');
			}
			else{
				
				// $var = $_POST['expirydate'];
				// $date = str_replace('/', '-', $var);
				// $det =  date('Y-m-d', strtotime($date));			
				// $dat =  date('Y/m/d', strtotime($det));
				
				$data = array(
				'contractname' => $_POST['contractname'],
				'contract_type' => $_POST['ctype'],
				'contract_file' => $_POST['contract'],				
				'expiry_date' => strtotime("now")
				);		

					$result = $this->Admin_login->update_contract($data,$cid);
							
					$this->session->set_flashdata('msg', 'Contract has been updated successfully.');
					redirect('Dashboard');
			}
		}
	}


	// Contracts De-activated or blocked
	public function deactivate($contractid = '') 
	{
	    		
		//Get contract id
		$contractid = $this->uri->segment(3); 
			
	   if($contractid != '')
	   {      	     
	   $data = array(
				   'active' => 0
				   );
		//contract de-activated and blocked	   
	   $result = $this->Admin_login->contract_active($contractid,$data);

	   $this->session->set_flashdata('msg', 'Contract has been de-activated successfully.');
			
	   redirect('Dashboard');
	   }
	   else
	   {
		   redirect('Dashboard');
	   }
	}
	
	// Contracts activated 
	public function activate($contractid = '') 
	{
	    		
		//Get contract id
		$contractid = $this->uri->segment(3); 
			
	   if($contractid != '')
	   {      	     
	   $data = array(
				   'active' => 1
				   );
		//contract de-activated and blocked	   
	   $result = $this->Admin_login->contract_active($contractid,$data);

	   $this->session->set_flashdata('msg', 'Contract has been activated successfully.');
			
	   redirect('Dashboard');
	   }
	   else
	   {
		   redirect('Dashboard');
	   }
    }
   
	// Contract Blocked
	public function deleted($contractid = '') 
	{
	   	
		//Get contract id
		$contractid = $this->uri->segment(3); 
			
	   if($contractid != '')
	   {      	     
	   $data = array(
		   			'is_deleted' => 1
				   );
		//contract de-activated and blocked	   
	   $result = $this->Admin_login->contract_active($contractid,$data);

	   $this->session->set_flashdata('msg', 'Contract has been deleted successfully.');
		
	   redirect('Dashboard');

	   }
	   else
	   {
		   redirect('Dashboard');
	   }
	}
public function get_formjson(){
$row_data=$this->Admin_login->view_contract($this->input->post('contractid'));
	if(!empty($row_data)){
		echo $row_data->contract_file; exit;
	}

}

	public function _contract()
	{
		$contract = [
			'current' => [],
			'header' => [
				'blocks' => [
					[
						'type' => 'paragraph',
						'subtype' => 'p',
						'className' => 't-center',
						'label' => 'The printed portions of this form, except differentiated additions, have been approved by the Colorado Real Estate Commission. (BC60-8-13) (Mandatory 1-14)'
					],
					[
						'type' => 'paragraph',
						'subtype' => 'p',
						'className' => 't-center t-uppercase w-bold',
						'label' => 'THIS IS A BINDING CONTRACT. THIS FORM HAS IMPORTANT LEGAL CONSEQUENCES AND THE PARTIES SHOULD CONSULT LEGAL AND TAX OR OTHER COUNSEL BEFORE SIGNING.'
					],
					[
						'type' => 'paragraph',
						'subtype' => 'p',
						'className' => 't-center w-bold',
						'label' => 'Compensation charged by brokerage firms is not set by law. Such charges are established by each real estate brokerage firm.'
					],
					[
						'type' => 'paragraph',
						'className' => 't-center t-uppercase w-bold',
						'label' => 'DIFFERENT BROKERAGE RELATIONSHIPS ARE AVAILABLE WHICH INCLUDE BUYER AGENCY, SELLER AGENCY OR TRANSACTION-BROKERAGE.'
					],
					[
						'type' => 'header',
						'subtype' => 'h3',
						'className' => 't-center t-uppercase w-bold title',
						'label' => 'EXCLUSIVE RIGHT-TO-BUY LISTING CONTRACT'
					],
					[
						'type' => 'radio-group',
						'label'=> 'Relationship',
						'className' => 't-center',
						'name' => 'relationship',
						'options' => [
								[
									'value' => 'buyer',
									'label' => 'Buyer Agency'
								],
								[
									'value' => 'broker',
									'label' => 'Transaction Brokerage'
								]						
						]
					],
					[
						'type' => 'date',
						'className' => 't-right',						
						'name' => 'contract_date',
						'label' => 'Date'
						
					]
				]
			],
			'sections' => [
				[
					'title' => 'Agreement',
					'help' => 'Lorem Ipsum',
					'blocks' => [
						[
							'type' => 'paragraph',
							'className' => '',
							'label' => 'Buyer and Brokerage Firm enter into this exclusive, irrevocable contract (Buyer Listing Contract) and agree to its provisions. Broker, on behalf of Brokerage Firm, agrees to provide brokerage services to Buyer. Brokerage Firm will receive compensation as set forth in this Buyer Listing Contract.'
						],
					]
				],
				[
					'title' => 'Broker and Brokerage Firm',
					'sections' => [
						[
							'title' => 'Multiple-Person Firm',
							'classes' => '',
							'blocks' => [
								[
									'type' => 'field',
									'classes' => '',
									'field' => [
										'type' => 'radio',
										'name' => 'firm',
										'options' => [
											[
												'value' => 'multiple',
												'label' => ''
											]
										]
									]
								],
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'If this box is checked, the individual designated by Brokerage Firm to serve as the broker of Buyer and to perform the services for Buyer required by this Buyer Listing Contract is called Broker. If more than one individual is so designated, then references in this Buyer Listing Contract to Broker includes all persons so designated, including substitute or additional brokers. The brokerage relationship exists only with Broker and does not extend to the employing broker, Brokerage Firm or to any other brokers employed or engaged by Brokerage Firm who are not so designated.'
								]
							]
						],
						[
							'title' => 'One-Person Firm',
							'classes' => '',
							'blocks' => [
								[
									'type' => 'field',
									'classes' => '',
									'field' => [
										'type' => 'radio',
										'name' => 'firm',
										'options' => [
											[
												'value' => 'one-person',
												'label' => ''
											]
										]
									]
								],
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'If this box is checked, Broker is a real estate brokerage firm with only one licensed natural person. References in this Buyer Listing Contract to Broker or Brokerage Firm mean both the licensed natural person and brokerage firm, who serve as the broker of Buyer and perform the services for Buyer required by this Buyer Listing Contract.'
								]
							]
						]
					]
				],
				[
					'title' => 'Defined Terms',
					'sections' => [
						[
							'title' => 'Buyer',
							'blocks' => [
								[
									'type' => 'field',
									'classes' => '',
									'field' => [
										'type' => 'text',
										'classes' => '',
										'name' => 'term_buyer',
										'label' => 'Buyer'
									]
								],
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'and any other person or entity on whose behalf the named party acts, directly or indirectly, to Purchase the Property.'
								]
							]
						],
						[
							'title' => 'Brokerage Firm',
							'blocks' => [
								[
									'type' => 'field',
									'classes' => '',
									'field' => [
										'type' => 'text',
										'classes' => '',
										'name' => 'term_firm',
										'label' => 'Brokerage Firm'
									]
								]
							]
						],
						[
							'title' => 'Broker',
							'blocks' => [
								[
									'type' => 'field',
									'classes' => '',
									'field' => [
										'type' => 'text',
										'classes' => '',
										'name' => 'term_broker',
										'label' => 'Broker'
									]
								]
							]
						],
						[
							'title' => 'Property',
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Property means real estate which substantially meets the following requirements or similar real estate acceptable to Buyer:'
								],
								[
									'type' => 'field',
									'classes' => '',
									'field' => [
										'type' => 'textarea',
										'classes' => '',
										'name' => 'term_property'
									]
								]
							]
						],
						[
							'title' => 'Purchase; Lease',
							'sections' => [
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'Purchase means the acquisition of any interest in the Property or the creation of the right to acquire any interest in the Property, including a contract or lease. It also includes an agreement to acquire any ownership interest in an entity that owns the Property.'
										]
									]
								],
								[
									'blocks' => [
										[
											'type' => 'field',
											'classes' => '',
											'field' => [
												'type' => 'radio',
												'name' => 'lease',
												'options' => [
													[
														'value' => '1',
														'label' => ''
													]
												]
											]
										],
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'If this box is checked, Buyer authorizes Broker to negotiate a lease of the Property. Lease of the Property or Lease means any agreement between a landlord and the Buyer to create a tenancy or leasehold interest in the Property.'
										]
									]
								]
							]
						],
						[
							'title' => 'Listing Period',
							'blocks' => [
								[
									'type' => 'inline',
									'tag' => 'p',
									'classes' => '',
									'blocks' => [
										[
											'type' => 'content',
											'content' => 'The Listing Period of this Buyer Listing Contract begins on'
										],
										[
											'type' => 'field',
											'classes' => '',
											'field' => [
												'type' => 'date',
												'name' => 'listing_start_date',
												'label' => 'Date',
												'inline' => true
											]
										],
										[
											'type' => 'content',
											'content' => ', and continues through the earlier of (1) completion of the Purchase of the Property or Lease of the Property or (2)'
										],
										[
											'type' => 'field',
											'classes' => '',
											'field' => [
												'type' => 'text',
												'classes' => '',
												'name' => 'listing_end',
												'label' => '',
												'inline' => true
											]
										],
										[
											'type' => 'content',
											'content' => ', and any written extensions (Listing Period). Broker will continue to assist in the completion of any purchase or lease for which compensation is payable to Brokerage Firm under § 7 of this Buyer Listing Contract.'
										]
									]
								]
							]
						],
						[
							'title' => 'Applicability of Terms',
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'A check or similar mark in a box means that such provision is applicable. The abbreviation “N/A” or the word “Deleted” means not applicable. The abbreviation “MEC” (mutual execution of this contract) means the date upon which both parties have signed this Buyer Listing Contract.'
								]
							]
						],
						[
							'title' => 'Day; Computation of Period of Days, Deadline',
							'sections' => [
								[
									'title' => 'Day',
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'As used in this Buyer Listing Contract, the term “day” means the entire day ending at 11:59 p.m., United States Mountain Time (Standard or Daylight Savings as applicable).'
										]
									]
								],
								[
									'title' => 'Computation of Period of Days, Deadline',
									'blocks' => [
										[
											'type' => 'inline',
											'tag' => 'p',
											'classes' => '',
											'blocks' => [
												[
													'type' => 'content',
													'content' => 'In computing a period 53 of days, when the ending date is not specified, the first day is excluded and the last day is included, e.g., three days after MEC. If any deadline falls on a Saturday, Sunday or federal or Colorado state holiday (Holiday), such deadline'
												],
												[
													'type' => 'field',
													'classes' => '',
													'field' => [
														'type' => 'radio',
														'name' => 'deadline',
														'inline' => true,
														'options' => [
															[
																'value' => 'will',
																'label' => 'Will'
															],
															[
																'value' => 'will-not',
																'label' => 'Will Not'
															]
														]
													]
												],
												[
													'type' => 'content',
													'content' => 'be extended to the next day that is not a Saturday, Sunday or Holiday. Should neither box be checked, the deadline will not be extended.'
												]
											]
										]
									]
								]
							]
						]
					]
				],
				[
					'title' => 'Brokerage Relationship',
					'sections' => [
						[
							'blocks' => [
								[
									'type' => 'p',
									'content' => 'If the Buyer Agency box at the top of page 1 is checked, Broker represents Buyer as Buyer’s limited agent (Buyer’s Agent). If the Transaction-Brokerage box at the top of page 1 is checked, Broker acts as a Transaction-Broker.'
								]
							]
						],
						[
							'title' => 'In-Company Transaction – Different Brokers',
							'blocks' => [
								[
									'type' => 'p',
									'content' => 'When the seller and Buyer in a transaction are working with different brokers, those brokers continue to conduct themselves consistent with the brokerage relationships they have established. Buyer acknowledges that Brokerage Firm is allowed to offer and pay compensation to brokers within Brokerage Firm working with a seller.'
								]
							]
						],
						[
							'title' => 'In-Company Transaction – One Broker',
							'blocks' => [
								[
									'type' => 'p',
									'content' => 'If the seller and Buyer are both working with the same Broker, Broker will function as:'
								]
							],
							'sections' => [
								[
									'title' => 'Buyer’s Agent',
									'blocks' => 'If the Buyer Agency box at the top of page 1 is checked, the parties agree the following applies:',
									'sections' => [
										[
											'title' => 'Buyer Agency Only',
											'blocks' => [
												[
													'type' => 'p',
													'content' => 'Unless the box in § 4.3.1.2 (Buyer Agency Unless Brokerage Relationship with Both) is checked, Broker represents Buyer as Buyer’s Agent and must treat the seller as a customer. A customer is a party to a transaction with whom Broker has no brokerage relationship. Broker must disclose to such customer Broker’s relationship with Buyer.'
												]
											]
										],
										[
											'title' => 'Buyer Agency Unless Brokerage Relationship with Both',
											'blocks' => [
												[
													'type' => 'field',
													'classes' => '',
													'field' => [
														'type' => 'radio',
														'name' => 'transaction-broker',
														'options' => [
															[
																'value' => '1',
																'label' => ''
															]
														]
													]
												],
												[
													'type' => 'p',
													'classes' => '',
													'content' => 'If this box is checked, Broker represents Buyer as Buyer’s Agent and must treat the seller as a customer, unless Broker currently has or enters into an agency or Transaction-Brokerage relationship with the seller, in which case Broker must act as a Transaction-Broker.'
												]
											]
										]
									]
								],
								[
									'title' => 'Transaction-Broker',
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'If the Transaction-Brokerage box at the top of page 1 is checked, or in the event neither box is checked, Broker must work with Buyer as a Transaction-Broker. A Transaction-Broker must perform the duties described in § 5 and facilitate purchase transactions without being an advocate or agent for either party. If the seller and Buyer are working with the same broker, Broker must continue to function as a Transaction-Broker.'
										]
									]
								]
							]
						]
					]
				],
				[
					'title' => 'Brokerage Duties',
					'blocks' => [
						[
							'type' => 'p',
							'classes' => '',
							'content' => 'Brokerage Firm, acting through Broker, as either a Transaction-Broker or a Buyer’s Agent, must perform the following Uniform Duties when working with Buyer:'
						]
					],
					'sections' => [
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Broker must exercise reasonable skill and care for Buyer, including but not limited to the following:'
								]
							],
							'sections' => [
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'Performing the terms of any written or oral agreement with Buyer;'
										]
									]
								],
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'Presenting all offers to and from Buyer in a timely manner regardless of whether Buyer is already a party to a contract to Purchase the Property;'
										]
									]
								],
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'Disclosing to Buyer adverse material facts actually known by Broker;'
										]
									]
								],
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'Advising Buyer regarding the transaction and advising Buyer to obtain expert advice as to material matters about which Broker knows but the specifics of which are beyond the expertise of Broker;'
										]
									]
								],
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'Accounting in a timely manner for all money and property received; and'
										]
									]
								],
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'Keeping Buyer fully informed regarding the transaction.'
										]
									]
								]
							]
						],
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Broker must not disclose the following information without the informed consent of Buyer:'
								]
							],
							'sections' => [
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'That Buyer is willing to pay more than the purchase price offered for the Property;'
										]
									]
								],
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'What Buyer’s motivating factors are;'
										]
									]
								],
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'That Buyer will agree to financing terms other than those offered; or'
										]
									]
								],
								[
									'blocks' => [
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'Any material information about Buyer unless disclosure is required by law or failure to disclose such information would constitute fraud or dishonest dealing.'
										]
									]
								]
							]
						],
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Buyer consents to Broker’s disclosure of Buyer’s confidential information to the supervising broker or designee for the purpose of proper supervision, provided such supervising broker or designee does not further disclose such information without consent of Buyer, or use such information to the detriment of Buyer.'
								]
							]
						],
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Broker may show properties in which Buyer is interested to other prospective buyers without breaching any duty or obligation to Buyer. Broker is not prohibited from showing competing buyers the same property and from assisting competing buyers in attempting to purchase a particular property.'
								]
							]
						],
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Broker is not obligated to seek other properties while Buyer is already a party to a contract to purchase property.'
								]
							]
						],
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Broker has no duty to conduct an independent inspection of the Property for the benefit of Buyer and has no duty to independently verify the accuracy or completeness of statements made by a seller or independent inspectors. Broker has no duty to conduct an independent investigation of Buyer’s financial condition or to verify the accuracy or completeness of any statement made by Buyer.'
								]
							]
						],
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Broker must disclose to any prospective seller all adverse material facts actually known by Broker, including but not limited to adverse material facts concerning Buyer’s financial ability to perform the terms of the transaction and whether Buyer intends to occupy the Property as a principal residence.'
								]
							]
						],
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Buyer understands that Buyer is not liable for Broker’s acts or omissions that have not been approved, directed or ratified by Buyer.'
								]
							]
						]
					]
				],
				[
					'title' => 'Additional Duties of Buyer\'s Agent',
					'blocks' => [
						[
							'type' => 'p',
							'classes' => '',
							'content' => 'If the Buyer Agency box at the top of page 1 is checked, Broker is Buyer’s Agent, with the following additional duties:'
						]
					],
					'sections' => [
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Promoting the interests of Buyer with the utmost good faith, loyalty and fidelity;'
								]
							]
						],
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Seeking a price and terms that are acceptable to Buyer; and'
								]
							]
						],
						[
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Counseling Buyer as to any material benefits or risks of a transaction that are actually known by Broker.'
								]
							]
						]
					]
				],
				[
					'title' => 'Compensation to Brokerage Firm',
					'blocks' => [
						[
							'type' => 'p',
							'classes' => '',
							'content' => 'In consideration of the services to be performed by Broker, Brokerage Firm will be paid as set forth in this section, with no discount or allowance for any efforts made by Buyer or any other person. Brokerage Firm is entitled to receive additional compensation, bonuses, and incentives paid by listing brokerage firm or seller. Broker will inform Buyer of the fee to be paid to Brokerage Firm and, if there is a written agreement, Broker will supply a copy to Buyer, upon written request of Buyer.'
						]
					],
					'sections' => [
						[
							'title' => 'Brokerage Firm’s Fee - Purchase',
							'blocks' => [
								[
									'type' => 'p',
									'classes' => '',
									'content' => 'Check Compensation Arrangement:'
								]
							],
							'sections' => [
								[
									'title' => 'Success Fee',
									'blocks' => [
										[
											'type' => 'field',
											'classes' => '',
											'field' => [
												'type' => 'radio',
												'name' => 'fee-success',
												'options' => [
													[
														'value' => '1',
														'label' => ''
													]
												]
											]
										],
										[
											'type' => 'p',
											'classes' => '',
											'content' => 'If the Transaction-Brokerage box at the top of page 1 is checked, or in the event neither box is checked, Broker must work with Buyer as a Transaction-Broker. A Transaction-Broker must perform the duties described in § 5 and facilitate purchase transactions without being an advocate or agent for either party. If the seller and Buyer are working with the same broker, Broker must continue to function as a Transaction-Broker.'
										]
									],
									'sections' => [
										[
											'title' => 'Amount',
											'blocks' => [
												[
													'type' => 'inline',
													'tag' => 'p',
													'classes' => '',
													'blocks' => [
														[
															'type' => 'content',
															'content' => 'A fee equal to'
														],
														[
															'type' => 'field',
															'classes' => '',
															'field' => [
																'type' => 'text',
																'classes' => '',
																'name' => 'success-fee-percent',
																'label' => '',
																'inline' => true
															]
														],
														[
															'type' => 'content',
															'content' => '% of the purchase price, but not less than $'
														],
														[
															'type' => 'field',
															'classes' => '',
															'field' => [
																'type' => 'text',
																'classes' => '',
																'name' => 'success-fee-minimum',
																'label' => '',
																'inline' => true
															]
														],
														[
															'type' => 'content',
															'content' => ', except as provided in § 7.1.1.2.'
														]
													]
												]
											]
										],
										[
											'title' => 'Adjusted Amount',
											'blocks' => [
												[
													'type' => 'inline',
													'tag' => 'p',
													'classes' => '',
													'blocks' => [
														[
															'type' => 'field',
															'classes' => 'd-inline-block',
															'field' => [
																'type' => 'radio',
																'name' => 'fee-success-adjusted',
																'options' => [
																	[
																		'value' => '1',
																		'label' => ''
																	]
																]
															]
														],
														[
															'type' => 'content',
															'content' => 'See § 19 (Additional Provisions) or'
														],
														[
															'type' => 'field',
															'classes' => 'd-inline-block',
															'field' => [
																'type' => 'radio',
																'name' => 'fee-success-adjusted-other',
																'options' => [
																	[
																		'value' => '1',
																		'label' => ''
																	]
																]
															]
														],
														[
															'type' => 'content',
															'content' => 'Other'
														],
														[
															'type' => 'field',
															'classes' => '',
															'field' => [
																'type' => 'text',
																'classes' => '',
																'name' => 'fee-success-adjusted-other-detail',
																'label' => '',
																'inline' => true
															]
														]
													]
												]
											]
										],
										[
											'title' => 'When Earned; When Payable - Purchase.',
											'blocks' => [
												[
													'type' => 'p',
													'classes' => '',
													'content' => 'The Success Fee is earned by Brokerage Firm upon the Purchase of the Property and is payable upon closing of the transaction. If any transaction fails to close as a result of the seller’s default, with no fault on the part of Buyer, the Success Fee will be waived. If any transaction fails to close as a result of Buyer’s default, in whole or in part, the Success Fee will not be waived; such fee is payable upon Buyer’s default, but not later than the date that the closing of the transaction was to have occurred.'
												]
											]
										]
									]
								],
								[
									'title' => 'Hourly Fee',
									
								]
							]
						]
					]
				]
			]
		];
		return $contract;
	}

	//$code_json =[{"type":"paragraph","subtype":"p","className":"t-center","label":"The printed portions of this form, except differentiated additions, have been approved by the Colorado Real Estate Commission. (BC60-8-13) (Mandatory 1-14)"},{"type":"paragraph","subtype":"p","className":"t-center t-uppercase w-bold","label":"THIS IS A BINDING CONTRACT. THIS FORM HAS IMPORTANT LEGAL CONSEQUENCES AND THE PARTIES SHOULD CONSULT LEGAL AND TAX OR OTHER COUNSEL BEFORE SIGNING."},{"type":"paragraph","subtype":"p","className":"t-center w-bold","label":"Compensation charged by brokerage firms is not set by law. Such charges are established by each real estate brokerage firm."},{"type":"paragraph","className":"t-center t-uppercase w-bold","label":"DIFFERENT BROKERAGE RELATIONSHIPS ARE AVAILABLE WHICH INCLUDE BUYER AGENCY, SELLER AGENCY OR TRANSACTION-BROKERAGE."},{"type":"header","subtype":"h3","className":"t-center t-uppercase w-bold title","label":"EXCLUSIVE RIGHT-TO-BUY LISTING CONTRACT"},{"type":"radio-group","label":"Relationship","className":"t-center","name":"relationship","options":[{"value":"buyer","label":"Buyer Agency"},{"value":"broker","label":"Transaction Brokerage"}]},{"type":"date","className":"t-right","name":"contract_date","label":"Date"}]


}