<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Message extends MX_Controller
{

	public function __construct()
	{
		parent::__construct();	
		$this->load->database();
		$this->load->add_package_path(APPPATH.'third_party/ion_auth/');
		$this->load->library(array('ion_auth','framework','form_validation'));			
		$this->load->library('messages');    
		$this->load->library('pagination');   
		$this->load->model('Message_model');   
		$this->load->model('Client_model');
		$this->load->model('Agent_model');
		$this->load->model('Admin_login');
	}
	
	public function index($offset = 0)
	{		
		if (!$this->ion_auth->logged_in()):
			// redirect them to the login page
			redirect(base_url());
		endif;
		$data = array(
			'session'   => $_SESSION,
			'v' => "message.twig"
		);
		$user_id = $this->session->userdata('user_id');
		$filter_data=array('search_string'=>'');
		$where_clause=[];
		if(isset($_POST['search_string']) || !empty($this->uri->segment(3)))
		{
			if(isset($_POST['search_string']))
			{
				$filter_data['search_string']=$_POST['search_string'];
				$this->session->set_userdata('search_string',$filter_data);	
			}
			if($this->session->userdata('search_string'))
			{
				$filter_data['search_string']=$this->session->userdata('search_string')['search_string'];
			}
			
		}
		else
		{
			$this->session->set_userdata('search_string',$filter_data);	
		}
		if(!empty($filter_data['search_string']))
		{
				$where_clause=$filter_data['search_string'];		
		}
		$config = array();
				$config["base_url"] = base_url() . "Message/index/";
				$total_row =  $this->messages->countReceivedMessage($user_id,$where_clause);
				$config["total_rows"] = $total_row; 
				$config["per_page"] = 5;
				$config['use_page_numbers'] = TRUE;
				$config['num_links'] = 10;
				$config['cur_tag_open'] = '&nbsp;<a class="current">';
				$config['cur_tag_close'] = '</a>';
				$config['next_link'] = 'Next';
				$config['prev_link'] = 'Previous';
				$config["uri_segment"] = 3;
			
				$this->pagination->initialize($config);
				if($this->uri->segment(3))
				{
					$offset = ($this->uri->segment(3));
				}
				else
				{
					$offset = 1;
				}
						
				$data["messages"] = $this->messages->getReceiveMessage($config["per_page"], ($offset-1)*$config["per_page"], $user_id,$where_clause);
				$data["unread_message_count"] =$this->Message_model->countUnreadReceiveMessages($this->session->userdata('user_id'),$where_clause);
				 $data["pagination"] =$this->pagination->create_links();
				$data["tab"] = "received";
				$this->framework->init($data,false);		
	}		

		public function sent()
		{ 
			if (!$this->ion_auth->logged_in()):
				// redirect them to the login page
				redirect(base_url());
			endif;
			$data = array(
				'session'   => $_SESSION,
				'v' => "sent.twig"
			);
			$user_id = $this->session->userdata('user_id');
		$filter_data=array('search_string'=>'');
		$where_clause=[];
		if(isset($_POST['search_string']) || !empty($this->uri->segment(3)))
		{
			if(isset($_POST['search_string']))
			{
				$filter_data['search_string']=$_POST['search_string'];
				$this->session->set_userdata('search_string',$filter_data);	
			}
			if($this->session->userdata('search_string'))
			{
				$filter_data['search_string']=$this->session->userdata('search_string')['search_string'];
			}
			
		}
		else
		{
			$this->session->set_userdata('search_string',$filter_data);	
		}
		if(!empty($filter_data['search_string']))
		{
				$where_clause=$filter_data['search_string'];		
		}

			$config = array();
			$config["base_url"] = base_url() . "/Message/sent/";
		    $total_row = $this->messages->countSendMessage($user_id,$where_clause);
			$config["total_rows"] = $total_row;
			$config["per_page"] = 5;
			$config['use_page_numbers'] = TRUE;
			$config['num_links'] = 10;
			$config['cur_tag_open'] = '&nbsp;<a class="current">';
			$config['cur_tag_close'] = '</a>';
			$config['next_link'] = 'Next';
			$config['prev_link'] = 'Previous';
			$config["uri_segment"] = 3;
			
			$this->pagination->initialize($config);
			if($this->uri->segment(3))
			{
				$offset = ($this->uri->segment(3));
			}
			else
			{
				   $offset = 1;
			}
			
				$data["messages"] = $this->messages->getSendMessage($config["per_page"], ($offset-1)*$config["per_page"], $user_id,$where_clause);
				$data["unread_message_count"] =$this->Message_model->countUnreadReceiveMessages($this->session->userdata('user_id'),$where_clause);
			    $data["pagination"] =$this->pagination->create_links();
				$data["tab"] = "sent";
				$this->framework->init($data,false);				
	}
		
    function compose($offset = 0)
    {  
		if (!$this->ion_auth->logged_in()):
			// redirect them to the login page
			redirect(base_url());
		endif;
		$data["user_email"] = '';
		$data["title"] = '';
		$data["message"] = '';
		$email_id =$this->Agent_model->get_agent($this->session->userdata('user_id'));
		//$sender_mail = $email_id->email; // email of the sender
		$sender_mail = "egent@clagdev.com";
		$sender_name = $email_id->first_name;
		if($this->input->server('REQUEST_METHOD')=='POST')
        {//if is set post message
            if($this->input->post('user_type')!='admin')
            {
               $this->form_validation->set_rules('user_email','Email','trim|required|valid_email');
			}
			
				$this->form_validation->set_rules('title','Title','required');
				$this->form_validation->set_rules('message','Message','required');
				$typ=$this->input->post('user_type');
				
            if( $this->form_validation->run() !==false)
            {
              
                if($this->input->post('user_type')!='admin')
                {					
						$result=$this->Client_model->get_client_byemail($this->input->post('user_email'));
					if($result->num_rows() > 0)
                    {
						$user_data=$result->result();
						if($this->input->post('user_type')=='user'){
							$receiver_id=$user_data[0]->client_id;
							$reciver_mail = $user_data[0]->email;						
						}else{
							$receiver_id=$user_data[0]->id;
							$reciver_mail = $user_data[0]->email;
						}
                        $set_data=array(
                                "sender_id"=>$this->session->userdata('user_id'),
								"receiver_id"=>$receiver_id,
								
                                "title"=>$this->input->post('title'),
								"message"=>$this->input->post('message'),
								"receiver_type"=>$this->input->post('user_type')
                            );
						$retrn = 1;
						$detail_data= array("message"=>$this->input->post('message'),"title"=>$this->input->post('title'));
						$detail_data["file"] =array();
						if($this->input->post('contract_list')){							
//foreach($this->input->post('contract_list') as $list=>$list_val){
	$contract_rel = $this->Client_model->get_client_agreement($this->input->post('contract_list'));
	$set_data["contract_pid"] = $contract_rel[0]->id;
	$set_data["contract_id"] = $contract_rel[0]->contract_id;
	$detail_data["file"][] = "/home/egent/egent.uldev.co/public/assets/contract_pdf/".$contract_rel[0]->pdf_name ;
//}
// $set_data["contract_id"] = $set_data["contract_id"];
// $set_data["contract_pid"] = $set_data["contract_pid"];
						}
						$this->Message_model->creatMessages($set_data);
						
						$msgcount = $this->db
									->select('msg_counter')
									->where('client_id',$receiver_id)									
									->get('clients')->result();
							
									foreach($msgcount as $msgcount)
									{
										$msgcounter = $msgcount->msg_counter + 1;
									}

						$updatemsg = array('msg_counter' => $msgcounter);

						$this->db->where('client_id',$receiver_id);
						$this->db->update('clients',$updatemsg);
                        $retrn = $this->mail($detail_data,$this->input->post('user_type'),$sender_mail,$sender_name,$reciver_mail);

                        
                        if($retrn === 1)
                        {
                            $this->session->set_flashdata('msg','Your message  has been sent.'); 
                        }
                        else
                        {
                            $this->session->set_flashdata('msg','Your message has been sent.'); 
                        }
                    }
                    else
                    {
                        $this->session->set_flashdata('msg','User does not exist'); 
                    }   
                }
                else //if admin
                {          
					$result=$this->Agent_model->get_agent_byemail($this->input->post('user_email'));         
					if($result->num_rows() > 0)
                    {
						    $user_data=$result->result();						
							$receiver_id=$user_data[0]->id;
							$reciver_mail = $user_data[0]->email;						
                        $set_data=array(
                                "sender_id"=>$this->session->userdata('user_id'),
                                "receiver_id"=>$receiver_id,
                                "title"=>$this->input->post('title'),
								"message"=>$this->input->post('message'),
								"receiver_type"=>$this->input->post('user_type')
                            );
                        $this->Message_model->creatMessages($set_data);
						$retrn =1;
						//$retrn = $this->mail($data,$typ,$sender_mail,$sender_name,$reciver_mail);
					                        if($retrn === 1)
                        {
                            $this->session->set_flashdata('msg','Your message has been sent.'); 
                        }
                        else
                        {
                            $this->session->set_flashdata('msg','Your message has been sent.'); 
                        }
                    }
                    else
                    {
                        $this->session->set_flashdata('msg','User does not exist'); 
                    }   
                }
              
           }else{
			$data['errors'] = $this->form_validation->error_array();
		   }
       }
       else if($this->uri->segment(3) == 'forward')
       {//if is set forward message
           
		$sql_query="select * from messages  where id=".$this->uri->segment(4);
		$result= $this->db->query($sql_query);
		$message = $result->row();
		$data["user_email"] = '';
		$data["title"] = '';
		$data["message"] = '';
		$data["user_type"] = '';
	   if($message){
		$data["user_type"] = $message->receiver_type;
		$data["title"] = $message->title;
		$data["message"] = $message->message;
	   }
	}
	 else if($this->uri->segment(3)=='reply')
	 {//if is set reply message
		
		$sql_query="select * from messages  where id=".$this->uri->segment(4);
		$result= $this->db->query($sql_query);
		$message = $result->row();
		$data["user_email"] = '';
		 $data["title"] = '';
		 $data["message"] = '';
		 $data["user_type"] = '';
		 if($message){
		  $data["user_type"] = $message->receiver_type;
		  if($message->receiver_type=='admin'){
			if($this->uri->segment(5)=='sent'){
				$sql_user="select * from users  where id=".$message->receiver_id;
			}else{
				$sql_user="select * from users  where id=".$message->sender_id;
			}
			
			$result_user= $this->db->query($sql_user);
			$message_user = $result_user->row();
		  }else{
			if($this->uri->segment(5)=='sent'){
				$sql_user="select * from clients  where client_id=".$message->receiver_id;
			}else{
				$sql_user="select * from clients  where client_id=".$message->sender_id;
			}
			$result_user= $this->db->query($sql_user);
			$message_user = $result_user->row();			  
		  }
		 $data["user_email"] = $message_user->email;
		 $data["title"] = $message->title;
		}
		}
		else if($this->uri->segment(3)=='contract')
		{//if is set reply message
			$client =$this->Client_model->get_client($this->uri->segment(4));
		    $contract_rel = $this->Client_model->get_client_agreement($this->uri->segment(5));
			$admin_form = $this->Admin_login->get_contract_file_version($contract_rel[0]->contract_id);
		    $data["user_email"] = '';
			$data["title"] = '';
			$data["message"] = '';
			$data["user_type"] = 'user';
			$data["user_email"] = $client->email;
			$data["contract"] = array("contract"=>$contract_rel,"admin_form"=>$admin_form);
		   }
        else
		{//if is set  message compose 
			//print_r($_POST);exit;
            //print_r($this->form_validation->error_array()); exit;
			//$data["message"] = '';
			$data = array(
				'session'   => $_SESSION,
				'v' => "compose.twig",
				'errors' => $this->form_validation->error_array(),
				'user_type' => set_value('user_type'),
				'user_email' => set_value('user_email'),
				'title' => set_value('title'),
				'message' => set_value('message'),
	
			);
        }
        		// Return to form
		$data["clients"] = $this->Client_model->get_clients_list();
		$data["session"] = $_SESSION;
		$data["v"] = "compose.twig";
		//print_r($data["clients"][0]);
		$data["unread_message_count"] =$this->Message_model->countUnreadReceiveMessages($this->session->userdata('user_id'));
		$data['tab'] = 'compose';
		$this->framework->init($data, false);
    }
	
    function view($offset = 0)
    {  
		if (!$this->ion_auth->logged_in()):
			// redirect them to the login page
			redirect(base_url());
		endif;
		$data = array(
			'session'   => $_SESSION,
			'v' => "view.twig",
		);
		    $set_data=array('receiver_read_status'=>'read');
			$this->Message_model->updateMessages($this->uri->segment(3),$set_data);

							$msgcount = $this->db
									->select('msg_counter')
									->where('client_id',$this->uri->segment(3))									
									->get('clients')->result();
							
									foreach($msgcount as $msgcount)
									{
										$msgcounter = $msgcount->msg_counter - 1;
									}
						if($msgcount)
						{
						$updatemsg = array('msg_counter' => $msgcounter);

						$this->db->where('client_id',$receiver_id);
						$this->db->update('clients',$updatemsg);
						}

			$data["unread_message_count"] =$this->Message_model->countUnreadReceiveMessages($this->session->userdata('user_id'));
			$sql_qr="select * from messages  where messages.id=".$this->uri->segment(3);
			$res= $this->db->query($sql_qr)->row();
			if($res->receiver_type=='user'){
				$sql_query="select * from messages join clients on clients.client_id=messages.sender_id where messages.id=".$this->uri->segment(3);
			}else{
				$sql_query="select * from messages join users on users.id=messages.sender_id where messages.id=".$this->uri->segment(3);
			}
			            $result= $this->db->query($sql_query);
			$data["messages"] = $result->result_array();  
			$data['tab'] = 'view';
			$this->framework->init($data, false);
 
    }
     function view_send($offset = 0)
    {  
			if (!$this->ion_auth->logged_in()):
				// redirect them to the login page
				redirect(base_url());
			endif;
			$data = array(
				'session'   => $_SESSION,
				'v' => "view.twig",
			);
			$data["unread_message_count"] =$this->Message_model->countUnreadReceiveMessages($this->session->userdata('user_id'));
			$sql_qr="select * from messages  where messages.id=".$this->uri->segment(3);
			$res= $this->db->query($sql_qr)->row();
			if($res->receiver_type=='user'){
				$sql_query="select * from messages join clients on clients.client_id=messages.receiver_id where messages.id=".$this->uri->segment(3);
			}else{
				$sql_query="select * from messages join users on users.id=messages.receiver_id where messages.id=".$this->uri->segment(3);
			}
            $result= $this->db->query($sql_query);
            $data["messages"] = $result->result_array();         
			$data['tab'] = 'view_send';
			$this->framework->init($data, false);
   
    }
    
     
    function delete()//delete message page
    {  
		 $type=$this->uri->segment(3);
		 $id=$this->uri->segment(4);
		 if (!$this->ion_auth->logged_in()):
			// redirect them to the login page
			redirect(base_url());
		endif;
		
        if($type=='sent')
        {
            $data=array('sender_delete'=>'delete');
            $this->Message_model->updateMessages($id,$data);
			$this->session->set_flashdata('msg','Message Deleted Successfully.');
         
			redirect(base_url().'Message/sent');
        }
        else
        {
			$data=array('receiver_delete'=>'delete');
			$this->Message_model->updateMessages($id,$data);
			$this->session->set_flashdata('msg','Message Deleted Successfully.');         
			redirect(base_url().'Message/index');
        }
	}
        
    public function mail($detail,$typ,$sendr_mail,$sendr_name,$reciver_mail)
    {
       $flag =0;
        if($typ === 'admin')
        {

			$sub =  $detail['title'];
			//$detail['firstname']=$sendr_name;
           	//$msg =  $this->load->view('mails/message',$detail,TRUE);
			//$adminmail = $this->basemaster->get_admin_email();
			$msg =  $detail['message'];
            $e_mail = $reciver_mail;
            $name = "Egent";
            $from_email = $sendr_mail; 
            $config['charset'] = 'utf-8';
            $config['wordwrap'] = TRUE;
            $config['mailtype'] = 'html';
            $this->email->initialize($config);
            $this->email->from($from_email); 
            $this->email->to($e_mail);
            $this->email->subject($sub); 
            $this->email->message($msg); 
            //Send mail 
            if($this->email->send())
            {
                $flag = 1;
            }
            else
            {
                $flag = 0;
            }
        }
        /*IF not admin */
        else
        { 
            $sub =  $detail['title'];
			//$detail['firstname']=$sendr_name;
			// $msg =  $this->load->view('mails/message',$detail,TRUE);
			$msg =  $detail['message'];
            $e_mail = $reciver_mail;
            $name = "Egent";
            $from_email = $sendr_mail; 
            $config['charset'] = 'utf-8';
            $config['wordwrap'] = TRUE;
            $config['mailtype'] = 'html';
            $this->email->initialize($config);
            $this->email->from($from_email); 
            $this->email->to($e_mail);
            $this->email->subject($sub); 
			$this->email->message($msg); 
			//print_r($detail); exit;
			if(isset($detail['file'])){
				foreach($detail['file'] as $fil=>$file_val)
				$this->email->attach(trim($file_val),'attachment');
			}			
            //Send mail 
            if($this->email->send())
            {
                $flag = 1;
            }
            else
            {
                $flag = 0;
            }
        }
        return $flag;
    }
	function count_unread()
	{
	  $arr["unread_message_count"] =$this->Message_model->countUnreadReceiveMessages($this->session->userdata('user_id'));
	}
	public function _render_page($view, $data=null, $returnhtml=false)//I think this makes more sense
	{

		$this->viewdata = (empty($data)) ? $data: $data;

		$view_html = $this->load->view($view, $this->viewdata, $returnhtml);

		if ($returnhtml) return $view_html;//This will return html on 3rd argument being true
	}

	

}





