<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Setting extends MX_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->database();
		$this->load->add_package_path(APPPATH.'third_party/ion_auth/');
		$this->load->library(array('ion_auth','framework','form_validation'));
		$this->load->model(array('client_model'));
	}

	public function view()
	{

		if (!$this->ion_auth->logged_in()):
			// redirect them to the login page
			redirect(base_url());
		endif;

			//get countries
			$country = $this->client_model->get_country();

			//get user data			
			$agent = $this->session->userdata('user_id');
			$user = $this->client_model->get_agent($agent);
			$data = array(
				'session'   => $_SESSION,
				'v' => "edit.twig",
				'user' => $user,
				'country' => $country,
				'update' => true
			);

		$this->framework->init($data,false);

	}

	public function updateagent()
	{

		if (!$this->ion_auth->logged_in()):
			// redirect them to the login page
			redirect(base_url());
		endif;

		// Check if searching for client or creating new client
		switch ($this->input->post('check')) {

			// Checking for existing client
			case 1:
				
				// Validate input
				//$this->form_validation->set_rules('email', 'Email Address', 'required|valid_email|is_unique[users.email]');
				$this->form_validation->set_rules('company', 'Company Name', 'required');
				$this->form_validation->set_rules('first_name', 'First Name', 'required');
				$this->form_validation->set_rules('last_name', 'Last Name', 'required');
				$this->form_validation->set_rules('phone', 'Phone Number', 'required');
				$this->form_validation->set_rules('address1', 'First Address', 'required');
				$this->form_validation->set_rules('pincode', 'Pin Code', 'required');

				//Validation Failed
				if ($this->form_validation->run() == FALSE):

					// Return to form
					$data = array(
						'session'   => $_SESSION,
						'v' => "edit.twig",
						'update' => true,
						'errors' => $this->form_validation->error_array(),
						'email' => set_value('email'),
						'company' => set_value('company'),
						'first_name' => set_value('first_name'),
						'middle_name' => set_value('middle_name'),
						'last_name' => set_value('last_name'),
						'phone' => set_value('phone'),
						'address1' => set_value('address1'),
						'address2' => set_value('address2'),
						'country' => set_value('country'),
						'pincode' => set_value('pincode')
					);
					$this->framework->init($data,false);

				// Validation Succeeed
				else:

					// Update Agent
					$agentid = $this->session->userdata('user_id');
					$_agent = $this->client_model->update_agent($agentid);

					if($_agent):
						redirect('Setting/view');
					endif;
				endif;
				break;
			
			default:
				
				// Validate input
				//$this->form_validation->set_rules('email', 'Email Address', 'required|valid_email');

				//Validation Failed
				if ($this->form_validation->run() == FALSE):

					// Return to form
					$data = array(
						'session'   => $_SESSION,
						'v' => "edit.twig",
						'update' => true,
						'errors' => $this->form_validation->error_array(),
						'email' => set_value('email'),
						'company' => set_value('company'),
						'first_name' => set_value('first_name'),
						'middle_name' => set_value('middle_name'),
						'last_name' => set_value('last_name'),
						'phone' => set_value('phone'),
						'address1' => set_value('address1'),
						'address2' => set_value('address2'),
						'country' => set_value('country'),
						'pincode' => set_value('pincode')
					);

					$this->framework->init($data,false);
				endif;

				break;
		}

	}

}